Copyright: (c) 1996 - 2003. Corel Corporation. All rights reserved.
Citation: (c) 1996 - 2003. Corel Corporation. All rights reserved.


AboutDlg

Syntax

AboutDlg()

Description

Display the About Corel Presentations dialog box, which displays product and license information.


AcquireImage

Syntax

AcquireImage([Scale As _AcquireImage_Scale_enum], [Left As Integer], [Bottom As Integer], [Right As Integer], [Top As Integer])

Description

Insert a bitmap image generated by a scanner into the current drawing or slide show. The computer must have a TWAIN driver installed to use this method.

Parameters

Scale: enumeration (optional)	The scaling option. AreaBounded FixedSize PageBounded
Left: numeric (optional)	The left coordinate of bounding rectangle.
Bottom: numeric (optional)	The bottom coordinate of a bounding rectangle.
Right: numeric (optional)	The right coordinate of a bounding rectangle.
Top: numeric (optional)	The top coordinate of bounding rectangle.
 Related topics


AcquireImageDlg

Syntax

AcquireImageDlg()

Description

Display the Acquire Image dialog box, which is used to insert a bitmap image from a TWAIN source.

 Related topics


AcquireImageSelect

Syntax

AcquireImageSelect()

Description

Display the Image Source dialog box, which is used to specify a scanner from which to acquire an image. The computer must have a TWAIN driver installed to use this method.

 Related topics


ActivateBoxField

Syntax

ActivateBoxField(FieldName As String)

Description

Activate a field in an organization chart box to edit it.

Parameters

FieldName: string	The field name of the box field to be activated and edited.
 Related topics


AddArc

Syntax

AddArc(FillAndFrame As _AddArc_FillAndFrame_enum, XCenter As Integer, YCenter As Integer, HorizontalRadius As Integer, VerticalRadius As Integer, XInitial As Integer, YInitial As Integer, XTerminal As Integer, YTerminal As Integer, ArcFlags As _AddArc_ArcFlags_enum)

Description

Draw an arc or a circle using the Circle, Circular Arc, Ellipse, or Elliptical Arc drawing tool.

Parameters

FillAndFrame: enumeration	Specify whether the arc object is open or closed, whether the object outline is on or off, and whether the object fill is on or off. Both ClosedFrame Filled OpenFrame
XCenter: measurement	The horizontal coordinate for the center of the arc, in WordPerfect units (1200ths of an inch).
YCenter: measurement	The vertical coordinate for the center of the arc, in WordPerfect units.
HorizontalRadius: measurement	The horizontal coordinate for the radius of an elliptical arc, in Corel WordPerfect units.
VerticalRadius: measurement	The vertical coordinate for the radius of an elliptical arc in WordPerfect units.
XInitial: measurement	The horizontal coordinate for the point which indicates the starting angle of an arc, in WordPerfect units.
YInitial: measurement	The vertical coordinate for the initial point of an arc, in WordPerfect units.
XTerminal: measurement	The horizontal coordinate for the point that indicates the ending angle of an arc, in WordPerfect units.
YTerminal: measurement	The vertical coordinate for the point that indicates the ending angle of an arc, in WordPerfect units.
ArcFlags: enumeration	Indicate how the endpoints of an arc connect. Center_Connect End2End_Connect No_Connect
 Related topics


AddBackground

Syntax

 AddBackground([BackgroundName As String])

Description

Create a new background.

Parameters

BackgroundName: string (optional)	The new background name.
 Related topics


AddBackgroundDlg

Syntax

AddBackgroundDlg()

Description

Display the New Background dialog box, which is used to create a new background.

 Related topics


AddLayout

Syntax

AddLayout([LayoutName As String])

Description

Add a new layout to the current slide show master.

Parameters

Parameter	Description
LayoutName: string (optional)	The new layout name.
 Related topics


AddLayoutDlg

Syntax

AddLayoutDlg()

Description

Display the New Layout dialog box, which is used to add a new layout to the current slide show master.

 Related topics


AddPolyCurve

Syntax

AddPolyCurve(FillAndFrame As _AddPolyCurve_FillAndFrame_enum, BasePointCount As Integer, [XControl1], [YControl1], [XBase], [YBase], [XControl2], [YControl2])

Description

Draw a curve using the Curve, Closed Curve, Bezier, Freehand, or Arrow drawing tool.

Parameters

FillAndFrame: enumeration	Specify whether the curve object is open or closed, whether the object outline is on or off, and whether the object fill is on or off. Both ClosedFrame Filled OpenFrame
BasePointCount: numeric	The number of base points in the curve.
XControl1: measurement (optional)	The horizontal coordinate of the first control point for a base point of the curve, in WordPerfect units (1200ths of an inch).
YControl1: measurement (optional)	The vertical coordinate of the first control point for a base point of the curve, in WordPerfect units.
XBase: measurement (optional)	The horizontal coordinate of a base point of the curve, in WordPerfect units.
YBase: measurement (optional)	The vertical coordinate of the base point of the curve, in WordPerfect units.
XControl2: measurement (optional)	The horizontal coordinate for the second control point for a base point of the curve, in WordPerfect units.
YControl2: measurement (optional)	The vertical coordinate of the second control point for a base point of the curve, in WordPerfect units.
 Related topics


AddPolyLine

Syntax

AddPolyLine(FillAndFrame As _AddPolyLine_FillAndFrame_enum, PointCount As Integer, [PointX], [PointY])

Description

Draw a line or a polygon using the Line, Polygon, Rectangle, or Regular Polygon drawing tool.

Parameters

FillAndFrame: enumeration	Specify whether the line object is open or closed, whether the object outline is on or off, and whether the object fill is on or off. Both ClosedFrame Filled OpenFrame
PointCount: numeric	The number of base points in a line.
PointX: measurement (optional)	The horizontal coordinate of a base point, in WordPerfect units (1200ths of an inch).
PointY: measurement (optional)	The vertical coordinate of a base point, in WordPerfect units.
 Related topics


AddPolyLineWithEndCaps

Syntax

AddPolyLineWithEndCaps(HeadStyle As _AddPolyLineWithEndCaps_HeadStyle_enum, TailStyle As _AddPolyLineWithEndCaps_TailStyle_enum, PointCount As Integer, [PointX], [PointY])

Description

Draw a polyline that has end caps.

Parameters

HeadStyle: enumeration	Lets you specify the style of the head. Flat Round Square Arrow ArrowLarge ArrowCurved ArrowUnfilled ArrowLargeUnfilled ArrwoOpen ArrowLargeOpen ArrowCurvedOpen Tail TailUnfilled TailUnfilledLine TailFeather DotSmall DotLarge
TailStyle: enumeration	Lets you specify the style of the tail. Flat Round Square Arrow ArrowLarge ArrowCurved ArrowUnfilled ArrowLargeUnfilled ArrwoOpen ArrowLargeOpen ArrowCurvedOpen Tail TailUnfilled TailUnfilledLine TailFeather DotSmall DotLarge
PointCount: numeric	The number of base points in a line. The next two parameters are repeated for each base point. Parameters that can be repeated are enclosed in braces {}.
PointX: measurement (optional)	The horizontal coordinate of a base point, in WordPerfect units (1200ths of an inch).
PointY: measurement (optional)	The vertical coordinate of a base point, in WordPerfect units (1200ths of an inch).
 Related topics


AddRoundedRect

Syntax

AddRoundedRect(FillAndFrame As _AddRoundedRect_FillAndFrame_enum, LeftEdge As Integer, BottomEdge As Integer, RightEdge As Integer, TopEdge As Integer, HorizontalRadius As Integer, VerticalRadius As Integer)

Description

Draw a rounded rectangle.

Parameters

FillAndFrame: enumeration	Specify whether the object outline is on or off, and whether the object fill is on or off. Both Filled Framed
LeftEdge: measurement	Position of the left edge of the elliptical area of a rounded rectangle, in WordPerfect units (1200ths of an inch).
BottonEdge: measurement	The position of the bottom edge of the elliptical area of a rounded rectangle, in WordPerfect units. (Please note: this is the correct spelling for this parameter.)
RightEdge: measurement	Position of the right edge of the elliptical area of a rounded rectangle, in WordPerfect units.
TopEdge: measurement	Position of the top edge of the elliptical area of a rounded rectangle, in WordPerfect units.
HorizontalRadius: measurement	The horizontal radius of the corner ellipse, in Corel WordPerfect units.
VerticalRadius: measurement	The vertical radius of the corner ellipse, in WordPerfect units.
 Related topics


AddShape

Syntax

AddShape(FillAndFrame As _AddShape_FillAndFrame_enum, LeftEdge As Integer, BottomEdge As Integer, RightEdge As Integer, TopEdge As Integer, ShapeType As _AddShape_ShapeType_enum)

Description

Lets you add a shape object to the document.

Parameters

FillAndFrame: enumeration	Lets you specify whether the object outline is on or off, and whether the object fill is on or off. Filled Framed Both
LeftEdge: numeric	Lets you position the left edge of the shape.
BottonEdge: numeric	Lets you position the bottom edge of the shape.
RightEdge: numeric	Lets you position the right edge of the shape.
TopEdge: numeric	Lets you position the top edge of the shape.
ShapeType: numeric	Lets you specify the type of the shape.
GlyphType: numeric	Lets you position the type of the glyph.
Glyph1: numeric	Lets you specify the first glyph.
Glyph2: numeric	Lets you specify the second glyph.
Glyph3: numeric	Lets you specify the third glyph.
Glyph4: numeric	Lets you specify the fourth glyph.
Shape: enumeration	Lets you specify the shape.
 Notes

•	The edges are measured in WordPerfect units. WordPerfect units are measured in 1200ths of an inch.


AddSlide

Syntax

 AddSlide([Count As Integer], [TemplateName As String])

Description

Add one or more blank slides to the current slide show. If no parameters are specified, this method adds one slide that has been created using the current template.

Parameters

Count: numeric (optional)	The number of slides to add.
TemplateName: string (optional)	Name of template.
 Related topics


AddSlideDlg

Syntax

AddSlideDlg()

Description

Display the New Slide dialog box, which is used to add slides to the current slide show.

 Related topics


AddTextBox

Syntax

AddTextBox(LeftEdge As Integer, BottomEdge As Integer, RightEdge As Integer, TopEdge As Integer)

Description

Create a text area or a text line.

Parameters

LeftEdge: measurement	Specify the left edge of a text box, in WordPerfect units (1200ths of an inch.)
BottomEdge: measurement	Specify the bottom edge of a text box, in WordPerfect units.
RightEdge: measurement	Specify the right edge of a text box, in WordPerfect units.
TopEdge: measurement	Specify the top edge of a text box, in WordPerfect units.
 Related topics


AirBrush

Syntax

AirBrush([X], [Y])

Description

Use the Air Brush painting tool to create a bitmap object in the Bitmap Editor.

Parameters

X: numeric (optional)	The horizontal position of pixels clicked when painting.
Y: numeric (optional)	The vertical position of pixels clicked when painting.
 Related topics


AlignCenterLeftRight

Syntax

AlignCenterLeftRight()

Description

Center a selected object horizontally on the page, or align multiple selected objects with the horizontal center of the selection area.

 Related topics


AlignObjectsBottom

Syntax

AlignObjectsBottom()

Description

Align the bottom edge of a selected object with the bottom of the page, or align the bottom edges of multiple selected objects with the bottom edge of the lowest object.

 Related topics


AlignObjectsCenter

Syntax

AlignObjectsCenter()

Description

Center a selected object on the page, or align the centers of multiple selected objects with the center of the selection area.

 Related topics


AlignObjectsLeft

Syntax

AlignObjectsLeft()

Description

Align the left edge of a selected object with the left edge of the page, or align the left edges of multiple selected objects with the left edge of the leftmost object.

 Related topics


AlignObjectsRight

Syntax

AlignObjectsRight()

Description

Align the right edge of a selected object with the right edge of the page, or align the right edges of multiple selected objects with the right edge of the rightmost object.

 Related topics


AlignObjectsTop

Syntax

AlignObjectsTop()

Description

Align the top edge of a selected object with the top of the page, or align the top edge of multiple selected objects with the top edge of the highest object.

 Related topics


AlignObjectsTopBottom

Syntax

AlignObjectsTopBottom()

Description

Center a selected object vertically on the page, or align multiple selected objects with the vertical center of the selection area.

 Related topics


AlignTextBottom

Syntax

AlignTextBottom()

Description

Position text from the bottom of an organization chart box.

 Related topics


AlignTextMiddle

Syntax

AlignTextMiddle()

Description

Center text vertically within an organization chart box.

 Related topics


AlignTextTop

Syntax

AlignTextTop()

Description

Position text starting from the top of an organization chart box.

 Related topics


ApplicationMaximize

Syntax

ApplicationMaximize()

Description

Maximize the size of an application window. If the window is already maximized, this method terminates the macro or redirects the macro to the LABEL specified by ONERROR.

 Related topics


ApplicationMinimize

Syntax

ApplicationMinimize()

Description

Minimize an application window to an icon. If the window is already minimized, this method terminates the macro or redirects the macro to the LABEL specified by ONERROR.

 Related topics


ApplicationMove

Syntax

ApplicationMove()

Description

Pause a macro to allow you to reposition an application window. Click the mouse or press Enter to continue playing the macro. If the window is maximized, this method terminates the macro or redirects the macro to the LABEL specified by ONERROR.

 Related topics


ApplicationRestore

Syntax

ApplicationRestore()

Description

Restore a window to its previous size. If the window has already been restored, this method terminates the macro and redirects the macro to the LABEL specified by ONERROR.

 Related topics


ApplicationSize

Syntax

ApplicationSize()

Description

Pause a macro to allow you to resize a window. Click the mouse or press Enter to continue playing the macro. If the window is maximized, this method terminates the macro or redirects the macro to the LABEL specified by ONERROR.

 Related topics


AssignBackgroundDlg

Syntax

AssignBackgroundDlg()

Description

Display the Assign Background dialog box, which is used to assign a background to a specified layout.

 Related topics


AssignLayoutBackground

Syntax

AssignLayoutBackground(LayoutName As String, BackgroundName As String)

Description

Assign a background to a specified layout.

Parameters

LayoutName: string	The layout to link to a background.
BackgroundName: string	The background to link to a layout.
 Related topics


BackgroundGallery

Syntax

BackgroundGallery()

Description

Display a gallery of slide show backgrounds that you can choose from.

 Related topics


BackgroundGetNext

Syntax

BackgroundGetNext()

Description

Select the next background in the Background Name dialog box.

 Related topics


BackgroundGetPrevious

Syntax

BackgroundGetPrevious()

Description

Select the previous background in the Background Name dialog box.

 Related topics


BackgroundInsert

Syntax

BackgroundInsert(Filename As String, KeepObjects As _BackgroundInsert_KeepObjects_enum)

Description

Specify a background from the Background Gallery and apply it to your slide show.

Parameters

Filename: string	The name of the .WPG file to insert as the new background.
KeepObjects: enumeration	Specify whether to keep objects from the existing background before replacing it with the new one. No Yes
 Related topics


BackgroundNext

Syntax

BackgroundNext()

Description

Open the next background in the Background Editor.

 Related topics


BackgroundPrevious

Syntax

BackgroundPrevious()

Description

Open the previous background in the Background Editor.

 Related topics


Backspace

Syntax

Backspace()

Description

Delete the character to the left of the insertion point in the Text Editor.


BeginAcquireImageArea

Syntax

BeginAcquireImageArea()

Description

Activate the tool used to define a rectangular area which will contain a scanned image. The image is scaled to fit inside the area, matching the closest width or height dimension of the area and maintaining the aspect ratio. A scanning device with a TWAIN driver must be installed for this method to function.

 Related topics


BeginAcquireImageFixedSize

Syntax

BeginAcquireImageFixedSize()

Description

Activate the tool used to scan an image into a rectangular area. The image is scaled to match both the width and height of the area. The aspect ration is maintained if the scanning software supports it. If not, the image width and height are scaled non-uniformly and the image may be distorted. A scanning device with a TWAIN driver must be installed for this method to function.

 Related topics


BeginAirBrush

Syntax

BeginAirBrush()

Description

Activate the Air Brush tool in the Bitmap Editor.

 Related topics


BeginArrow

Syntax

BeginArrow()

Description

Activate the Arrow drawing tool.

 Related topics


BeginBezier

Syntax

BeginBezier()

Description

Activate the Bezier Curve drawing tool.

 Related topics


BeginBitmap

Syntax

BeginBitmap()

Description

Activate the Bitmap tool.


BeginBulletChart

Syntax

BeginBulletChart()

Description

Activate the tool used to create a new bulleted list.

 Related topics


BeginCircle

Syntax

BeginCircle()

Description

Activate the Circle drawing tool.

 Related topics


BeginCircularArc

Syntax

BeginCircularArc()

Description

Activate the Circular Arc drawing tool.

 Related topics


BeginClosedCurve

Syntax

BeginClosedCurve()

Description

Activate the Closed Curve drawing tool.

 Related topics


BeginCurve

Syntax

BeginCurve()

Description

Activate the Curve drawing tool.

 Related topics


BeginDataChart

Syntax

BeginDataChart()

Description

Activate the tool used to create a data chart.

 Related topics


BeginEllipse

Syntax

BeginEllipse()

Description

Activate the Ellipse drawing tool.

 Related topics


BeginEllipticalArc

Syntax

BeginEllipticalArc()

Description

Activate the Elliptical Arc drawing tool.

 Related topics


BeginFloodFill

Syntax

BeginFloodFill()

Description

Activate Flood Fill in the Bitmap Editor.

 Related topics


BeginFreehand

Syntax

BeginFreehand()

Description

Activate the Freehand drawing tool.

 Related topics


BeginLine

Syntax

BeginLine()

Description

Activate the Polyline drawing tool.

 Related topics


BeginLine2

Syntax

BeginLine2()

Description

Activate the Line drawing tool.

 Related topics


BeginOrgChart

Syntax

BeginOrgChart()

Description

Activate the tool used to create a new organization chart.

 Related topics


BeginPaintBrush

Syntax

BeginPaintBrush()

Description

Activate the Paint Brush tool in the Bitmap Editor.

 Related topics


BeginPaintDropper

Syntax

BeginPaintDropper()

Description

Activate the Pickup Color tool in the Bitmap Editor.

 Related topics


BeginPaintEraser

Syntax

BeginPaintEraser()

Description

Activate the Eraser tool in the Bitmap Editor.

 Related topics


BeginPolygon

Syntax

BeginPolygon()

Description

Activate the Polygon drawing tool.

 Related topics


BeginRectangle

Syntax

BeginRectangle()

Description

Activate the Rectangle drawing tool.

 Related topics


BeginRegularPolygon

Syntax

BeginRegularPolygon()

Description

Activate the Regular Polygon drawing tool.

 Related topics


BeginRetrieveFigure

Syntax

BeginRetrieveFigure()

Description

Activate the Clipart drawing tool, which is used to insert a figure into the current document.

 Related topics


BeginRoundedRectangle

Syntax

BeginRoundedRectangle()

Description

Activate the Rounded Rectangle drawing tool.

 Related topics


BeginSelect

Syntax

BeginSelect()

Description

Activate the Select drawing tool, which is used to select items to modify.


BeginSelectArea

Syntax

BeginSelectArea()

Description

Activate the tool used to select part of the current drawing in the Bitmap Editor.


BeginSelectiveReplace

Syntax

BeginSelectiveReplace()

Description

Activate Selective Replace in the Bitmap Editor. Selective Replace allows you replace foreground-color pixels with background-color pixels.

 Related topics


BegOfLine

Syntax

BegOfLine()

Description

Move the insertion point to the beginning of the current line of text in the Text Editor.

 Related topics


BitmapBlur

Syntax

BitmapBlur([Region As _BitmapBlur_Region_enum], [Left As Integer], [Top As Integer], [Right As Integer], [Bottom As Integer], [Amount As _BitmapBlur_Amount_enum])

Description

Apply the Blur effect to the current bitmap image.

Parameters

Region: enumeration (optional)	Blur the full image or the portion inside or outside a selected area. Full Inside Outside
Left: numeric (optional)	The horizontal coordinate of the pixel in the top left corner of the selected area. Coordinates are measured from the top left pixel of the bitmap area (0,0).
Top: numeric (optional)	The vertical coordinate of the pixel in the top left corner of the selected area.
Right: numeric (optional)	The horizontal coordinate of the pixel in the bottom right corner of the selected area.
Bottom: numeric (optional)	The vertical coordinate of the pixel in the bottom right corner of the selected area.
Amount: enumeration (optional)	The amount of blurring. High Low Medium
 Related topics


BitmapBrightness

Syntax

BitmapBrightness([Region As _BitmapBrightness_Region_enum], [Left As Integer], [Top As Integer], [Right As Integer], [Bottom As Integer], [Percent As Integer])

Description

Change the brightness of the current bitmap image.

Parameters

Region: enumeration (optional)	Change the brightness of the full image or the portion inside or outside a selected area. Full Inside Outside
Left: numeric (optional)	The horizontal coordinate of the pixel in the top left corner of the selected area. Coordinates are measured from the top left pixel of the bitmap area (0,0).
Top: numeric (optional)	The vertical coordinate of the pixel in the top left corner of the selected area.
Right: numeric (optional)	The horizontal coordinate of the pixel in the bottom right corner of the selected area.
Bottom: numeric (optional)	The vertical coordinate of the pixel in the bottom right corner of the selected area.
Percent: numeric (optional)	The percentage by which to increase or decrease brightness. A value of 50% specifies no change.
 Related topics


BitmapCancel

Syntax

BitmapCancel()

Description

Close the Bitmap Editor without saving changes.


BitmapContrast

Syntax

BitmapContrast([Region As _BitmapContrast_Region_enum], [Left As Integer], [Top As Integer], [Right As Integer], [Bottom As Integer], [Percent As Integer])

Description

Change the contrast values for the current bitmap image.

Parameters

Region: enumeration (optional)	Change the contrast for the full image or the portion inside or outside a selected area. Full Inside Outside
Left: numeric (optional)	The horizontal coordinate of the pixel in the top left corner of the selected area. Coordinates are measured from the top left pixel of the bitmap area (0,0).
Top: numeric (optional)	The vertical coordinate of the pixel in the top left corner of the selected area.
Right: numeric (optional)	The horizontal coordinate of the pixel in the bottom right corner of the selected area.
Bottom: numeric (optional)	The vertical coordinate of the pixel in the bottom right corner of the selected area.
Percent: numeric (optional)	The percentage by which to increase or decrease contrast. A value of 50% specifies no change.
 Related topics


BitmapCreate

Syntax

BitmapCreate([Left As Integer], [Top As Integer], [Right As Integer], [Bottom As Integer])

Description

Open the Bitmap Editor to create a new bitmap image. If no parameters are specified, this method creates a full-page bitmap area.

Parameters

Left: numeric (optional)	The horizontal position of the lower left corner of the bitmap area, in Corel WordPerfect units (1200ths of an inch).
Top: numeric (optional)	The vertical position of the lower left corner of the bitmap area, in WordPerfect units.
Right: numeric (optional)	The horizontal position of the upper right corner of the bitmap area, in Corel WordPerfect units.
Bottom: numeric (optional)	The vertical position of the upper right corner of the bitmap area, in WordPerfect units.


BitmapEmboss

Syntax

BitmapEmboss([Region As _BitmapEmboss_Region_enum], [Left As Integer], [Top As Integer], [Right As Integer], [Bottom As Integer])

Description

Apply the Emboss effect to the current bitmap image.

Parameters

Region: enumeration (optional)	Emboss the full image or the portion inside or outside a selected area. Full Inside Outside
Left: numeric (optional)	The horizontal coordinate of the pixel in the top left corner of the selected area. Coordinates are measured from the top left pixel of the bitmap area (0,0).
Top: numeric (optional)	The vertical coordinate of the pixel in the top left corner of the selected area.
Right: numeric (optional)	The horizontal coordinate of the pixel in the bottom right corner of the selected area.
Bottom: numeric (optional)	The vertical coordinate of the pixel in the bottom right corner of the selected area.
 Related topics


BitmapEqualize

Syntax

BitmapEqualize([Region As _BitmapEqualize_Region_enum], [Left As Integer], [Top As Integer], [Right As Integer], [Bottom As Integer])

Description

Apply the Equalize effect to the current bitmap image.

Parameters

Region: enumeration (optional)	Equalize the full image or the portion inside or outside a selected area. Full Inside Outside
Left: numeric (optional)	The horizontal coordinate of the pixel in the top left corner of the selected area. Coordinates are measured from the top left pixel of the bitmap area (0,0).
Top: numeric (optional)	The vertical coordinate of the pixel in the top left corner of the selected area.
Right: numeric (optional)	The horizontal coordinate of the pixel in the bottom right corner of the selected area.
Bottom: numeric (optional)	The vertical coordinate of the pixel in the bottom right corner of the selected area.
 Related topics


BitmapMosaic

Syntax

BitmapMosaic([Region As _BitmapMosaic_Region_enum], [Left As Integer], [Top As Integer], [Right As Integer], [Bottom As Integer], [Size As Integer])

Description

Apply the Mosaic effect to the current bitmap image.

Parameters

Region: enumeration (optional)	Apply the Mosaic effect to the full image or to the portion inside or outside a selected area. Full Inside Outside
Left: numeric (optional)	The horizontal coordinate of the pixel in the top left corner of the selected area. Coordinates are measured from the top left pixel of the bitmap area (0,0).
Top: numeric (optional)	The vertical coordinate of the pixel in the top left corner of the selected area.
Right: numeric (optional)	The horizontal coordinate of the pixel in the bottom right corner of the selected area.
Bottom: numeric (optional)	The vertical coordinate of the pixel in the bottom right corner of the selected area.
Size: numeric (optional)	The size of mosaic "tiles."
 Related topics


BitmapRain

Syntax

BitmapRain([Region As _BitmapRain_Region_enum], [Left As Integer], [Top As Integer], [Right As Integer], [Bottom As Integer], [Length As Integer])

Description

Apply the Rain effect to the current bitmap image.

Parameters

Region: enumeration (optional)	Apply the Rain effect to the full image or to the portion inside or outside a selected area. Full Inside Outside
Left: numeric (optional)	The horizontal coordinate of the pixel in the top left corner of the selected area. Coordinates are measured from the top left pixel of the bitmap area (0,0).
Top: numeric (optional)	The vertical coordinate of the pixel in the top left corner of the selected area.
Right: numeric (optional)	The horizontal coordinate of the pixel in the bottom right corner of the selected area.
Bottom: numeric (optional)	The vertical coordinate of the pixel in the bottom right corner of the selected area.
Length: numeric (optional)	The length of streaks, in pixels.
 Related topics


BitmapReturn

Syntax

BitmapReturn()

Description

Close the Bitmap Editor and insert the bitmap object into the current drawing.

 Related topics


BitmapSaturation

Syntax

BitmapSaturation([Region As _BitmapSaturation_Region_enum], [Left As Integer], [Top As Integer], [Right As Integer], [Bottom As Integer], [Percent As Integer])

Description

Change color saturation for the current bitmap image.

Parameters

Region: enumeration (optional)	Specify whether to change color saturation for the full image or for the portion inside or outside a selected area. Full Inside Outside
Left: numeric (optional)	The horizontal coordinate of the pixel in the top left corner of the selected area. Coordinates are measured from the top left pixel of the bitmap area (0,0).
Top: numeric (optional)	The vertical coordinate of the pixel in the top left corner of the selected area.The horizontal coordinate of the pixel in the bottom right corner of the selected area.
Right: numeric (optional)	The vertical coordinate of the pixel in the bottom right corner of the selected area.
Bottom: numeric (optional)	The vertical coordinate of the pixel in the bottom right corner of the selected area.
Percent: numeric (optional)	The percentage by which to increase or decrease saturation. A value of 50% specifies no change.
 Related topics


BitmapSharpen

Syntax

 BitmapSharpen([Region As _BitmapSharpen_Region_enum], [Left As Integer], [Top As Integer], [Right As Integer], [Bottom As Integer], [Amount As _BitmapSharpen_Amount_enum])

Description

Apply the Sharpen effect to the current bitmap image.

Parameters

Region: enumeration (optional)	Specify whether to sharpen the full image or the portion inside or outside a selected area. Full Inside Outside
Left: numeric (optional)	The horizontal coordinate of the pixel in the top left corner of the selected area. Coordinates are measured from the top left pixel of the bitmap area (0,0).
Top: numeric (optional)	The vertical coordinate of the pixel in the top left corner of the selected area.
Right: numeric (optional)	The horizontal coordinate of the pixel in the bottom right corner of the selected area.
Bottom: numeric (optional)	The vertical coordinate of the pixel in the bottom right corner of the selected area.
Amount: enumeration (optional)	The sharpness level. High Low Medium
 Related topics


BitmapSmooth

Syntax

BitmapSmooth([Region As _BitmapSmooth_Region_enum], [Left As Integer], [Top As Integer], [Right As Integer], [Bottom As Integer], [Amount As _BitmapSmooth_Amount_enum])

Description

Apply the Smooth effect to the current bitmap image.

Parameters

Region: enumeration (optional)	Smooth the full image or the portion inside or outside a selected area. Full Inside Outside
Left: numeric (optional)	The horizontal coordinate of the pixel in the top left corner of the selected area. Coordinates are measured from the top left pixel of the bitmap area (0,0).
Top: numeric (optional)	The vertical coordinate of the pixel in the top left corner of the selected area.
Right: numeric (optional)	The horizontal coordinate of the pixel in the bottom right corner of the selected area.
Bottom: numeric (optional)	The vertical coordinate of the pixel in the bottom right corner of the selection area.
Amount: enumeration (optional)	The smoothness level. High Low Medium
 Related topics


BitmapSpecialEffectsDlg

Syntax

BitmapSpecialEffectsDlg()

Description

Display the Special Effects dialog box, which is used to specify visual effects for a bitmap object in the Bitmap Editor.


BitmapSpikeRemoval

Syntax

BitmapSpikeRemoval([Region As _BitmapSpikeRemoval_Region_enum], [Left As Integer], [Top As Integer], [Right As Integer], [Bottom As Integer], [Amount As _BitmapSpikeRemoval_Amount_enum])

Description

Remove spikes from the current bitmap image.

Parameters

Region: enumeration (optional)	Remove spikes from the full image or the portion inside or outside a selected area. Full Inside Outside
Left: numeric (optional)	The horizontal coordinate of the pixel in the top left corner of the selected area. Coordinates are measured from the top left pixel of the bitmap area (0,0).
Top: numeric (optional)	The vertical coordinate of the pixel in the top left corner of the selected area.
Right: numeric (optional)	The horizontal coordinate of the pixel in the bottom right corner of the selected area.
Bottom: numeric (optional)	The vertical coordinate of the pixel in the bottom right corner of the selected area.
Amount: enumeration (optional)	The smoothness level. High Low Medium
 Related topics


BitmapStereogram

Syntax

BitmapStereogram([Region As _BitmapStereogram_Region_enum], [Left As Integer], [Top As Integer], [Right As Integer], [Bottom As Integer])

Description

Apply the Stereogram effect to the current bitmap image.

Parameters

Region: enumeration (optional)	Apply effect to the full image or the portion inside or outside a selected area. Full Inside Outside
Left: numeric (optional)	The horizontal coordinate of the pixel in the top left corner of the selected area. Coordinates are measured from the top left pixel of the bitmap area (0,0).
Top: numeric (optional)	The vertical coordinate of the pixel in the top left corner of the selected area.
Right: numeric (optional)	The horizontal coordinate of the pixel in the bottom right corner of the selected area.
Bottom: numeric (optional)	The vertical coordinate of the pixel in the bottom right corner of the selected area.
 Related topics


BitmapTrace

Syntax

BitmapTrace()

Description

Convert a bitmap image into a vector image.


BitmapTraceContours

Syntax

BitmapTraceContours([Region As _BitmapTraceContours_Region_enum], [Left As Integer], [Top As Integer], [Right As Integer], [Bottom As Integer], [Amount As _BitmapTraceContours_Amount_enum])

Description

Trace the edge of a bitmap object.

Parameters

Region: enumeration (optional)	Trace the full image or the portion inside or outside a selected area. Full Inside Outside
Left: numeric (optional)	The horizontal coordinate of the pixel in the top left corner of the selected area. Coordinates are measured from the top left pixel of the bitmap area (0,0).
Top: numeric (optional)	The vertical coordinate of the pixel in the top left corner of the selected area.
Right: numeric (optional)	The horizontal coordinate of the pixel in the bottom right corner of the selected area.
Bottom: numeric (optional)	The vertical coordinate of the pixel in the bottom right corner of the selected area.
Amount: enumeration (optional)	The amount of tracing. High Low Medium
 Related topics


BitmapUndo

Syntax

BitmapUndo()

Description

Reverse the effects of the most recent editing change in the Bitmap Editor.


BitmapWind

Syntax

BitmapWind([Region As _BitmapWind_Region_enum], [Left As Integer], [Top As Integer], [Right As Integer], [Bottom As Integer], [Length As Integer], [Direction As _BitmapWind_Direction_enum

Description

Apply the Wind effect to the current bitmap image.

Parameters

Region: enumeration (optional)	Apply the wind effect to the full image or the area inside or outside the selected area. Full Inside Outside
Left: numeric (optional)	The horizontal coordinate of the pixel in the top left corner of the selected area. Coordinates are measured from the top left pixel in the bitmap area (0,0).
Top: numeric (optional)	The vertical coordinate of the pixel in the top left corner of the selected area.
Right: numeric (optional)	The horizontal coordinate of the pixel in the bottom right corner of the selected area.
Bottom: numeric (optional)	The vertical coordinate of the pixel in the bottom right corner of the selected area.
Length: numeric (optional)	The length of streaks, in pixels.
Direction: enumeration (optional)	The direction the wind blows. Both Left Right
 Related topics


BitmapZoom

Syntax

BitmapZoom([Direction As _BitmapZoom_Direction_enum])

Description

Toggle magnification in the Bitmap Editor so you can edit a bitmap area one pixel at a time.

Parameters

Direction: enumeration (optional)	Zoom in or out. In Out
 Related topics


BlackAndWhite

Syntax

BlackAndWhite()

Description

Change the colors of the selected objects to black and white.

 Related topics


BlendDlg

Syntax

BlendDlg()

Description

Display the Blend dialog box, which is used to combine the shapes, sizes, and colors of two selected objects.

 Related topics


BlendObjects

Syntax

BlendObjects([BlendSteps As Integer])

Description

Combine the shapes, sizes, and colors of two selected objects.

Parameters

BlendSteps: numeric (optional)	The number of blending steps.
 Related topics


BoxAttributesDlg

Syntax

BoxAttributesDlg()

Description

Display the BoxProperties dialog box, which is used in organization charts to change box colors, appearance, and style.


BranchZoomInOut

Syntax

BranchZoomInOut([ZoomInOut As _BranchZoomInOut_ZoomInOut_enum])

Description

Zoom the selected branch in or out.

Parameters

ZoomInOut: enumeration (optional)	Off On


BrushAttributesDlg

Syntax

BrushAttributesDlg()

Description

Display the Brush Attributes dialog box, which is used in the Bitmap Editor to specify brush shape, width, and spray density.


BulletChartAttrEnd

Syntax

BulletChartAttrEnd([SaveTo As _BulletChartAttrEnd_SaveTo_enum])

Description

Close a method sequence used to specify bulleted list attributes. Precede with BulletChartAttrStart and methods which specify attributes.

Parameters

SaveTo: enumeration (optional)	Specify where to save style information. Chart Layout
 Related topics


BulletChartAttrStart

Syntax

BulletChartAttrStart()

Description

Begin a method sequence used to specify bullet chart attributes. Follow with methods which specify attributes and with BulletChartAttrEnd.

 Related topics


CallCorelWebPage

Syntax

CallCorelWebPage()

Description

Get help from the Corel WordPerfect Office home page.


CapBeginSentence

Syntax

CapBeginSentence([State As _CapBeginSentence_State_enum])

Description

Turn Capitalize next letter after end-of-sentence punctuation on or off in QuickCorrect.

Parameters

State: enumeration (optional)	Capitalization correction is on or off. Off On
 Related topics


ChartArea

Syntax

ChartArea()

Description

Change the current chart to an area chart.

 Related topics


ChartAttributesDlg

Syntax

ChartAttributesDlg()

Description

Display the Fill Attributes dialog box in the Chart Editor.


ChartAutoRedraw

Syntax

ChartAutoRedraw()

Description

Automatically update a chart when data in the Datasheet changes.


ChartBar

Syntax

ChartBar()

Description

Change the current chart to a bar chart.


ChartBoxAttributesDlg

Syntax

ChartBoxAttributesDlg()

Description

Display the Box Attributes dialog box, which is used to specify text box options for charts.


ChartBoxFields

Syntax

ChartBoxFields([Count As Integer], [ChangeFlag As _ChartBoxFields_ChangeFlag_enum], [LabelsOn As Integer], [Label])

Description

Define the labels for an organization chart.

Parameters

Count: numeric (optional)	The number of labels to define.
ChangeFlag: enumeration (optional)	Specify whether changes occur for the whole chart or selected items only. Selected_Subsequent SelectedItems SubsequentItem
LabelsOn: numeric (optional)	Turn labels on.
Label: string (optional)	The label definition.
 Related topics


ChartBoxFieldsDlg

Syntax

ChartBoxFieldsDlg()

Description

Display the Define Labels dialog box for organization charts, which is used to specify label options.

 Related topics


ChartBubbleChart

Syntax

ChartBubbleChart()

Description

Create a chart that displays x, y, size data.


ChartCancelDrop

Syntax

ChartCancelDrop()

Description

Cancel the drop operation in an organization chart.

 Related topics


ChartClearAll

Syntax

ChartClearAll()

Description

Clear all data or text from the current chart. This method works for both data charts and organization charts.

 Related topics


ChartClearDlg

Syntax

ChartClearDlg()

Description

Display the Clear dialog box, which is used to erase chart data, data format, or both.


ChartClearText

Syntax

ChartClearText()

Description

Clear all text from an organization chart.


ChartClose

Syntax

ChartClose()

Description

Close the Chart Editor and insert the chart into the current drawing.


ChartCollapseSubordinates

Syntax

ChartCollapseSubordinates()

Description

Hide the subordinate positions on the selected branch.

 Related topics


ChartCopy

Syntax

ChartCopy()

Description

Copy selected data or text from a chart to the Clipboard.

 Related topics


ChartCopyContents

Syntax

ChartCopyContents()

Description

Copy the contents of a selected organization chart box.

 Related topics


ChartCreate

Syntax

ChartCreate(Type As _ChartCreate_Type_enum, GalleryStyle As _ChartCreate_GalleryStyle_enum, SampleData As _ChartCreate_SampleData_enum, ThreeDChart As _ChartCreate_ThreeDChart_enum)

Description

Create a new data chart. Precede with BeginDataChart and ChartSetCreateSize.

Parameters

Type: enumeration	The type of chart to create. Area HiLo HorzBar Line Mixed Pie Radar Scatter Surface Table VertBar
GalleryStyle: enumeration	The button number in the Chart Gallery. Button1 Button2 Button3 Button4 Button5 Button6
SampleData: enumeration	Use sample data. No Yes
ThreeDChart: enumeration	Make the new chart appear three-dimensional. No Yes
 Related topics


ChartCreateBullet

Syntax

ChartCreateBullet()

Description

Create a new bulleted list.

 Related topics


ChartCreateDlg

Syntax

ChartCreateDlg()

Description

Display the Create Data Chart dialog box, which is used to create a new data chart.

 Related topics


ChartCreateOrg

Syntax

ChartCreateOrg(GalleryStyle As _ChartCreateOrg_GalleryStyle_enum)

Description

Create a new organization chart.

Parameters

GalleryStyle: enumeration	The button number in the Chart Gallery. Button1 Button10 Button11 Button12 Button13 Button14 Button15 Button16 Button17 Button18 Button19 Button2 Button20 Button3 Button4 Button5 Button6 Button7 Button8 Button9
 Related topics


ChartCreateOrgDlg

Syntax

ChartCreateOrgDlg()

Description

Display the Organization Chart dialog box, which is used to create a new organization chart.

 Related topics


ChartCut

Syntax

ChartCut()

Description

Move selected data or text from a chart to the Clipboard.

 Related topics


ChartDataAxisDlg

Syntax

ChartDataAxisDlg()

Description

Change the scale, values, and tick options of the x-axis.


ChartDataColWidthDlg

Syntax

ChartDataColWidthDlg()

Description

Display the Column Width dialog box, which is used to edit the width of a chart's Datasheet columns.

 Related topics


ChartDataExcludeDlg

Syntax

ChartDataExcludeDlg()

Description

Display the Exclude dialog box, which is used to exclude specified rows or columns in a chart's Datasheet so the data they contain is not charted.

 Related topics


ChartDataFillDlg

Syntax

ChartDataFillDlg()

Description

Display the Data Fill dialog box, which is used to fill a chart's Datasheet cells with a series of numbers or dates.

 Related topics


ChartDataFormatDlg

Syntax

ChartDataFormatDlg()

Description

Display the Format dialog box, which is used to change the number format or date format of the selected chart's Datasheet cells.


ChartDataFormulasDlg

Syntax

ChartDataFormulasDlg()

Description

Display the Row/Column Formulas dialog box, which is used to enter formulas in a chart's Datasheet.

 Related topics


ChartDataFrameDlg

Syntax

ChartDataFrameDlg()

Description

Display the Frame dialog box, which is used to modify a chart frame and base height.


ChartDataGridTickDlg

Syntax

ChartDataGridTickDlg()

Description

Display the Grid and Tick Options dialog box, which is used to modify the display of grids and ticks in a data chart.


ChartDataIncludeDlg

Syntax

ChartDataIncludeDlg()

Description

Display the Include dialog box, which is used to chart only the data contained in selected rows or columns of a chart's Datasheet.

 Related topics


ChartDataLabelsDlg

Syntax

ChartDataLabelsDlg()

Description

Display the Labels dialog box, which is used to edit axis labels, data labels, or table text in a data chart.


ChartDataLayoutDlg

Syntax

ChartDataLayoutDlg()

Description

Display the Layout dialog box, which is used to modify the depth, size, and display of a data chart.


ChartDataLegendDlg

Syntax

ChartDataLegendDlg()

Description

Display the Legend dialog box, which is used to display, hide, or move a chart's legend.


ChartDataPerspectiveDlg

Syntax

ChartDataPerspectiveDlg()

Description

Display the Perspective Options dialog box, which is used to change the angle from which a data chart is viewed.


ChartDataRecalc

Syntax

ChartDataRecalc()

Description

Recalculate the current data chart after new data has been entered.


ChartDataSeriesDlg

Syntax

ChartDataSeriesDlg()

Description

Display the Series Options dialog box, which is used to change the way a row of data is graphically represented in a chart's Datasheet.


ChartDataSortDlg

Syntax

ChartDataSortDlg()

Description

Display the Sort Data dialog box, which is used to sort chart data in ascending or descending order.


ChartDataStatisticsDlg

Syntax

ChartDataStatisticsDlg()

Description

Display the Statistics dialog box, which displays statistical calculations of selected chart data.


ChartDataSubtitleDlg

Syntax

ChartDataSubtitleDlg()

Description

Display the Subtitle Properties dialog box, which is used to specify chart subtitle options.


ChartDataTitlesDlg

Syntax

ChartDataTitlesDlg()

Description

Display the Title Properties dialog box, which is used to define a data chart title.


ChartDataY1AxisDlg

Syntax

ChartDataY1AxisDlg()

Description

Display the Y1-Axis Properties dialog box, which is used to change scale, value, and tick options for the primary Y axis.


ChartDataY2AxisDlg

Syntax

ChartDataY2AxisDlg()

Description

Display the Y2-Axis Properties dialog box, which is used to change scale, value, and tick options for the secondary Y axis.


ChartDeleteDlg

Syntax

ChartDeleteDlg()

Description

Display the Delete dialog box, which is used to remove selected rows or columns from a chart's Datasheet.


ChartDrop

Syntax

ChartDrop()

Description

Move the selected organization chart box and drop it onto another box (the drop target).

 Related topics


ChartDropCopy

Syntax

ChartDropCopy()

Description

Drop a copy of the selected organization chart box onto another box (the drop target).

 Related topics


ChartDropTarget

Syntax

ChartDropTarget(Position As _ChartDropTarget_Position_enum, [BoxLocation])

Description

Drop selected organization chart boxes onto the box you specify.

Parameters

Position: enumeration	The location of the dropped boxes. After Before Beneath Replace
BoxLocation: numeric	The location of the box receiving the drop.
 Related topics


ChartEdit

Syntax

ChartEdit([ StyleButtonNum As _ChartEdit_StyleButtonNum_enum], [ChartType As _ChartEdit_ChartType_enum], [SampleData As _ChartEdit_SampleData_enum], [ThreeD As _ChartEdit_ThreeD_enum])

Description

Activate editing mode for the current chart.

Parameters

StyleButtonNum: enumeration (optional)	The Chart Gallery button number. Data charts (1-7), organization charts (1-20). Button1 Button10 Button11 Button12 Button13 Button14 Button15 Button16 Button17 Button18 Button19 Button2 Button20 Button3 Button4 Button5 Button6 Button7 Button8 Button9
ChartType: enumeration (optional)	The data chart type. Area HiLo HorzBar Line Mixed Pie Radar Scatter Surface Table VertBar
SampleData: enumeration (optional)	Use sample data. No Yes
ThreeD: enumeration (optional)	Three-dimensional appearance. No Yes


ChartEditBox

Syntax

ChartEditBox()

Description

Edit the text in the currently selected organization chart box.

 Related topics


ChartEditCellDlg

Syntax

ChartEditCellDlg()

Description

Display the Edit Current Cell dialog box, which is used to edit chart data.


ChartExpandSubordinates

Syntax

ChartExpandSubordinates()

Description

Display the subordinate positions under the selected box in an organization chart.

 Related topics


ChartFillAttributesDlg

Syntax

ChartFillAttributesDlg()

Description

Display the Fill Attributes dialog box, which is used to specify fill options for chart objects.


ChartFontAttributesDlg

Syntax

ChartFontAttributesDlg()

Description

Display the Text Attributes dialog box, which is used to specify the appearance of chart text.


ChartFontDlg

Syntax

ChartFontDlg()

Description

Display the Font dialog box, which is used to specify a font for chart text.


ChartGallery

Syntax

ChartGallery(StyleButtonNum As _ChartGallery_StyleButtonNum_enum, [GalleryType As _ChartGallery_GalleryType_enum], [ThreeD As _ChartGallery_ThreeD_enum])

Description

Display the Chart Gallery, which is used to view and retrieve chart layouts.

Parameters

StyleButtonNum: enumeration	The gallery button number. Data charts (1-7), organization charts (1-20). Button1 Button10 Button11 Button12 Button13 Button14 Button15 Button16 Button17 Button18 Button19 Button2 Button20 Button3 Button4 Button5 Button6 Button7 Button8 Button9
GalleryType: enumeration (optional)	The chart type. Area HiLo HorzBar Line Mixed Org Pie Radar Scatter Surface Table VertBar
ThreeD: enumeration (optional)	Display three-dimensional data charts only. No Yes
 Related topics


ChartGalleryDlg

Syntax

ChartGalleryDlg()

Description

Display the Data Chart gallery, which shows predefined chart styles.

 Related topics


ChartGetAttrs

Syntax

ChartGetAttrs()

Description

Change the default organization chart attributes to those of the selected chart object.

 Related topics


ChartGotoCell2

Syntax

ChartGotoCell2()

Description

Place the insertion point in the Datasheet cell corresponding to a selected data chart object.


ChartGotoCellDlg

Syntax

ChartGotoCellDlg()

Description

Display the Go To dialog box, which is used to move the insertion point to a specified cell in a chart's Datasheet.


ChartHiLo

Syntax

ChartHiLo()

Description

Change the current chart to a high/low chart.


ChartInsertCoworker

Syntax

ChartInsertCoworker()

Description

Add a coworker box to the current organization chart.

 Related topics


ChartInsertDataDlg

Syntax

ChartInsertDataDlg()

Description

Display the Insert dialog box, which is used to add rows or columns to a chart's Datasheet.

 Related topics


ChartInsertManager

Syntax

ChartInsertManager()

Description

Add a manager box to the current organization chart.

 Related topics


ChartInsertNode

Syntax

ChartInsertNode([NodeType As _ChartInsertNode_NodeType_enum], [NumberOfNodes As Integer], [Direction As _ChartInsertNode_Direction_enum])

Description

Add a coworker, subordinate, or staff position to the current organization chart.

Parameters

NodeType: enumeration (optional)	The type of position to insert. Coworker Manager Staff Subordinate
NumberOfNodes: numeric (optional)	The number of positions to add.
Direction: enumeration (optional)	The direction in which to insert boxes. Down Left Right Up
 Related topics


ChartInsertStaff

Syntax

ChartInsertStaff()

Description

Add a staff box to the current organization chart.

 Related topics


ChartInsertSubordinate

Syntax

ChartInsertSubordinate()

Description

Add a subordinate box to the current organization chart.

 Related topics


ChartLine

Syntax

ChartLine()

Description

Change the current chart to a line chart.


ChartLineAttributesDlg

Syntax

ChartLineAttributesDlg()

Description

Display the Line Attributes dialog box in the Chart Editor, which is used to define the appearance of lines used in charts.


ChartMoveContents

Syntax

ChartMoveContents()

Description

Move the contents of the selected organization chart box to another box (the drop target).


ChartOpenFileDlg

Syntax

ChartOpenFileDlg()

Description

Display the Import Data dialog box, which is used to retrieve data or text into a chart's Datasheet.

 Related topics


ChartOrDataWindowNext

Syntax

ChartOrDataWindowNext()

Description

Toggle the insertion point between a data chart and its associated Datasheet.


ChartPaste

Syntax

ChartPaste()

Description

Retrieve Clipboard contents into the current chart's Datasheet at the insertion point.

 Related topics


ChartPasteBranch

Syntax

ChartPasteBranch()

Description

Replace the selected branch with data from the Clipboard.


ChartPasteTranspose

Syntax

ChartPasteTranspose()

Description

Move chart data from rows to columns or from columns to rows using the Clipboard.

 Related topics


ChartPie

Syntax

ChartPie()

Description

Change the current chart to a pie chart.


ChartPromoteBox

Syntax

ChartPromoteBox()

Description

Move the contents of the currently selected box up one level, replacing the contents of the manager's box.

 Related topics


ChartPutAttrs

Syntax

ChartPutAttrs()

Description

Apply the current organization chart attributes to selected chart objects.

 Related topics


ChartRadar

Syntax

ChartRadar()

Description

Change the current chart to a radar chart.


ChartRenameBoxField

Syntax

ChartRenameBoxField(OldName As String, NewName As String)

Description

Change the placeholder text for a box field in an organization chart.

Parameters

OldName: string	The old box field name.
NewName: string	The new box field name.


ChartResetTextLocation

Syntax

ChartResetTextLocation()

Description

Reposition text to original position.


ChartSaveAsDlg

Syntax

ChartSaveAsDlg()

Description

Display the Export Chart Data dialog box, which is used to save chart data in a specified format.

 Related topics


ChartScatter

Syntax

ChartScatter()

Description

Change the current chart to a scatter chart.


ChartSelectAll

Syntax

ChartSelectAll()

Description

Select all cells in a chart's Datasheet.

 Related topics


ChartSelectBox

Syntax

 ChartSelectBox(BoxType As _ChartSelectBox_BoxType_enum)

Description

Select a text box in the current data chart.

Parameters

BoxType: enumeration	The type of text box. DataLabels Legend OBSOLETE PieTitles Subtitle Title


ChartSelectBranch

Syntax

ChartSelectBranch()

Description

Select a branch in an organization chart.


ChartSelectFrameBase

Syntax

ChartSelectFrameBase(Frame As _ChartSelectFrameBase_Frame_enum)

Description

Select a frame or base in the current data chart. Not valid for pie charts.

Parameters

Frame: enumeration	The position of the frame or base. Back Bottom Front Left Right Top


ChartSelectGTA

Syntax

ChartSelectGTA(GridTickAxis As _ChartSelectGTA_GridTickAxis_enum, AxisType As _ChartSelectGTA_AxisType_enum)

Description

Select a grid, tick, or axis in the current data chart.

Parameters

GridTickAxis: enumeration	The type of grid, tick, or axis. Axis GridMajor GridMinor TickMajor TickMinor
AxisType: enumeration	The type of axis. X Y1 Y2


ChartSelectLevels

Syntax

ChartSelectLevels([StartLevel As Integer], [NumberOfLevels As Integer])

Description

Select one or more levels in an organization chart.

Parameters

StartLevel: numeric (optional)	The beginning level of selection.
NumberOfLevels: numeric (optional)	The number of levels to select.
 Related topics


ChartSelectLevelsDlg

Syntax

ChartSelectLevelsDlg()

Description

Display the Select Levels dialog box for organization charts.

 Related topics


ChartSelectLines

Syntax

ChartSelectLines()

Description

Select all connecting lines.


ChartSelectNext

Syntax

ChartSelectNext()

Description

Select the next chart object in the current data chart.

 Related topics


ChartSelectPieText

Syntax

ChartSelectPieText(pie As Long, text_type As Long, [label_pos As _ChartSelectPieText_label_pos_enum])

Description

Select pie text by pie and text type.

Parameters

pie: numeric	The pie belonging to the text you want to select.
text_type: numeric	The type of text you want to select.
label_pos: enumeration (optional)	In Out


ChartSelectPieWedge

Syntax

ChartSelectPieWedge(PieNumber As Integer, WedgeNumber As Integer)

Description

Select a pie wedge in the current pie chart.

Parameters

PieNumber: numeric	The pie number.
WedgeNumber: numeric	The pie wedge number.


ChartSelectPrev

Syntax

ChartSelectPrev()

Description

Select the previous chart object in the current data chart.

 Related topics


ChartSelectSeries

Syntax

ChartSelectSeries(RowNumber As Integer)

Description

Select a specified series (a row of data) in the current data chart.

Parameters

RowNumber: numeric	The series row number.
 Related topics


ChartSelectText

Syntax

 ChartSelectText(TextType As _ChartSelectText_TextType_enum)

Description

Select the text within a text box in the current data chart.

Parameters

TextType: enumeration	The type of chart text. DataLabels LegendSeries LegendTitle OBSOLETE PieTitles Subtitle TableCells Title XAxisTitle Xlabels Y1AxisTitle Y1Labels Y2AxisTitle Y2Labels


ChartSetAbove

Syntax

ChartSetAbove()

Description

Display labels above data points in the current data chart. Not valid for pie charts.

 Related topics


ChartSetAxisTitleHorz

Syntax

ChartSetAxisTitleHorz()

Description

Display the axis title horizontally.


ChartSetAxisTitleVert

Syntax

ChartSetAxisTitleVert()

Description

Display the axis title vertically.


ChartSetBack

Syntax

ChartSetBack()

Description

Toggle display of the back frame in the current data chart.

 Related topics


ChartSetBelow

Syntax

ChartSetBelow()

Description

Display labels below the data point in the current data chart.

 Related topics


ChartSetBottom

Syntax

ChartSetBottom()

Description

Toggle display of the back frame in the current data chart.

 Related topics


ChartSetCenter

Syntax

ChartSetCenter()

Description

Center the current data chart title.

 Related topics


ChartSetCreateSize

Syntax

ChartSetCreateSize(Left As Integer, Bottom As Integer, Right As Integer, Top As Integer)

Description

Specify the size of a new chart.

Parameters

Left: numeric	The left coordinate of a new chart, in WordPerfect units (1200ths of an inch).
Bottom: numeric	The bottom coordinate of a new chart, in WordPerfect units.
Right: numeric	The right coordinate of a new chart, in WordPerfect units.
Top: numeric	The top coordinate of a new chart, in WordPerfect units.
 Related topics


ChartSetFront

Syntax

ChartSetFront()

Description

Toggle display of the back frame in the current data chart.

 Related topics


ChartSetHide

Syntax

ChartSetHide()

Description

Hide a selected label, grid, tick, or frame in the current data chart.

 Related topics


ChartSetHorz

Syntax

ChartSetHorz()

Description

Display a legend horizontally in the current data chart.

 Related topics


ChartSetInside

Syntax

ChartSetInside()

Description

Display the legend inside the current data chart.

 Related topics


ChartSetLabels

Syntax

ChartSetLabels()

Description

Toggle display of the back frame in the current data chart.

 Related topics


ChartSetLeft

Syntax

ChartSetLeft()

Description

Display the left data chart frame.

 Related topics


ChartSetLegend

Syntax

ChartSetLegend()

Description

Toggle display of the back frame in the current data chart.

 Related topics


ChartSetLinear

Syntax

ChartSetLinear()

Description

Set the current axis to the linear scale.


ChartSetLog

Syntax

ChartSetLog()

Description

Set the current axis to the logarithmic scale.


ChartSetOutside

Syntax

ChartSetOutside()

Description

Display the legend outside the current data chart.

 Related topics


ChartSetRight

Syntax

ChartSetRight()

Description

Toggle display of the back frame in the current data chart.

 Related topics


ChartSetSpacing

Syntax

ChartSetSpacing([VertSpacing As Integer], [HorzSpacing As Integer])

Description

Set the spacing between boxes in an organization chart.

Parameters

VertSpacing: numeric (optional)	The spacing from an organization chart box to its subordinates.
HorzSpacing: numeric (optional)	The spacing between co-workers on an organization chart.
 Related topics


ChartSetSpacingDlg

Syntax

ChartSetSpacingDlg()

Description

Display the Organization Chart Spacing dialog box, which is used to set spacing between organization chart boxes.

 Related topics


ChartSetStagger

Syntax

ChartSetStagger()

Description

Stagger the display of X-axis labels in the current data chart.

 Related topics


ChartSetTitleLeft

Syntax

ChartSetTitleLeft()

Description

Display a chart title or subtitle in the left position.

 Related topics


ChartSetTitleRight

Syntax

ChartSetTitleRight()

Description

Display a chart title or subtitle in the right position.

 Related topics


ChartSetTop

Syntax

ChartSetTop()

Description

Toggle display of the back frame in the current data chart.

 Related topics


ChartSetUnStagger

Syntax

ChartSetUnStagger()

Description

Display X-axis labels so they are not staggered.

 Related topics


ChartSetVert

Syntax

ChartSetVert()

Description

Display a legend vertically in the current data chart.

 Related topics


ChartSetY1

Syntax

ChartSetY1()

Description

Put the currently selected series on the Primary Y axis.

 Related topics


ChartSetY2

Syntax

ChartSetY2()

Description

Put the currently selected series on the Secondary Y axis.

 Related topics


ChartSubtitleToggle

Syntax

ChartSubtitleToggle()

Description

Toggle a chart subtitle on and off.

 Related topics


ChartSurface

Syntax

ChartSurface()

Description

Change the current chart to a surface chart.

 Related topics


ChartTextUserPos

Syntax

ChartTextUserPos(Type As _ChartTextUserPos_Type_enum, Subtype As Integer, Subtype2 As Integer, Subtype3 As Integer, X_Value As Double, Y_value As Double)

Description

Specify an exact location for text in a data chart. You can define separate locations for each text item, such as the title or subtitle.

Parameters

Type: enumeration	AxisTitle DataLabel Legend PieLabel PieTitles Subtitle Title
Subtype: numeric	The type of chart text.
Subtype2: numeric	The type of chart text.
Subtype3: numeric	The type of chart text.
X_Value: numeric	The horizontal location.
Y_value: numeric	The vertical location.


ChartTitlesDisplay

Syntax

ChartTitlesDisplay(TitleIndex As _ChartTitlesDisplay_TitleIndex_enum, Display As _ChartTitlesDisplay_Display_enum)

Description

Display or hide chart titles or legend titles in a data chart.

Parameters

TitleIndex: enumeration	The title type. Legend PieTitle Subtitle Title X Y1 Y2
Display: enumeration	Display a chart title. Off On
 Related topics


ChartTitleToggle

Syntax

ChartTitleToggle()

Description

Toggle a chart title on and off.

 Related topics


ChartToggle3D

Syntax

ChartToggle3D()

Description

Toggle between three-dimensional and two-dimensional data chart views.

 Related topics


ChartToggleHorzVert

Syntax

ChartToggleHorzVert()

Description

Toggle between horizontal and vertical data chart views.

 Related topics


ChartToggleTable

Syntax

ChartToggleTable()

Description

Toggle between data chart views that show or hide a corresponding table of data.

 Related topics


ChartUnselectAll

Syntax

ChartUnselectAll()

Description

Unselect all objects in the chart editor.

 Related topics


ChartViewDatasheet

Syntax

ChartViewDatasheet([Show As _ChartViewDatasheet_Show_enum])

Description

Toggle the display of the Datasheet in a data chart.

Parameters

Show: enumeration (optional)	Display the Datasheet. Off On
 Related topics


ChartViewOrgOutline

Syntax

ChartViewOrgOutline([Show As _ChartViewOrgOutline_Show_enum])

Description

Display or hide the organization chart outline.

Parameters

Show: enumeration (optional)	Off On


ChartZeroBaseline

Syntax

ChartZeroBaseline(Display As _ChartZeroBaseline_Display_enum)

Description

Toggle the zero baseline.

Parameters

Display: enumeration	Off On


ClearBackground

Syntax

ClearBackground()

Description

Erase the current background in the Background Editor.


ClearBitmap

Syntax

ClearBitmap()

Description

Erase the current bitmap area without closing the Bitmap Editor.

 Related topics


ClearDrawing

Syntax

ClearDrawing()

Description

Display the Clear Drawing dialog box, which is used to delete all items from the current drawing window.

 Related topics


ClearLayout

Syntax

ClearLayout()

Description

Remove all objects from the current layout.

 Related topics


ClearMaster
ClearLayout

Syntax

ClearLayout()

Description

Remove all layouts and backgrounds from the current master.

 Related topics


ClearMasterDlg

Syntax

ClearMasterDlg()

Description

Display the Clear dialog box with the options Master and Current Background available.

 Related topics


ClearPresentation

Syntax

ClearPresentation()

Description

Clear all slides from the current slide show.

 Related topics


ClearPresentationDlg

Syntax

ClearPresentationDlg()

Description

Display the Clear dialog box with the options Slide Show and Slide # available (with # indicating the current slide number).

 Related topics


ClearSlide

Syntax

ClearSlide()

Description

Remove all objects from the current slide.

 Related topics


ClipArtBrowser

Syntax

ClipArtBrowser()

Description

Display the Clipart browser.

 Related topics


ClipboardCopy

Syntax

ClipboardCopy()

Description

Copy selected objects or text to the Clipboard.

 Related topics


ClipboardCut

Syntax

ClipboardCut()

Description

Move selected objects or text to the Clipboard.

 Related topics


ClipboardPaste

Syntax

ClipboardPaste()

Description

Insert Clipboard contents into the current drawing at the insertion point.

 Related topics


CombineObjects

Syntax

CombineObjects()

Description

Combine the selected objects into a compound polygon.

 Related topics


ConnectorsDlg

Syntax

ConnectorsDlg()

Description

Display the Connectors dialog box, which is used to modify connectors between organization chart levels.

 Related topics


ContourText

Syntax

ContourText(VertJust As _ContourText_VertJust_enum, HorzJust As _ContourText_HorzJust_enum, ShowPath As _ContourText_ShowPath_enum)

Description

Shape selected text to the outline of a selected drawing object.

Parameters

VertJust: enumeration	The vertical position of text in relation to the curve it follows. Bottom Top
HorzJust: enumeration	The horizontal position of text in relation to the curve it follows. Center! Left Right
ShowPath: enumeration	Show the object as well as the contoured text. No Yes
 Related topics


ContourTextAttributesDlg

Syntax

ContourTextAttributesDlg()

Description

Display the Contour Text dialog box, which is used to shape text to the outline of a selected drawing object.

 Related topics


ConvertToBitmap

Syntax

ConvertToBitmap()

Description

Convert the selected objects to bitmap format.

 Related topics


ConvertToPolygon

Syntax

ConvertToPolygon()

Description

Convert the selected objects to polygon format.


CopyMarquee

Syntax

CopyMarquee()

Description

Copy a selected bitmap area to the Clipboard.

 Related topics


CopySelectedSlides

Syntax

CopySelectedSlides(To As Integer)

Description

Copy selected slides to a specified position in the current slide show.

Parameters

To: numeric	Specify which slide the copies follow.
 Related topics


CrosshairCursor

Syntax

CrosshairCursor([State As _CrosshairCursor_State_enum])

Description

Turn the crosshair pointer on or off. If no parameter is specified, the method toggles the crosshair pointer.

Parameters

State: enumeration (optional)	The crosshair cursor is on or off. Off On


CutMarquee

Syntax

CutMarquee()

Description

Move a selected bitmap area to the Clipboard.

 Related topics


DatasheetBlockMode

Syntax

DatasheetBlockMode()

Description

Toggle on and off the select mode in a chart's Datasheet.


DatasheetColWidth

Syntax

 DatasheetColWidth(Width As Integer)

Description

Specify a chart's Datasheet column width in number of characters.

Parameters

Width: numeric	The column width in characters.
 Related topics


DatasheetDateFmt

Syntax

DatasheetDateFmt(Format As _DatasheetDateFmt_Format_enum, [CustFmtStr As String])

Description

Format the selected chart's Datasheet cells as dates.

Parameters

Format: enumeration	The date format. DD_MMM DD_MMM_YY General HH_MM HH_MM_SS MM_DD MM_DD_YY MM_DD_YY_HH_MM_SS MM_YY MMM_DD MMM_DD_YY MMM_YY Q_YY QTR_YY UserDef YYYY YYYY_MM_DD
CustFmtStr: string (optional)	The user-defined date format. Contains the date string defining the user-defined date format.
 Related topics


DatasheetDelete

Syntax

DatasheetDelete(Direction As _DatasheetDelete_Direction_enum, Number As Integer)

Description

Remove rows or columns from a chart's Datasheet.

Parameters

Direction: enumeration	Delete rows or columns. Columns Rows
Number: numeric	The number of rows or columns to delete.
 Related topics


DatasheetDown

Syntax

DatasheetDown(Count As Integer, BlockExtend As _DatasheetDown_BlockExtend_enum)

Description

Move the insertion point down a specified number of cells in a chart's Datasheet.

Parameters

Count: numeric	The number of cells down to move the insertion point.
BlockExtend: enumeration	Moving the insertion point selects cells. No Yes
 Related topics


DatasheetExclude

Syntax

DatasheetExclude(Direction As _DatasheetExclude_Direction_enum)

Description

Exclude the data in the selected Datasheet rows or columns from a chart.

Parameters

Direction: enumeration	Exclude columns or rows. Columns Rows
 Related topics


DatasheetExport

Syntax

DatasheetExport(Filename As String, Delimiter As Integer, Format As _DatasheetExport_Format_enum)

Description

Export data from a chart's Datasheet to a file.

Parameters

Filename: string	The name of the file to contain exported data.
Delimiter: numeric	The ASCII numeric equivalent of a character to use as a delimiter for each Datasheet cell.
Format: enumeration	The file format. Ansi Ascii
 Related topics


DatasheetFillDates

Syntax

DatasheetFillDates(Start As Double, Step As Double, StepType As _DatasheetFillDates_StepType_enum, Direction As _DatasheetFillDates_Direction_enum)

Description

Fill the current chart's Datasheet with a series of dates.

Parameters

Start: numeric	The starting date. The date 1/1/1900 12:00 am is represented by a 1. To determine the numeric equivalent of a date, type the date in the Start entry box, then choose Linear or Growth from the Type options.
Step: numeric	Increment between dates.
StepType: enumeration	The type of increment. Days Hours Minutes Months Qtrs Seconds Weekdays Weeks Years
Direction: enumeration	Fill a Datasheet by rows or columns. Columns Rows
 Related topics


DatasheetFillNumbers

Syntax

DatasheetFillNumbers(Start As Double, Step As Double, FillType As _DatasheetFillNumbers_FillType_enum, Direction As _DatasheetFillNumbers_Direction_enum)

Description

Fill a chart's Datasheet with a series of numbers.

Parameters

Start: numeric	The starting number.
Step: numeric	Increment between numbers.
FillType: enumeration	The type of increment. Growth Linear
Direction: enumeration	Fill a Datasheet by rows or columns. Columns Rows
 Related topics


DatasheetFormula

Syntax

DatasheetFormula(Function As _DatasheetFormula_Function_enum, RowCol As _DatasheetFormula_RowCol_enum, Dest As Integer, Arguments As String, MovAveArg As String, PolyFitOrder As Integer, FitForecast As Integer)

Description

Apply a formula to rows or columns of a chart's Datasheet.

Parameters

Function: enumeration	The function to perform on selected data. AbsVal Average Cosine CumTotal Difference FitExp FitLin FitLog FitPoly FitPower Max Min MovAve None Percent Sine Sum
RowCol: enumeration	Fill by columns or rows. Column Row
Dest: numeric	The row or column to contain the formula results.
Arguments: string	The beginning and ending row or column numbers, separated by a comma.
MovAveArg: string	The number of values to average before and after each chart item when calculating a moving average.
PolyFitOrder: numeric	The number of points in the Order of Curve Fit when charting a fit polynomial curve.
FitForecast: numeric	Indicate how far to forecast.
 Related topics


DatasheetGoto

Syntax

DatasheetGoto(Column As Integer, Row As Integer, BlockExtend As _DatasheetGoto_BlockExtend_enum, MouseClick As _DatasheetGoto_MouseClick_enum)

Description

Move the insertion point to a specified cell in a chart's Datasheet.

Parameters

Column: numeric	The column number.
Row: numeric	The row number.
BlockExtend: enumeration	Creates a selected block of cells between, and including, the cell specified by the Column and Row parameter, and the cell that was selected prior to the execution of this method. No Yes
MouseClick: enumeration	Cells scroll into view, as they do when you click the mouse to select a cell. No Yes
 Related topics


DatasheetHome

Syntax

 DatasheetHome([ControlKey As _DatasheetHome_ControlKey_enum])

Description

Perform the function of the Home key in a chart's Datasheet. The Home key is used with other keystrokes to move the insertion point in a Datasheet.

Parameters

ControlKey: enumeration (optional)	Indicate whether the Control key was pressed in addition to the Home key. This parameter will cause the cursor to move to cell 0,0. No Yes


DatasheetImport

Syntax

DatasheetImport(Filename As String, Clear As _DatasheetImport_Clear_enum, Link As _DatasheetImport_Link_enum, Transpose As _DatasheetImport_Transpose_enum, Location As _DatasheetImport_Location_enum, [Range As String])

Description

Import data from a spreadsheet file into a chart's Datasheet.

Parameters

Filename: string	The datasheet file to import.
Clear: enumeration (optional)	Clear the data chart Datasheet before importing spreadsheet data. Clear NoClear
Link: enumeration (optional)	Link the import file to the file containing the data chart. Link NoLink
Transpose: enumeration (optional)	Transpose the imported data. NoTranspose Transpose
Location: enumeration	Import data to the top left cell (0,0), or the cell containing the insertion point. CurrentCell TopLeft
Range: string (optional)	The range of spreadsheet cells from which to import data.
 Related topics


DatasheetImportOptions

Syntax

 DatasheetImportOptions(Filename As String, Clear As _DatasheetImportOptions_Clear_enum, Link As _DatasheetImportOptions_Link_enum, InsertAt As _DatasheetImportOptions_InsertAt_enum)

Description

Specify default options for the Import Data dialog box, which is used to import data into a chart's Datasheet. This method exists for 0S/2 integration.

Parameters

Filename: string	The default filename.
Clear: enumeration	Clear Current Data is selected. No Yes
Link: enumeration	The link to the Datasheet is selected. No Yes
InsertAt: enumeration	Specify whether Import at Current Cell is selected. Otherwise, imported data begins at the top left cell. CurrentCell TopLeft


DatasheetImportText

Syntax

DatasheetImportText(Filename As String, FileFormat As _DatasheetImportText_FileFormat_enum, FieldDelimiter As String, RecordDelimiter As String, StripChars As String, EncapsulationChar As String, ClearData As _DatasheetImportText_ClearData_enum, Link As _DatasheetImportText_Link_enum, Transpose As _DatasheetImportText_Transpose_enum, Location As _DatasheetImportText_Location_enum)

Description

Import data from a text file to a chart's Datasheet.

Parameters

Filename: string	The file from which to import data.
FileFormat: enumeration	The format of the data file. Ansi Ascii
FieldDelimiter: string (optional)	The field delimiter for imported text.
RecordDelimiter: string (optional)	The record delimiter for imported text.
StripChars: string (optional)	The characters to strip from imported text.
EncapsulationChar: string (optional)	The character used to encapsulate each field.
ClearData: enumeration (optional)	Clear the chart's Datasheet before importing data. Clear NoClear
Link: enumeration (optional)	Link the data file to the Datasheet. Link NoLink
Transpose: enumeration (optional)	Transpose the data before importing. NoTranspose Transpose
Location: enumeration	Import data to the top left cell (0,0), or the cell containing the insertion point. CurrentCell TopLeft
 Related topics


DatasheetInclude

Syntax

DatasheetInclude(Direction As _DatasheetInclude_Direction_enum)

Description

Include the data in a specified chart's Datasheet rows or columns in a data chart.

Parameters

Direction: enumeration	Include columns or rows. Columns Rows
 Related topics


DatasheetInput

Syntax

 DatasheetInput(String As String)

Description

Insert data into a cell in a chart's Datasheet.

Parameters

String: string	The data to insert.
 Related topics


DatasheetInsert

Syntax

DatasheetInsert(Direction As _DatasheetInsert_Direction_enum, Number As Integer)

Description

Add rows or columns to a chart's Datasheet.

Parameters

Direction: enumeration	Add columns or rows. Columns Rows
Number: numeric	The number of rows or columns to add.
 Related topics


DatasheetLeft

Syntax

DatasheetLeft(Count As Integer, BlockExtend As _DatasheetLeft_BlockExtend_enum)

Description

Move the insertion point a specified number of cells to the left in a chart's Datasheet.

Parameters

Count: numeric	The number of cells to the left to move the insertion point.
BlockExtend: enumeration	Moving the insertion point selects cells. No Yes
 Related topics


DatasheetNumericFmt

Syntax

DatasheetNumericFmt(FloatingDigits As Integer, Digits As Integer, NegParen As Integer, Currency As Integer, Thousands As Integer, Percent As Integer, Exponential As Integer)

Description

Specify a numeric format for selected cells of a chart's Datasheet.

Parameters

FloatingDigits: numeric	Numeric format includes floating digits or a fixed number of digits after the decimal point. Use the Digits parameter to specify a fixed number. Use 0 for fixed and 1 for floating.
Digits: numeric	A fixed number of digits. Use only when the value of the FloatingDigits parameter is 0.
NegParen: numeric	Show negative numbers with a minus sign or in parentheses. Use 0 for minus sign and 1 for parentheses.
Currency: numeric	Format numbers with a currency symbol. Use 0 for no currency symbol and 1 for a currency symbol.
Thousands: numeric	Format numbers with a thousands separator. Use 0 for no thousands separator and 1 for a thousands separator.
Percent: numeric	Determine whether to format numbers as percentages. Use 0 for no percentage and 1 for a percentage.
Exponential: numeric	Determine whether to format numbers as exponents. Use 0 for no exponent and 1 for an exponent.
 Related topics


DatasheetOneColWidth

Syntax

DatasheetOneColWidth([Column As Integer]) As Integer

Description

Specify a chart's Datasheet column width in number of characters for one column.

Return Value

Returns the width of the specified column.

Parameters

Column: numeric (optional)	The width of the column in characters.


DatasheetPgDn

Syntax

DatasheetPgDn(Count As Integer, BlockExtend As _DatasheetPgDn_BlockExtend_enum)

Description

Move the insertion point down a specified number of pages in a chart's Datasheet.

Parameters

Count: numeric	The number of pages down to move the insertion point.
BlockExtend: enumeration	Moving the insertion point selects cells. No Yes
 Related topics


DatasheetPgLeft

Syntax

 DatasheetPgLeft(Count As Integer, BlockExtend As _DatasheetPgLeft_BlockExtend_enum)

Description

Move the insertion point a specified number of pages to the left in a chart's Datasheet.

Parameters

Count: numeric	The number of pages left to move the insertion point.
BlockExtend: enumeration	Moving the insertion point selects cells. No Yes
 Related topics


DatasheetPgRight

Syntax

DatasheetPgRight(Count As Integer, BlockExtend As _DatasheetPgRight_BlockExtend_enum)

Description

Move the insertion point a specified number of pages to the right in a chart's Datasheet.

Parameters

Count: numeric	The number of pages right to move the insertion point.
BlockExtend: enumeration	Moving the insertion point selects cells. No Yes
 Related topics


DatasheetPgUp

Syntax

DatasheetPgUp(Count As Integer, BlockExtend As _DatasheetPgUp_BlockExtend_enum)

Description

Move the insertion point up a specified number of cells in a chart's Datasheet.

Parameters

Count: numeric	The number of pages up to move the insertion point.
BlockExtend: enumeration	Moving the insertion point selects cells. No Yes
 Related topics


DatasheetRight

Syntax

DatasheetRight(Count As Integer, BlockExtend As _DatasheetRight_BlockExtend_enum)

Description

Move the insertion point a specified number of cells to the right in a chart's Datasheet.

Parameters

Count: numeric	The number of cells right to move the insertion point.
BlockExtend: enumeration	Moving the insertion point selects cells. No Yes
 Related topics


DatasheetUp

Syntax

DatasheetUp(Count As Integer, BlockExtend As _DatasheetUp_BlockExtend_enum)

Description

Move the insertion point up a specified number of cells in a chart's Datasheet.

Parameters

Count: numeric	The number of cells up to move the insertion point.
BlockExtend: enumeration	Moving the insertion point selects cells. No Yes
 Related topics


DateCode

Syntax

DateCode()

Description

Insert a date code into a text area or text line at the insertion point.

 Related topics


DateFormat

Syntax

 DateFormat(DateFormatString As String)

Description

Specify a date format when inserting a date in the Text Editor.

Parameters

DateFormatString: string	Specify a date format.
 Related topics


DateFormatDlg

Syntax

DateFormatDlg()

Description

Display the Date/Time Format dialog box, which is used to specify the appearance of the date and time when they are inserted into a text line or text area.

 Related topics


DateText

Syntax

DateText()

Description

Insert the current date at the insertion point in the Text Editor.

 Related topics


DefineBulletsDlg

Syntax

DefineBulletsDlg()

Description

Display the Define Bullets/Fonts dialog box, which is used to set bullets options, font options, and box/frame options in a bullet chart.

 Related topics


DefineSubTitleDlg

Syntax

DefineSubTitleDlg()

Description

Change subtitle attibutes.


DefineTitleDlg

Syntax

DefineTitleDlg()

Description

Change title attributes.


Delete

Syntax

Delete()

Description

Remove the character to the right of the insertion point in a text area or text line.

 Related topics


DeleteAlignBars

Syntax

DeleteAlignBars()

Description

Remove the alignment guides.


DeleteAlignmentBar

Syntax

DeleteAlignmentBar()

Description

Remove the alignment guide.


DeleteBackground

Syntax

DeleteBackground()

Description

Delete the current background.

 Related topics


DeleteKeyboard

Syntax

DeleteKeyboard([KeyboardName As String])

Description

Delete a keyboard.

Parameters

KeyboardName: string (optional)	The name of the keyboard to delete.
 Related topics


DeleteLayout

Syntax

DeleteLayout()

Description

Delete the current layout from the slide show master.

 Related topics


DeleteMenu

Syntax

DeleteMenu([MenuName As String])

Delete a menu bar.

Description

Parameters

MenuName: string (optional)	The name of the menu bar to delete.
 Related topics


DeleteObjects

Syntax

DeleteObjects()

Description

Delete the selected items when editing an object. You can delete an entire object, or selected points only.

 Related topics


DeleteSelectedSlides

Syntax

DeleteSelectedSlides([PromptToDelete As _DeleteSelectedSlides_PromptToDelete_enum])

Description

Remove the selected slides from the current slide show.

Parameters

PromptToDelete: enumeration (optional)	Determine whether to prompt the user before deleting slides. No Yes


DeleteToBegOfWord

Syntax

 DeleteToBegOfWord()

Description

Erase text from the insertion point to the beginning of the word containing the insertion point.

 Related topics


DeleteToEndOfWord

Syntax

DeleteToEndOfWord()

Description

Erase text from the insertion point to the end of the word containing the insertion point.

 Related topics


DeleteWord

Syntax

DeleteWord()

Description

Delete the word containing the insertion point.

 Related topics


DelToDocBottom

Syntax

DelToDocBottom()

Description

Delete all text from the insertion point to the end of the current text window.

 Related topics


DelToEndOfLine

Syntax

DelToEndOfLine()

Description

Delete text from the insertion point to the end of the current line.

 Related topics


DisplaySettingsDlg

Syntax

DisplaySettingsDlg()

Description

Display the Display dialog box, which is used to specify display preferences.


DocPrevious

Syntax

DocPrevious()

Description

Display the previous open document in the editing window.

 Related topics


DocumentBottom

Syntax

DocumentBottom()

Description

Move the insertion point to the end of the text in the current text line or text area.

 Related topics


DocumentFormSettings

Syntax

DocumentFormSettings(FormWidth As Integer, FormHeight As Integer, MarginLeft As Integer, MarginBottom As Integer, MarginRight As Integer, MarginTop As Integer, Orientation As _DocumentFormSettings_Orientation_enum, [ObjectFit As _DocumentFormSettings_ObjectFit_enum], [IsPosterMode As _DocumentFormSettings_IsPosterMode_enum], [PosterColumns As Integer], [PosterRows As Integer])

Description

Specify page size, margins, and poster options for the current drawing or slide show.

Parameters

FormWidth: measurement	The paper width in WordPerfect units (1200ths of an inch).
FormHeight: measurement	The paper height in WordPerfect units.
MarginLeft: measurement	The size of the left margin in WordPerfect units.
MarginBottom: measurement	The size of the bottom margin in WordPerfect units.
MarginRight: measurement	The size of the right margin, in WordPerfect units.
MarginTop: measurement	The size of the top margin, in WordPerfect units.
Orientation: enumeration	The page orientation. Landscape Portrait
ObjectFit: enumeration (optional)	Specify how to move or size objects to conform to the new page size. Center LowerLeft LowerRight MatchMarginsCenter MatchMarginsExact MatchMarginsLowerLeft MatchMarginsLowerRight MatchMarginsUpperLeft MatchMarginsUpperRight NoModify ObjectsToMarginsCenter ObjectsToMarginsExact ObjectsToMarginsLowerLeft ObjectsToMarginsLowerRight ObjectsToMarginsUpperLeft ObjectsToMarginsUpperRight UpperLeft UpperRight
IsPosterMode: enumeration (optional)	Poster mode is active. No Yes
PosterColumns: numeric (optional)	In poster mode, the number of columns that overlay the form.
PosterRows: numeric (optional)	In poster mode, the number of rows that overlay the form.
 Related topics


DocumentMaximize

Syntax

DocumentMaximize()

Description

Expand the current document window to its maximum size. If the window is already maximized, this method terminates the macro or redirects the macro to the LABEL specified by ONERROR.

 Related topics


DocumentMinimize

Syntax

DocumentMinimize()

Description

Reduce the current document window to an icon. If the window is already minimized, this method terminates the macro or redirects the macro to the LABEL specified by ONERROR.

 Related topics


DocumentMove

Syntax

DocumentMove()

Description

Pause the macro to allow a user to move the current document window. Click the mouse or press Enter to continue playing the macro.


DocumentNext

Syntax

DocumentNext()

Description

Display the next open document in the editing window.

 Related topics


DocumentPageColor

Syntax

DocumentPageColor(FillType As _DocumentPageColor_FillType_enum, SolidColorRed As Integer, SolidColorGreen As Integer, SolidColorBlue As Integer, [GradientColorRed As Integer], [GradientColorGreen As Integer], [GradientColorBlue As Integer], [GradientType As _DocumentPageColor_GradientType_enum], [GradientAngle As Integer], [GradientSteps As Integer], [GradientRefX As Integer], [GradientRefY As Integer], [BrushPattern As Integer], [TextureFit As Integer], [TextureFileName As String])

Description

Set the page color for the current document.

Parameters

FillType: enumeration	The type of page color. Gradient Pattern Picture Texture
SolidColorRed: numeric	The amount of red (0-255) in a solid page color, the top color of a linear gradient, or the center color of a circular or rectangular gradient.
SolidColorGreen: numeric	The amount of green (0-255) in a solid page color, the top color of a linear gradient, or the center color of a circular or rectangular gradient.
SolidColorBlue: numeric	The amount of blue (0-255) in a solid page color, the top color of a linear gradient, or the center color of a circular or rectangular gradient.
GradientColorRed: numeric (optional)	The amount of red (0-255) in the bottom color of a linear gradient, or the outer color of a circular or rectangular gradient.
GradientColorGreen: numeric (optional)	The amount of green (0-255) in the bottom color of a linear gradient, or the outer color of a circular or rectangular gradient.
GradientColorBlue: numeric (optional)	The amount of blue (0-255) in the bottom color of a linear gradient, or the outer color of a circular or rectangular gradient.
GradientType: enumeration (optional)	The linear, circular, or rectangular gradient. Grad_Ccircles Grad_Linear Grad_None Grad_VRects
GradientAngle: numeric (optional)	Specify a rotation angle for a gradient page color. The top of the gradient is rotated counter-clockwise. For example, a 90-degree angle places the top of the gradient along the left margin of the page.
GradientSteps: numeric (optional)	The number of steps between colors in a gradient page color. A value of 0 represents the greatest possible number of steps.
GradientRefX: numeric (optional)	The horizontal center of a circular or rectangular gradient relative to the page. Flush left is 0, center is 50, and flush right is 100.
GradientRefY: numeric (optional)	The vertical center of a circular or rectangular gradient, or the top of a linear gradient relative to the page. Top is 0, center is 50, and bottom is 100.
BrushPattern: numeric (optional)	The fill pattern.
TextureFit: numeric (optional)	How the texture fills the page.
TextureFileName: string (optional)	The filename of texture bitmap.
 Related topics


DocumentRestore

Syntax

DocumentRestore()

Description

Restore a document window to its previous size. If the window has already been restored, this method will terminate the macro or redirect the macro to the LABEL specified by ONERROR.

 Related topics


DocumentSize

Syntax

DocumentSize()

Description

Pause macro execution to allow the user to size the document window. Click the mouse or press Enter to continue playing the macro.

 Related topics


DocumentTop

Syntax

DocumentTop()

Description

Move the insertion point to the top of the current text area or text line.

 Related topics


DoubleSmartQuote

Syntax

DoubleSmartQuote([State As _DoubleSmartQuote_State_enum], [OpenQuote As String], [CloseQuote As String])

Description

Turn double SmartQuotes on or off and specify quote characters in QuickCorrect.

Parameters

State: enumeration (optional)	Double smart quotes are on or off. Off On
OpenQuote: string (optional)	The character to use for double open quote.
CloseQuote: string (optional)	The character to use for double close quote.
 Related topics


DraftMode

Syntax

DraftMode()

Description

Turn Draft Mode on. In Draft Mode, images in a drawing window are displayed as outlines. To turn Draft Mode off, use PageMode.

 Related topics


DrawingSizeDlg

Syntax

DrawingSizeDlg()

Description

Display the Drawing Size dialog box, which is used to set the frame size for an OLE graphic.

 Related topics


DrawingSizeSettings

Syntax

 DrawingSizeSettings(Left As Integer, Bottom As Integer, Right As Integer, Top As Integer, [UseEvenBorders As _DrawingSizeSettings_UseEvenBorders_enum], [BorderSize As Integer])

Description

Change the size of a drawing area when Corel Presentations is running as an OLE client.

Parameters

Left: measurement	The left coordinate of a drawing area, in WordPerfect units (1200ths of an inch).
Bottom: measurement	The bottom coordinate of a drawing area, in WordPerfect units.
Right: measurement	The right coordinate of a drawing area, in WordPerfect units.
Top: measurement	The top coordinate of a drawing area, in WordPerfect units.
UseEvenBorders: enumeration (optional)	Move the borders to conform to drawing. No Yes
BorderSize: numeric (optional)	A percentage of the drawing size. Values (0-100). Default (5).
 Related topics


EditBackground

Syntax

EditBackground()

Description

Open the Background Editor, which allows you to edit the background layer of a slide.

 Related topics


EditLayouts

Syntax

EditLayouts()

Description

Open the Layout Editor, which allows you to edit the layout layer of a slide.

 Related topics


EditOleObject

Syntax

EditOleObject()

Description

Modify a selected OLE object.

 Related topics


EditSelectedBitmap

Syntax

EditSelectedBitmap()

Description

Open the Bitmap Editor to edit a selected bitmap object.

 Related topics


EditSlides

Syntax

EditSlides()

Description

Return from the Layout Layer or Background Layer to the Slide Layer.

 Related topics


EndOfLine

Syntax

EndOfLine()

Description

Move the insertion point to the end of the current line of text.

 Related topics


EndOfSentenceSpacing

Syntax

EndOfSentenceSpacing(Type As _EndOfSentenceSpacing_Type_enum)

Description

Specify an end of sentence correction type in QuickCorrect.

Parameters

Type: enumeration	The type of spacing at sentence ends. None OneToTwo TwoToOne
 Related topics


EnvSpeedLinkNumericData

Syntax

EnvSpeedLinkNumericData(SpecifyData As _EnvSpeedLinkNumericData_SpecifyData_enum) As Long

Description

Query numeric data from the SpeedLink.

 Related topics


EnvSpeedLinkSelect

Syntax

EnvSpeedLinkSelect(SpecifyLink As _EnvSpeedLinkSelect_SpecifyLink_enum) As Long

Description

Select an object with an SpeedLink and return the SpeedLink type.

 Related topics


EnvSpeedLinkStringData

Syntax

EnvSpeedLinkStringData(SpecifyData As _EnvSpeedLinkStringData_SpecifyData_enum) As String

Description

Return the string data associated with the selected SpeedLink.

 Related topics


EnvBackgroundTitle

Syntax

EnvBackgroundTitle() As String

Description

Return the name of the current background.

 Related topics


EnvCapBeginSentence

Syntax

EnvCapBeginSentence() As Long

Description

Automatically capitalize the first letter of the first word in a sentence.

Return Value

0	Off

1	On

 Related topics


EnvChartDataWin

Syntax

EnvChartDataWin() As Long

Description

Return Value

0	Not displayed

1	Displayed

 Related topics


EnvChartDisplay

Syntax

EnvChartDisplay(Object As _EnvChartDisplay_Object_enum, Subtype As _EnvChartDisplay_SubType_enum) As Long

Description

Display or hide elements of a chart.

Return Value

0	Not displayed

1	Displayed

Parameters

Object: enumeration	Frames GridMajor GridMinor Labels Legend TextBoxes TickMajor TickMinor Titles
SubType: enumeration	Back Bottom Data Front Left Legend Pie Radial Right SubTitle Title Top! X Y1 Y2
 Related topics


EnvChartType

Syntax

EnvChartType() As Long

Description

Specify a default chart type.

Return Value

0	None

1	Bar

2	Line

3	Scatter

4	High/Low

5	Mixed

6	Surface

7	Table

8	Pie

9	Radar

 Related topics


EnvColorPalette

Syntax

EnvColorPalette(Seperation As _EnvColorPalette_Seperation_enum, Index As Integer) As Long

Description

Specify a default color palette.

Return Value

Color value(0-255)

Parameters

Separation: enumeration	The color component. Blue Green Red
Index: numeric	Specify a color by index number.
 Related topics


EnvCurrentBackgroundNumber

Syntax

EnvCurrentBackgroundNumber() As Long

Description

Return the number of the current background.

 Related topics


EnvCurrentFilename

Syntax

 EnvCurrentFilename() As String

Description

Return Value

Filename

 Related topics


EnvCurrentLayoutNumber

Syntax

EnvCurrentLayoutNumber() As Long

Description

Return the number of the current layout.

 Related topics


EnvCurrentMode

Syntax

EnvCurrentMode() As Long

Description

Return the current editing mode.

Return Value

When more than one editing mode is active, the return value is the sum of the numbers for each active mode.

1	Drawing

2	Slide

4	Slide list

16	Slide sort

32	Background edit

64	Layout edit

128	Data chart

256	Organization chart

512	Text edit and slide outline

1024	Paint

2048	OLE drawing

4096	OLE data chart

 Related topics


EnvCurrentSlideNumber

Syntax

EnvCurrentSlideNumber() As Long()

Description

Return the current slide number.


EnvCurrentTool

Syntax

EnvCurrentTool() As Long()

Description

Return the current drawing tool.

Return Value

0	No tool selected

1	Select

2	Data chart

3	Organization chart

4	Bullet chart

5	QuickArt

6	Text line

7	Line

8	Curve

9	Closed curve

10	Polygon

11	Regular polygon

12	Rectangle

13	Rounded rectangle

14	Ellipse

15	Elliptical arc

16	Circle

17	Circular arc

18	Arrow

19	Bezier

20	Freehand

21	Bitmap

22	Paintbrush

23	Airbrush

24	Floodfill

25	Paint dropper

26	Selective replace

27	Eraser

28	Select area

29	Bitmap zoom

30	Aquire image

31	Text box

 Related topics


EnvDoubleSmartQuoteClose

Syntax

EnvDoubleSmartQuoteClose() As String

Description

Return the current double close SmartQuote in QuickCorrect.

 Related topics


EnvDoubleSmartQuoteOpen

Syntax

EnvDoubleSmartQuoteClose() As String

Description

Return the current double open SmartQuote in QuickCorrect.

 Related topics


EnvDoubleSmartQuoteState

Syntax

EnvDoubleSmartQuoteOpen() As String

Description

Return the current double SmartQuote in QuickCorrect.

Return Value

0	Off

1	On

 Related topics


EnvEndOfSentenceSpacing

Syntax

EnvEndOfSentenceSpacing() As Long

Description

Return the current value of end of sentence spacing in QuickCorrect.

Return Value

0	Off

1	On

 Related topics


EnvFormInfo

Syntax

EnvFormInfo(DataType As _EnvFormInfo_DataType_enum) As Long

Description

Return information about the current form.


EnvGetCurrentPrinter

Syntax

EnvGetCurrentPrinter() As String

Description

Return the name of the currently selected printer as a Corel WordPerfect string.

Return Value

String

 Related topics


EnvGetMarqueeHeight

Syntax

EnvGetMarqueeHeight() As Long

Description

Return the bitmap marquee height.

 Related topics


EnvGetMarqueeWidth

Syntax

EnvGetMarqueeWidth() As Long

Description

Return the bitmap marquee width.

 Related topics


EnvGetMarqueeXPos

Syntax

EnvGetMarqueeXPos() As Long

Description

Return the bitmap marquee upper left X position.

 Related topics


EnvGetMarqueeYPos

Syntax

EnvGetMarqueeYPos() As Long

Description

Return the bitmap marquee upper left Y position.

 Related topics


EnvGetObjectHeight

Syntax

EnvGetObjectHeight() As Long

Description

Return the height of the selected object.

 Related topics


EnvGetObjectWidth

Syntax

EnvGetObjectWidth() As Long

Description

Return the width of the selected object.

 Related topics


EnvGetObjectXPos

Syntax

 EnvGetObjectXPos() As Long

Description

Return the selected object's left X position.

 Related topics


EnvGetObjectYPos

Syntax

EnvGetObjectYPos() As Long

Description

Return the selected object's left Y position.

 Related topics


EnvGetPointerPositionX

Syntax

EnvGetPointerPositionX() As Long

Description

Return the cursor x position.

 Related topics


EnvGetPointerPositionY

Syntax

EnvGetPointerPositionY() As Long

Description

Return the cursor y position.

 Related topics


EnvIrregularCap

Syntax

EnvIrregularCap() As Long

Description

Return the current state of irregular capitalization corrections in QuickCorrect.

Return Value

0	Off

1	On

 Related topics


EnvIsCommandValid

Syntax

 EnvIsCommandValid(Command As Integer) As Long

Description

Return the macro command name.

Return Value

0	Not valid

1	Valid

Parameters

Command: command name	The macro command name.
 Related topics


EnvIsSlideSkipped

Syntax

EnvIsSlideSkipped() As Long

Description

Determine if a slide has been set to skip.


EnvLayoutTitle

Syntax

 EnvLayoutTitle() As String

Description

Return the title of the current layout.

 Related topics


EnvLeftChar

Syntax

EnvLeftChar() As String

Description

Return the character to the left of the insertion point.

 Related topics


EnvNextFontFace

Syntax

EnvNextFontFace(Initialize As _EnvNextFontFace_Initialize_enum)

Description

Return the name of the next font on the font list.

 Related topics


EnvNumberOfBackgrounds

Syntax

EnvNumberOfBackgrounds() As Long

Description

Return the total number of backgrounds.

 Related topics


EnvNumberOfDocuments

Syntax

EnvNumberOfDocuments() As Long

Description

Return the number of open documents.

 Related topics


EnvNumberOfLayouts

Syntax

 EnvNumberOfLayouts() As Long

Description

Return the total number of layouts.

 Related topics


EnvNumberOfSlides

Syntax

EnvNumberOfSlides() As Long

Description

Return the number of slides in the current slide show.


EnvOpenDocuments

Syntax

EnvOpenDocuments() As String

Description

Return the path and filename of each open document.

 Related topics


EnvPaths

Syntax

EnvPaths(PathType As _EnvPaths_PathType_enum) As String

Description

Return the default path for the specified file type.

Return Value

Default path for the specified file type.

Parameters

PathType: enumeration	The file type. Backgrounds Backup ButtonBar CurrentFile ExpressShow Figures Filters HelpFile Macros Masters Movies Palettes Pictures Presentations Program QuickGalleries Shared Sound SpellMain SpellSupp Textures Utilities
 Related topics


EnvQuickCorrect

Syntax

EnvQuickCorrect() As Long

Description

Return whether QuickCorrect is on or off.

Return Value

0	Off

1	On

 Related topics


EnvRightChar

Syntax

EnvRightChar() As String

Description

Return the character to the right of the insertion point.

 Related topics


EnvSelectedText

Syntax

EnvSelectedText() As String

Description

Return the selected text with all codes removed except hard returns.

 Related topics


EnvSingleSmartQuoteClose

Syntax

EnvSingleSmartQuoteClose() As String

Description

Return the current single close quote in QuickCorrect.

 Related topics


EnvSingleSmartQuoteOpen

Syntax

EnvSingleSmartQuoteOpen() As String

Description

Return the current single open quote in QuickCorrect.

 Related topics


EnvSingleSmartQuoteState

Syntax

EnvSingleSmartQuoteState() As Long

Description

Return the current state of single SmartQuotes in QuickCorrect.

Return Value

0	Off

1	ON

 Related topics


EnvSingleSpaceInSentence

Syntax

EnvSingleSpaceInSentence() As Long

Description

Return the current value of single space in a sentence in QuickCorrect.

Return Value

0	Off

1	On

 Related topics


EnvSlideStringData

Syntax

EnvSlideStringData(SpecifyData As _EnvSlideStringData_SpecifyData_enum) As String

Description

Return the name of the sound file associated with the slide.


EnvSlideTitle

Syntax

EnvSlideTitle() As String

Description

Return the title of the current slide.


EnvSpeakerNotes

Syntax

 EnvSpeakerNotes() As String

Description

Return the speaker notes for the current slide in Corel WordPerfect word string format.


EnvTemplate

Syntax

EnvTemplate() As String

Description

Return the name of the current slide template.

 Related topics


EnvTextChartType

Syntax

EnvTextChartType() As Long

Description

Return the default text chart element.

Return Value

2	Text Box

3	Title Chart

4	Subtitle

5	Bulleted List

 Related topics


EnvUseRegQuotesWithNumbers

Syntax

 EnvUseRegQuotesWithNumbers() As Long

Description

Return the current state of Use Regular Quotes with Numbers in QuickCorrect.

Return Value

0	Off

1	On

 Related topics


EraseMarquee

Syntax

EraseMarquee()

Description

Delete a selected portion of a bitmap.

 Related topics


ExportBMP

Syntax

ExportBMP(Filename As String, WidthInPixels As Integer, HeightInPixels As Integer, BitsPerPixel As Integer, Compression As _ExportBMP_Compression_enum, DpiX As Integer, DpiY As Integer, SaveSelected As _ExportBMP_SaveSelected_enum)

Description

Save the current drawing or slide in Windows Bitmap 3.0 format (.BMP).

Parameters

Filename: string	The BMP filename.
WidthInPixels: numeric	The width in pixels of the exported drawing.
HeightInPixels: numeric	The height in pixels of the exported drawing.
BitsPerPixel: numeric	The number of bits per pixel in the exported drawing.
Compression: enumeration	Compress the exported drawing. Compress4Bit Compress8Bit NoCompression
DpiX: numeric	The number of horizontal dots per inch.
DpiY: numeric	The number of vertical dots per inch.
SaveSelected: enumeration	Save the selected objects only. No Yes
 Related topics


ExportCAL

Syntax

ExportCAL(Filename As String, WidthInPixels As Integer, HeightInPixels As Integer, BitsPerPixel As Integer, DpiX As Integer, DpiY As Integer, SaveSelected As _ExportCAL_SaveSelected_enum)

Description

Save the current drawing or slide in CALS Compressed Bitmap format (.CAL).

Parameters

Filename: string	The filename of the exported file.
WidthInPixels: numeric	The width in pixels of the exported drawing.
HeightInPixels: numeric	The height in pixels of the exported drawing.
BitsPerPixel: numeric	The number of bits per pixel in the exported drawing.
DpiX: numeric	The number of horizontal dots per inch.
DpiY: numeric	The number of vertical dots per inch.
SaveSelected: enumeration	Save the selected objects only. No Yes
 Related topics


ExportCGM

Syntax

 ExportCGM(Filename As String, SaveSelected As _ExportCGM_SaveSelected_enum)

Description

Save the current drawing or slide in Computer Graphics Metafile file format (.CGM).

Parameters

Filename: string	The CGM filename.
SaveSelected: enumeration	Save the selected objects only. No Yes
 Related topics


ExportCPT

Syntax

ExportCPT(Filename As String, WidthInPixels As Integer, HeightInPixels As Integer, BitsPerPixel As Integer, DpiX As Integer, DpiY As Integer, SaveSelected As _ExportCPT_SaveSelected_enum)

Description

Save the current drawing or slide as a Corel PHOTO-PAINT bitmap image (.CPT).

Parameters

Filename: string	The filename of the exported file.
WidthInPixels: numeric	The width in pixels of the exported drawing.
HeightInPixels: numeric	The height in pixels of the exported drawing.
BitsPerPixel: numeric	The number of bits per pixel in the exported drawing.
DpiX: numeric	The number of horizontal dots per inch.
DpiY: numeric	The number of vertical dots per inch.
SaveSelected: enumeration	Save the selected objects only. No Yes
 Related topics


ExportCPT7

Syntax

ExportCPT7(Filename As String, WidthInPixels As Integer, HeightInPixels As Integer, BitsPerPixel As Integer, DpiX As Integer, DpiY As Integer, SaveSelected As _ExportCPT7_SaveSelected_enum

Description

Save as a Corel PHOTO-PAINT version 7 bitmap.

Parameters

Filename: string	The name of the file to save.
WidthInPixels: numeric	The width in pixels of the exported drawing.
HeightInPixels: numeric	The height in pixels of the exported drawing.
BitsPerPixel: numeric	The number of memory bits for each pixel.
DpiX: numeric	The number of horizontal dots per inch.
DpiY: numeric	The number of vertical dots per inch.
SaveSelected: enumeration	Save the selected objects only. NO YES


ExportEMF

Syntax

 ExportEMF(Filename As String, SaveSelected As _ExportEMF_SaveSelected_enum)

Description

Save the current drawing or slide in Enhanced Metafile format (.EMF).

Parameters

Filename: string	The name of the file to save.
SaveSelected: enumeration	Save the selected objects only. No Yes
 Related topics


ExportEPS

Syntax

ExportEPS(Filename As String, SaveSelected As _ExportEPS_SaveSelected_enum)

Description

Save the current drawing or slide in Encapsulated PostScript file format (.EPS).

Parameters

Filename: string	The EPS filename.
SaveSelected: enumeration	Save the selected objects only. No Yes
 Related topics


ExportGIF

Syntax

ExportGIF(Filename As String, WidthInPixels As Integer, HeightInPixels As Integer, BitsPerPixel As Integer, DpiX As Integer, DpiY As Integer, TransparencyIndex As Integer, SaveSelected As _ExportGIF_SaveSelected_enum, [Interlaced As _ExportGIF_Interlaced_enum])

Description

Save the current drawing or slide in CompuServe GIF format.

Parameters

Filename: string	The GIF filename.
WidthInPixels: numeric	The width in pixels of the exported drawing.
HeightInPixels: numeric	The height in pixels of the exported drawing.
BitsPerPixel: numeric	The number of bits per pixel in the exported drawing.
DpiX: numeric	The number of horizontal dots per inch.
DpiY: numeric	The number of vertical dots per inch.
TransparencyIndex: numeric	The amount of shading.
SaveSelected: enumeration	Save the selected objects only. No Yes
Interlaced: enumeration (optional)	No Yes
 Related topics


ExportIMG

Syntax

 ExportIMG(Filename As String, WidthInPixels As Integer, HeightInPixels As Integer, BitsPerPixel As Integer, DpiX As Integer, DpiY As Integer, SaveSelected As _ExportIMG_SaveSelected_enum)

Description

Save the current drawing or slide in GEM Paint File format (.IMG).

Parameters

Filename: string	The IMG filename.
WidthInPixels: numeric	The width in pixels of the exported drawing.
HeightInPixels: numeric	The height in pixels of the exported drawing.
BitsPerPixel: numeric	The number of bits per pixel in the exported drawing.
DpiX: numeric	The number of horizontal dots per inch.
DpiY: numeric	The number of vertical dots per inch.
SaveSelected: enumeration	Save the selected objects only. No Yes
 Related topics


ExportJPG

Syntax

ExportJPG(Filename As String, WidthInPixels As Integer, HeightInPixels As Integer, BitsPerPixel As Integer, DpiX As Integer, DpiY As Integer, SaveSelected As _ExportJPG_SaveSelected_enum)

Description

Save the current drawing or slide in JPEG Bitmap format (.JPG).

Parameters

Filename: string	The JPG filename.
WidthInPixels: numeric	The width in pixels of the exported drawing.
HeightInPixels: numeric	The height in pixels of the exported drawing.
BitsPerPixel: numeric	The number of bits per pixel in the exported drawing.
DpiX: numeric	The number of horizontal dots per inch.
DpiY: numeric	The number of vertical dots per inch.
SaveSelected: enumeration	Save the selected objects only. No Yes
 Related topics


ExportMAC

Syntax

ExportMAC(Filename As String, WidthInPixels As Integer, HeightInPixels As Integer, BitsPerPixel As Integer, DpiX As Integer, DpiY As Integer, SaveSelected As _ExportMAC_SaveSelected_enum)

Description

Save the current drawing or slide in MacPaint Bitmap format.

Parameters

Filename: string	The MAC filename.
WidthInPixels: numeric	The width in pixels of the exported drawing.
HeightInPixels: numeric	The height in pixels of the exported drawing.
BitsPerPixel: numeric	The number of bits per pixel in the exported drawing.
DpiX: numeric	The number of horizontal dots per inch.
DpiY: numeric	The number of vertical dots per inch.
SaveSelected: enumeration	Save the selected objects only. No Yes
 Related topics


ExportPCX

Syntax

 ExportPCX(Filename As String, WidthInPixels As Integer, HeightInPixels As Integer, BitsPerPixel As Integer, DpiX As Integer, DpiY As Integer, SaveSelected As _ExportPCX_SaveSelected_enum)

Description

Save the current drawing or slide in PC Paintbrush file format.

Parameters

Filename: string	The PCX filename.
WidthInPixels: numeric	The width in pixels of the exported drawing.
HeightInPixels: numeric	The height in pixels of the exported drawing.
BitsPerPixel: numeric	The number of bits per pixel in the exported drawing.
DpiX: numeric	The number of horizontal dots per inch.
DpiY: numeric	The number of vertical dots per inch.
SaveSelected: enumeration	Save the selected objects only. No Yes
 Related topics


ExportPNG

Syntax

 ExportPNG(Filename As String, WidthInPixels As Integer, HeightInPixels As Integer, BitsPerPixel As Integer, DpiX As Integer, DpiY As Integer, SaveSelected As _ExportPNG_SaveSelected_enum)

Description

Save file in PNG format.

Parameters

Filename: string	The PNG filename
WidthInPixels: numeric	The width in pixels of the exported drawing.
HeightInPixels: numeric	The height in pixels of the exported drawing.
BitsPerPixel: numeric	The number of bits per pixel in the exported drawing.
DpiX: numeric	The number of horizontal dots per inch.
DpiY: numeric	The number of vertical dots per inch.
SaveSelected: enumeration	Save the selected objects only. No Yes


ExportSCT

Syntax

ExportSCT(Filename As String, WidthInPixels As Integer, HeightInPixels As Integer, BitsPerPixel As Integer, DpiX As Integer, DpiY As Integer, SaveSelected As _ExportSCT_SaveSelected_enum)

Description

Save the current drawing or slide to Scitex CT Bitmap format (.SCT).

Parameters

Filename: string	The SCT filename.
WidthInPixels: numeric	The width in pixels of the exported drawing.
HeightInPixels: numeric	The height in pixels of the exported drawing.
BitsPerPixel: numeric	The number of bits per pixel in the exported drawing.
DpiX: numeric	The number of horizontal dots per inch.
DpiY: numeric	The number of vertical dots per inch.
SaveSelected: enumeration	Save the selected objects only. No Yes
 Related topics


ExportTGA

Syntax

ExportTGA(Filename As String, WidthInPixels As Integer, HeightInPixels As Integer, BitsPerPixel As Integer, DpiX As Integer, DpiY As Integer, SaveSelected As _ExportTGA_SaveSelected_enum)

Description

Save the current drawing or slide in Targa Bitmap format (.TGA).

Parameters

Filename: string	The TGA filename.
WidthInPixels: numeric	The width in pixels of the exported drawing.
HeightInPixels: numeric	The height in pixels of the exported drawing.
BitsPerPixel: numeric	The number of bits per pixel in the exported drawing.
DpiX: numeric	The number of horizontal dots per inch.
DpiY: numeric	The number of vertical dots per inch.
SaveSelected: enumeration	Save the selected objects only. No Yes
 Related topics


ExportTIFF

Syntax

 ExportTIFF(Filename As String, WidthInPixels As Integer, HeightInPixels As Integer, BitsPerPixel As Integer, DpiX As Integer, DpiY As Integer, SaveSelected As _ExportTIFF_SaveSelected_enum)

Description

Save the current drawing or slide in Tagged Image File Format (.TIFF).

Parameters

Filename: string	The TIFF filename.
WidthInPixels: numeric	The width in pixels of the exported drawing.
HeightInPixels: numeric	The height in pixels of the exported drawing.
BitsPerPixel: numeric	The number of bits per pixel in the exported drawing.
DpiX: numeric	The number of horizontal dots per inch.
DpiY: numeric	The number of vertical dots per inch.
SaveSelected: enumeration	Save the selected objects only. No Yes
 Related topics


ExportWMF

Syntax

 ExportWMF(MetafileType As _ExportWMF_MetafileType_enum, Filename As String, SaveSelected As _ExportWMF_SaveSelected_enum

Description

Save the current drawing or slide in Windows Metafile Format (.WNF).

Parameters

MetafileType: enumeration	Save the file in Microsoft or Aldus Placeable format. Aldus Microsoft
Filename: string	The name of the exported file.
SaveSelected: enumeration	Save the selected objects only. No Yes
 Related topics


ExportWVL

Syntax

 ExportWVL(Filename As String, WidthInPixels As Integer, HeightInPixels As Integer, BitsPerPixel As Integer, DpiX As Integer, DpiY As Integer, SaveSelected As _ExportWVL_SaveSelected_enum)

Description

Save the current drawing or slide to Wavelet Compressed Bitmap format (.WVL).

Parameters

Filename: string	The WVL filename.
WidthInPixels: numeric	The width in pixels of the exported drawing.
HeightInPixels: numeric	The height in pixels of the exported drawing.
BitsPerPixel: numeric	The number of bits per pixel in the exported drawing.
DpiX: numeric	The number of horizontal dots per inch.
DpiY: numeric	The number of vertical dots per inch.
SaveSelected: enumeration	Save the selected objects only. No Yes
 Related topics


FigureReturn

Syntax

FigureReturn()

Description

Return to the previous figure in the Figure Editor. If the Figure Editor contains only one figure, this command closes the Figure Editor and returns the user to the current drawing.

 Related topics


FigureReturnAll

Syntax

FigureReturnAll()

Description

Close the Figure Editor and return to the current drawing.

 Related topics


File1Open

Syntax

File1Open()

Description

Open the first file on the list of previously opened files.

 Related topics


File2Open

Syntax

File2Open()

Description

Open the second file on the list of previously opened files.

 Related topics


File3Open

Syntax

File3Open()

Description

Open the third file on the list of previously opened files.

 Related topics


File4Open

Syntax

File4Open()

Description

Open the fourth file on the list of previously opened files.

 Related topics


File5Open

Syntax

File5Open()

Description

Open the fifth file on the list of previously opened files.

 Related topics


File6Open

Syntax

File6Open()

Description

Open the sixth file in the list of previously opened files.

 Related topics


File7Open

Syntax

File7Open()

Description

Open the seventh file in the list of previously opened files.

 Related topics


File8Open

Syntax

File8Open()

Description

Open the eighth file in the list of previously opened files.

 Related topics


File9Open

Syntax

File9Open()

Description

Open the ninth file in the list of previously opened files.

 Related topics


FileClose

Syntax

FileClose([Save As _FileClose_Save_enum])

Description

Close the active window.

Parameters

Save: enumeration (optional)	If this parameter is not specified, the Save message box is displayed. No Yes
 Related topics


FileExit

Syntax

FileExit()

Description

Close Corel Presentations.

 Related topics


FileNewDlg

Syntax

FileNewDlg()

Description

Open a new blank document or work on an existing document.

 Related topics


FileOpen

Syntax

FileOpen(Filename As String, [ReadOnly As _FileOpen_ReadOnly_enum])

Description

Open a file.

Parameters

Filename: string	The name of the file to retrieve.
ReadOnly: enumeration (optional)	Open the file in read-only format. No Yes
 Related topics


FileOpenDlg

Syntax

FileOpenDlg()

Description

Display the Open File dialog box, which is used to open a file into a new window.

 Related topics


FileRetrieve

Syntax

FileRetrieve(Filename As String, [Redraw As _FileRetrieve_Redraw_enum])

Description

Insert a specified graphics file into the current drawing, or insert a text file into an organization chart outline or the Slide Outliner.

Parameters

Filename: string	The name of the file to retrieve.
Redraw: enumeration (optional)	Redraw the current drawing to show changes. No Yes
 Related topics


FileSave

Syntax

FileSave()

Description

Save the current drawing or slide show.

 Related topics


FileSaveAs

Syntax

(Filename: string; SaveFormat: enumeration; Export: enumeration; SaveSelected: enumeration)

Description

Save the current drawing or slide show with a new name or file format.

Parameters

Filename: string	The name of the file to save.
SaveFormat: enumeration	The file format. WPAscii WPGraphic_10 WPGraphic_20 WPGraphic_30 WPGraphic_70 WPMaster_20 WPMaster_30 WPMaster_70 WPPresentation_20 WPPresentation_30 WPPresentation_70 WPText_51
Export: enumeration	Export the file. No Yes
SaveSelected: enumeration	Save the selected objects only. No Yes
 Related topics


FileSaveAsDlg

Syntax

FileSaveAsDlg()

Description

Display the Save As dialog box, which is used to save the current document with a new name or file format.

 Related topics


FillAttributes

Syntax

FillAttributes(DefaultAttr As _FillAttributes_DefaultAttr_enum, ApplyTo As _FillAttributes_ApplyTo_enum, ObjectFramed As _FillAttributes_ObjectFramed_enum, ObjectClosed As _FillAttributes_ObjectClosed_enum, ObjectFilled As _FillAttributes_ObjectFilled_enum, FillMethod As _FillAttributes_FillMethod_enum, BrushPattern As _FillAttributes_BrushPattern_enum, GradType As _FillAttributes_GradType_enum, UseGradSteps As _FillAttributes_UseGradSteps_enum, GradAngle As Long, GradRefX As Integer, GradRefY As Integer, GradSteps As Integer, Grad1Red As Integer, Grad1Green As Integer, Grad1Blue As Integer, Grad2Red As Integer, Grad2Green As Integer, Grad2Blue As Integer, GradBRed As Integer, GradBGreen As Integer, GradBBlue As Integer, ForeTransparency As _FillAttributes_ForeTransparency_enum, BackTransparency As _FillAttributes_BackTransparency_enum, TextureFileName As String, TextureFit As _FillAttributes_TextureFit_enum, TextureAnchor As _FillAttributes_TextureAnchor_enum, TextureStackCount As Long, [ChangedAttrs As _FillAttributes_ChangedAttrs_enum])

Description

Specify fill colors, pattern, and method.

Parameters

DefaultAttr: enumeration	Set the default fill attributes. No Yes
ApplyTo: enumeration	Define the fill for graphics, text, or both. Both Graphics Text
ObjectFramed: enumeration	No Yes
ObjectClosed: enumeration	No Yes
ObjectFilled: enumeration	No Yes
FillMethod: enumeration	Alternate or winding fills. Alternating Winding
BrushPattern: enumeration	The fill pattern. Arch Balls BigChecks BigCrosshatch BigSquares Chainlink Checks Crosses Crosshatch FishScale Gray12 Gray25 Gray50 Honeycomb HorzBricks HorzLines1 HorzLines2 Mesh Patio Plaid Solid Squares TiltBricks TiltLines1 TiltLines2 TiltLines3 TiltLines4 Triangles VertLines1 VertLines2 Waves Weave
GradType: enumeration	The gradient type. ConcenCircles ConcenEllipse ConcenRects ConcenSquares ConverCircles ConverEllipse ConverRects ConverSquares Linear None Polygonal
UseGradSteps: enumeration	Use gradient steps. No Yes
GradAngle: numeric	The rotation angle for a gradient fill. The top of the gradient is rotated counter-clockwise. For example, a 90-degree angle places the top of the gradient parallel to the left margin of the page.
GradRefX: numeric	The horizontal center of a circular or rectangular gradient relative to the page. Flush left is 0, center is 50, and flush right is 100.
GradRefY: numeric	The vertical center of a circular or rectangular gradient or the top of a linear gradient relative to the page. Top is 0, center is 50, and bottom is 100.
GradSteps: numeric	The number of steps between colors in a gradient fill. A value of 0 represents the greatest possible number of steps.
Grad1Red: numeric	The amount of red (0-255) in a solid fill, the top color of a linear gradient or the center color of a circular or rectangular gradient.
Grad1Green: numeric	The amount of green (0-255) in a solid fill, the top color of a linear gradient or the center color of a circular or rectangular gradient.
Grad1Blue: numeric	The amount of blue (0-255) in a solid fill, the top color of a linear gradient or the center color of a circular or rectangular gradient.
Grad2Red: numeric	The amount of red (0-255) in the bottom color of a linear gradient or the outer color of a circular or rectangular gradient.
Grad2Green: numeric	The amount of green (0-255) in the bottom color of a linear gradient or the outer color of a circular or rectangular gradient.
Grad2Blue: numeric	The amount of blue (0-255) in the bottom color of a linear gradient or the outer color of a circular or rectangular gradient.
GradBRed: numeric	The amount of red (0-255) in the background color of a pattern.
GradBGreen: numeric	The amount of green (0-255) in the background color of a pattern.
GradBBlue: numeric	The amount of blue (0-255) in the background color of a pattern.
ForeTransparency: enumeration	The pattern foreground color transparency. Opaque Transparent
BackTransparency: enumeration	The pattern background color transparency. Opaque Transparent
TextureFilename: string (optional)	The filename of texture bitmap.
TextureFit: enumeration	How the texture fills the object. BrickHorizontal BrickVertical ScaleToFit StackHorizontal StackVertical StretchToFit Tile
TextureAnchor: enumeration	The type of texture anchoring. AnchorToObject AnchorToPage
TextureStackCount: numeric	How many times the texture bitmap is stacked.
ChangedAttrs: enumeration (optional)	BrushPattern Close Fill Frame GradAngle GradBColor GradFColor GradRef GradType TextureAnchor TextureFit TexturesStackCount
 Related topics


FillAttributesDlg

Syntax

FillAttributesDlg()

Description

Display the Object Properties dialog box with the Fill tab displayed, which is used to specify attributes such as fill colors, patterns, methods.

 Related topics


FindReplaceTextDlg

Syntax

FindReplaceTextDlg()

Description

Display the Find and Replace dialog box in the Text Editor, which is used to find and replace specified text.

 Related topics


FloodFill

Syntax

FloodFill(X As Integer, Y As Integer)

Description

Use the Flood Fill painting tool to replace a color region in a bitmap area with another color or pattern.

Parameters

X: numeric	The horizontal coordinate of the pixel clicked when using the Flood Fill tool.
Y: numeric	The vertical coordinate of the pixel clicked when using the Flood Fill tool.
 Related topics


FontSizeDec

Syntax

FontSizeDec()

Description

Decrease the font size of the current text. The amount the font is decreased depends on the current font size. If the current font size is less than 10, it is decreased by 1; if the current font size is 10 to 19, it is decreased by 2; if the current font size is 20 to 47, it is decreased by 4; if the current font size is 48 to 71, it is decreased by 6; if the current font size is 72 to 119, it is decreased by 8; if the current font size is 120 to 199, it is decreased by 10; if the current font size is 200 to 399, it is decreased by 20; if the current font size is 400 to 799, it is decreased by 40; and if the current font size is 800 or more, it is decreased by 100. The largest font size possible is 999.


FontSizeInc

Syntax

FontSizeInc()

Description

Increase the font size of the current text. The amount the font is increased depends on the current font size. If the current font size is less than 10, it is increased by 1; if the current font size is 10 to 19, it is increased by 2; if the current font size is 20 to 47, it is increased by 4; if the current font size is 48 to 71, it is increased by 6; if the current font size is 72 to 119, it is increased by 8; if the current font size is 120 to 199, it is increased by 10; if the current font size is 200 to 399, it is increased by 20; if the current font size is 400 to 799, it is increased by 40; and if the current font size is 800 or more, it is increased by 100. The largest font size possible is 999.


GetAttrDlg

Syntax

GetAttrDlg()

Description

Display the Get Attributes dialog box, which is used to copy the attributes of the selected object.

 Related topics


GetAttributes

Syntax

 GetAttributes([GetFrom As _GetAttributes_GetFrom_enum])

Description

Change the default object attributes to those of a selected object.

Parameters

GetFrom: enumeration (optional)	All Graphic Text
 Related topics


GlyphEdit

Syntax

GlyphEdit(WPercent As Integer, XPercent As Integer, YPercent As Integer, ZPercent As Integer, XCoord As Integer, YCoord As Integer)

Description

Lets you change the glyph of shape object.

Parameters

WPercent: numeric	Lets you specify the range offset for a glyph.
XPercent: numeric	Lets you specify the range offset for a glyph.
YPercent: numeric	Lets you specify the range offset for a glyph.
ZPercent: numeric	Lets you specify the range offset for a glyph.
XCoord: numeric	Lets you specify the x-coordinate of the call-out leader tip in WordPerfect units.
YCoord: numeric	Lets you specify the y-coordinate of the call-out leader tip in WordPerfect units.

As an example, the following table lists the recordable ranges for the glyphs of a few smart shapes:

Shape	Glyph	WPercent	XPercent	YPercent	ZPercent
Parallelogram	1		0-100
Cross	1		0-50
Folded Corner	1		0-100
Cube	1		0-50
Cylinder	1		0-100
QuadArrowCallout	1		0-50
	2			0-50
	2				0-50
	3	0-50


GoToKeysDlg

Syntax

GoToKeysDlg()

Description

Display the SpeedKeys tab in the Slide Properties dialog box, which is used to assign slide keystrokes that play back a sound, launch a file, or perform some other action.

 Related topics


GotoPositionDlg

Syntax

GotoPositionDlg()

Description

Display the Go To Slide dialog box, which is used to go to a specified slide in the current slide show.

 Related topics


Grammatik

Syntax

Grammatik()

Description

Open Grammatik, which checks text for grammatical errors.

 Related topics


GrayScale

Syntax

GrayScale()

Description

Change the color attributes to shades of gray for the selected object(s).


GroupObjects

Syntax

GroupObjects()

Description

Group the selected objects so they are treated as one object.

 Related topics


HardReturn

Syntax

HardReturn()

Description

Insert a hard return into the current text area at the insertion point.

 Related topics


HelpAssistant

Syntax

HelpAssistant()

Description

Open the PerfectExpert in Corel Presentations.


HelpHowDoI

Syntax

HelpHowDoI()

Description

Open the Corel Presentations Help file.


HelpIndex

Syntax

HelpIndex([HelpID As Long])

Description

Open the Contents page in the Corel Presentations Help file.

Parameters

HelpID: numeric (optional)	The ID of the help topic you want to display.


HelpKeyboard

Syntax

HelpKeyboard()

Description

Open the Corel Presentations Help file.

 Related topics


HelpMacros

Syntax

HelpMacros()

Description

Open the Corel Presentations Help file.


HelpPerfectExpertDlg

Syntax

HelpPerfectExpertDlg()

Description

Open the Ask the PerfectExpert dialog in Corel Presentations.


HelpTransition

Syntax

HelpTransition()

Description

Open the Corel Presentations Help file.

 Related topics


HelpWhatIs

Syntax

HelpWhatIs()

Description

Provide access to Corel Presentations Help by using the mouse or keyboard to select the item you want help on.


ImportOrgOutline

Syntax

 ImportOrgOutline(Filename As String)

Description

Import an outline into the organization chart.

Parameters

Filename: string	The filename of the outline document to import.


InhibitInput

Syntax

InhibitInput(State As _InhibitInput_State_enum)

Description

Allow the keyboard and menus to be used while a macro is playing. This command must be used if playing a Coach macro.

Parameters

State: enumeration	Inhibit input is on or off. Off On


InsertClipartDlg

Syntax

InsertClipartDlg()

Description

Put a clipart or graphic image in your document.


InsertEquation

Syntax

InsertEquation()

Description

Insert an equation.


InsertFileDlg

Syntax

InsertFileDlg()

Description

Display the Insert File dialog box, which is used to append a drawing file to the current drawing or slide show.

 Related topics


InsertMemoObject

Syntax

InsertMemoObject()

Description

Insert a comment.


InsertMovie

Syntax

InsertMovie(Filename As String)

Description

Insert a movie into a slide show.

Parameters

Filename: string	The filename of the movie (.avi, .mov, etc.) to insert.


InsertMovieObject

Syntax

InsertMovieObject()

Description

Insert a movie into a slide show.


InsertQuattroTable

Syntax

InsertQuattroTable()

Description

Insert a spreadsheet.


InsertTextart

Syntax

InsertTextart()

Description

Create a design out of text.


InternetPublisher

Syntax

InternetPublisher()

Description

This method displays the Internet Publisher wizard.


InvertColors

Syntax

InvertColors()

Description

Change the colors of the selected objects to their contrasting complementary colors.

 Related topics


IrregularCap

Syntax

IrregularCap([State As _IrregularCap_State_enum])

Description

Turn Correct Two Irregular Capitals on or off in QuickCorrect.

Parameters

State: enumeration (optional)	Irregular capital correction is on or off. Off On
 Related topics


JustifyAuto

Syntax

JustifyAuto()

Description

Automatically justify text in bullet charts using outline format.

 Related topics


JustifyCenter

Syntax

JustifyCenter()

Description

Center text.

 Related topics


JustifyLeft

Syntax

JustifyLeft()

Description

Align text at the left margin.

 Related topics


JustifyRight

Syntax

JustifyRight()

Description

Align text at the right margin.

 Related topics


KerningDlg

Syntax

KerningDlg()

Description

Display the Manual Kerning dialog box, which is used to expand and compress letter spacing.

 Related topics


KeyboardCopy

Syntax

KeyboardCopy([KeyboardName As String], [DestName As String])

Description

Copy a keyboard.

Parameters

KeyboardName: string (optional)	The name of the keyboard to copy.
DestName: string (optional)	The new name for the copy.
 Related topics


KeyboardCreate

Syntax

KeyboardCreate([KeyboardName As String])

Description

Create a new keyboard.

Parameters

KeyboardName: string (optional)	The name for the new keyboard.
 Related topics


KeyboardEdit

Syntax

KeyboardEdit([KeyboardName As String])

Description

Open the Keyboard Editor.

Parameters

KeyboardName: string (optional)	The name of the keyboard to edit.
 Related topics


KeyboardRename

Syntax

KeyboardRename([KeyboardName As String], [NewName As String])

Description

Rename a specified keyboard.

Parameters

KeyboardName: string (optional)	The keyboard to rename.
NewName: string (optional)	The new name for the keyboard.
 Related topics


KeyboardSelect

Syntax

KeyboardSelect([Keyboard As String])

Description

Specify a keyboard to use, or specify the default keyboard if the parameter is not used.

Parameters

Keyboard: string (optional)	The name of a keyboard.
 Related topics


KeyboardCopy
KeyType

Syntax

KeyType([Text])

Parameter

Text - The string that you want to type.

Description

You can type the string you pass to this method in the slide show. This method was formally known as 'Type' in PerfectScript.

Example

In the following code fragment, a string variable called 'myString' is declared. This variable is populated with the string 'WordPerfect Office 11'. The contents of 'myString' is passed to KeyType(). The PS object references the PerfectScript class.

'***** Declare all variables

Dim PS as PerfectScript

Dim myString as String

'****** Allocate memory to the PerfectScript Object

Set PS = new PerfectScript

'****** Define myString

myString = "WordPerfect Office 11"

'****** Create Textbox to add string to

PS.AddTextBox 3000, 3000, 9000, 4000

'**** Type the contents of myString

PS.KeyType myString


LayoutGallery

Syntax

LayoutGallery()

Description

Display or retrieve pre-designed slide show layouts.


LayoutGetNext

Syntax

LayoutGetNext()

Description

Specify the next layout in the Name dialog box in the Layout Editor.

 Related topics


LayoutGetPrevious

Syntax

LayoutGetPrevious()

Description

Specify the previous layout in the Name dialog box in the Layout Editor.

 Related topics


LayoutNext

Syntax

LayoutNext()

Description

Open the next layout in the Layout Editor.

 Related topics


LayoutPrevious

Syntax

LayoutPrevious()

Description

Open the previous layout in the Layout Editor.

 Related topics


LineAttributes

Syntax

LineAttributes(DefaultAttr As _LineAttributes_DefaultAttr_enum, ApplyTo As _LineAttributes_ApplyTo_enum, ObjectFilled As _LineAttributes_ObjectFilled_enum, ObjectClosed As _LineAttributes_ObjectClosed_enum, ObjectFramed As _LineAttributes_ObjectFramed_enum, FillMethod As _LineAttributes_FillMethod_enum, LineEnd1 As _LineAttributes_LineEnd1_enum, LineEnd2 As _LineAttributes_LineEnd2_enum, LineJoin As _LineAttributes_LineJoin_enum, PenStyle As _LineAttributes_PenStyle_enum, PenPattern As _LineAttributes_PenPattern_enum, PenHorzWidth As Integer, PenVertWidth As Integer, PenFColorRed As Integer, PenFColorGreen As Integer, PenFColorBlue As Integer, PenBColorRed As Integer, PenBColorGreen As Integer, PenBColorBlue As Integer, [ChangedAttrs As _LineAttributes_ChangedAttrs_enum])

Description

Specify the color, style, pattern, width, and end style of a line.

Parameters

DefaultAttr: enumeration	Set the default line attributes, rather than use line attributes for a selected objects. No Yes
ApplyTo: enumeration	Define the line attributes for graphics, text, or both. Both Graphics Text
ObjectFilled: enumeration	No Yes
ObjectClosed: enumeration	No Yes
ObjectFramed: enumeration	No Yes
FillMethod: enumeration	Alternate or winding fills. Alternating Winding
LineEnd1: enumeration	The line end style. Beginning and ending line end styles are the same unless either end is an arrowhead. Arrow Flat Round Square!
LineEnd2: enumeration	The second line end style if LineEnd1 or LineEnd2 is Arrow!. Otherwise, LineEnd2 records with the same value as LineEnd1, and LineEnd1 specifies both line end styles even if a different value is entered for LineEnd2. Arrow Flat Round Square!
LineJoin: enumeration	The style used to join lines. Bevel! Miter! None! Round!
PenStyle: enumeration	The pen style for lines. Alternate Dash Dash2Dot Dash2Dot2 DashDot2 DotDash DotDash2 Dots Long2Short Long2Short2 LongDash LongShort LongShort2 ShortDash Solid TinyDash
PenPattern: enumeration	The pen pattern for lines. Arch Balls BigChecks BigCrosshatch BigSquares Chainlink Checks Crosses Crosshatch Fishscale Gray12 Gray25 Gray50 Honeycomb HorzBricks HorzLines1 HorzLines2 Mesh Patio Plaid Solid Squares TiltBricks TiltLines1 TiltLines2 TiltLines3 TiltLines4 Triangles VertLines1 VertLines2 Waves Weave
PenHorzWidth: numeric	The horizontal line width, in WordPerfect units (1200ths of an inch).
PenVertWidth: numeric	The vertical line width, in WordPerfect units.
PenFColorRed: numeric	The amount of red (0-255) in the foreground pen color.
PenFColorGreen: numeric	The amount of green (0-255) in the foreground pen color.
PenFColorBlue: numeric	The amount of blue (0-255) in the foreground pen color.
PenBColorRed: numeric	The amount of red (0-255) in the pen background color.
PenBColorGreen: numeric	The amount of green (0-255) in the pen background color.
PenBColorBlue: numeric	The amount of blue (0-255) in the pen background color.
ChangedAttrs: enumeration (optional)	Bcolor Close End1 End2 FColor Fill Frame HWidth Join Method PenPattern PenStyle Vwidth
 Related topics


LineAttributesDlg

Syntax

LineAttributesDlg()

Description

Display the Object Properties dialog box with the Line tab displayed, which is used to edit the color, style, pattern, width, and ends of lines.

 Related topics


LineSpacingDlg

Syntax

LineSpacingDlg()

Description

Display the Line Spacing dialog box, which is used to set spacing between lines of text.

 Related topics


MacroFilePlay

Syntax

 MacroFilePlay([Filename As String])

Description

Play a macro.

Parameters

Filename: string (optional)	The macro file to play.
 Related topics


MacroPause

Syntax

MacroPause()

Description

Pause while recording or playing a macro.

 Related topics


MacroPlayDlg

Syntax

MacroPlayDlg()

Description

Display the Play Macro dialog box, which is used to select and play a macro.

 Related topics


MacroRecord
MacroPlayDlg

Syntax

MacroPlayDlg()

Description

Display the Record Macro dialog box, which is used to name and record a series of commands.

 Related topics


MacroStop

Syntax

MacroStop()

Description

Stop recording or playing a macro.

 Related topics


Mail

Syntax

Mail()

Description

Display the Mail dialog box, which is used to send electronic mail. This command is only available if your computer has electronic mail capability.

 Related topics


MailSystem1

Syntax

 MailSystem1()

Description

Send electronic mail. If multiple mail systems are installed, this command records with a number in the command name to indicate which mail system is active. When you play the command, the number directs the macro to the specified mail system, if it's available. If not, another available mail system is used.

 Related topics


MailSystem2

Syntax

MailSystem2()

Description

Send electronic mail. If multiple mail systems are installed, this command records with a number in the command name to indicate which mail system is active. When you play the command, the number directs the macro to the specified mail system, if it's available. If not, another mail system is used.

 Related topics


MailSystem3

Syntax

MailSystem3()

Description

Send electronic mail. If multiple mail systems are installed, this command records with a number in the command name to indicate which mail system is active. When you play the command, the number directs the macro to the specified mail system, if it's available. If not, another available mail system is used.

 Related topics


MailSystem4

Syntax

MailSystem4()

Description

Send electronic mail. If multiple mail systems are installed, this command records with a number in the command name to indicate which mail system is active. When you play the command, the number directs the macro to the specified mail system, if it's available. If not, another available mail system is used.

 Related topics


MailSystem5

Syntax

MailSystem5()

Description

Send electronic mail. If multiple mail systems are installed, this command records with a number in the command name to indicate which mail system is active. When you play the command, the number directs the macro to the specified mail system, if it's available. If not, another available mail system is used.

 Related topics


MailSystem6

Syntax

MailSystem6()

Description

Send electronic mail. If multiple mail systems are installed, this method records with a number in the method name to indicate which mail system is active. When you play the method, the number directs the macro to the specified mail system, if it's available. If not, another available mail system is used.

 Related topics


MailSystem7

Syntax

MailSystem7()

Description

Send electronic mail. If multiple mail systems are installed, this method records with a number in the method name to indicate which mail system is active. When you play the method, the number directs the macro the specified mail system, if it's available. If not, another available mail system is used.

 Related topics


MailSystem8

Syntax

MailSystem8()

Description

Send electronic mail. If multiple mail systems are installed, this method records with a number in the method name to indicate which mail system is active. When you play the method, the number directs the macro to the specified mail system, if it's available. If not, another available mail system is used.

 Related topics


MailSystem9

Syntax

MailSystem9()

Description

Send electronic mail. If multiple mail systems are installed, this method records with a number in the method name to indicate which mail system is active. When you play the method, the number directs the macro to the specified mail system, if it's available. If not, another available mail system is used.

 Related topics


MakeRuntime

Syntax

MakeRuntime(Path As String, Version As _MakeRuntime_Version_enum, [ColorFormat As _MakeRuntime_ColorFormat_enum], [SizeFormat As _MakeRuntime_SizeFormat_enum], [SendToEMail As _MakeRuntime_SendToEMail_enum], [Loop As _MakeRuntime_Loop_enum])

Description

Create a runtime slide show.

Parameters

Path: string	The file path for a new runtime slide show.
Version: enumeration	The version of Windows to use for a runtime slide show. Win31 Win95
ColorFormat: enumeration (optional)	CurrentDevice DeviceIndependent
SizeFormat: enumeration (optional)	CurrentDeviceFullScreen CurrentWindowSize DeviceIndependentFullScreen
SendToEMail: enumeration (optional)	No Yes
Loop: enumeration (optional)	No Yes
 Related topics


MakeRuntimeDlg

Syntax

MakeRuntimeDlg()

Description

Displays the Make Runtime dialog box, which is used to create a runtime slide show.

 Related topics


MarkAsStaff

Syntax

MarkAsStaff()

Description

Add a staff-level position to an organization chart. Not recordable.

 Related topics


MasterGalleryDlg

Syntax

MasterGalleryDlg()

Description

Display the Master Gallery, which is used to view and select slide show masters.


MaximizeSpacing

Syntax

MaximizeSpacing([Maximize As _MaximizeSpacing_Maximize_enum])

Description

Maximize the use of extra space in an organization chart.

Parameters

Maximize: enumeration (optional)	False True


MenuCopy

Syntax

MenuCopy([MenuName As String], [DestName As String])

Description

Copy a menu bar.

Parameters

MenuName: string (optional)	The name of the menu bar to copy.
DestName: string (optional)	The new name for the copy.
 Related topics


MenuCreate

Syntax

 MenuCreate([MenuName As String])

Description

Create a new menu bar.

Parameters

MenuName: string (optional)	The name for the new menu bar.
 Related topics


MenuEdit

Syntax

MenuEdit([MenuName As String])

Description

Open the Menu Bar Editor.

Parameters

MenuName: string (optional)	The name of the menu bar to edit.
 Related topics


MenuRename

Syntax

MenuRename([MenuName As String], [NewName As String])

Description

Rename a specified menu bar.

Parameters

MenuName: string (optional)	The new name for the menu bar.
NewName: string (optional)	The new name for the menu bar.
 Related topics


MenuSelect

Syntax

 MenuSelect([MenuBarName As String])

Description

Display a specified menu bar, or the default menu bar if no parameter is used.

Parameters

MenuBarName: string (optional)	The menu bar to display.
 Related topics


MirrorObjectsHorizontally

Syntax

MirrorObjectsHorizontally()

Description

Flip the selected objects on a vertical axis.

 Related topics


MirrorObjectsVertically

Syntax

MirrorObjectsVertically()

Description

Flip the selected objects on a horizontal axis.

 Related topics


ModifyFigure

Syntax

ModifyFigure()

Description

Open the Figure Editor to edit a selected figure. For a recordable method with a similar function, use ModifyObjects.

 Related topics


ModifyObjects

Syntax

ModifyObjects()

Description

Allow changes to the selected objects.

 Related topics


MoveBackward

Syntax

MoveBackward()

Description

Move the selected objects back one layer in the current drawing.

 Related topics


MoveForward

Syntax

MoveForward()

Description

Move the selected objects forward one layer in the current drawing.

 Related topics


MoveSelectedSlides

Syntax

MoveSelectedSlides(To As Integer)

Description

Move the selected slides to the position following the slide specified in the To parameter.

Parameters

To: numeric	The number of the slide for selected slides to follow.
 Related topics


MoveToBack

Syntax

MoveToBack()

Description

Position the selected objects behind all other objects in a drawing.

 Related topics


MoveToFront

Syntax

MoveToFront()

Description

Position the selected objects in front of all other objects in a drawing.

 Related topics


MovieSettings

Syntax

MovieSettings()

Description

Set the activation and timing for movie objects.


NameLayoutDlg

Syntax

NameLayoutDlg()

Description

Display the Layout Name dialog box, which is used to assign a new name to an existing layout.


NewDocument

Syntax

NewDocument()

Description

Create a new document.


NewDrawingCreate

Syntax

NewDrawingCreate()

Description

Open a new drawing window.


NewPresentationCreate

Syntax

 NewPresentationCreate([MasterName As String], [TemplateName As String])

Description

Create a new slide show.

Parameters

MasterName: string (optional)	Specify a master for the new slide show.
TemplateName: string (optional)	The name of slide template to use.


NewPresentationDlg

Syntax

NewPresentationDlg()

Description

Display the New Slide Show dialog box, which is used to specify a master and a template for a new slide show.


NormalText

Syntax

NormalText()

Description

Turn off all text attributes.


ObjectAnimationDlg

Syntax

ObjectAnimationDlg()

Description

Display the Animations dialog box, which defines transition or animation effects for the selected objects.


ObjectAreaSelect

Syntax

ObjectAreaSelect(Left As Integer, Bottom As Integer, Right As Integer, Top As Integer, AddToCurrent As _ObjectAreaSelect_AddToCurrent_enum)

Description

Select objects within a specified rectangular area.

Parameters

Left: measurement	The left edge of the rectangular area, in WordPerfect units (1200ths of an inch).
Bottom: measurement	The bottom edge of the rectangular area, in WordPerfect units.
Right: measurement	The right edge of the rectangular area, in WordPerfect units.
Top: measurement	The top edge of the rectangular area, in WordPerfect units.
AddToCurrent: enumeration	The currently selected objects remain selected, so objects within the rectangular area are added to the current selection. No Yes


ObjectMove

Syntax

 ObjectMove(XLocation As Integer, YLocation As Integer, DeltaX As Integer, DeltaY As Integer, AddToSelection As _ObjectMove_AddToSelection_enum, Copy As _ObjectMove_Copy_enum)

Description

Move the selected objects.

Parameters

XLocation: measurement	The horizontal position of the center point of objects to move, in WordPerfect units (1200ths of an inch) from the top left corner of the page.
YLocation: measurement	The vertical position of the center point of objects to move, in WordPerfect units from the top left corner of the page.
DeltaX: measurement	The amount to move selected objects horizontally, in WordPerfect units. Positive values move objects right, and negative values move them left.
DeltaY: measurement	The amount to move selected objects vertically, in WordPerfect units. Positive values move objects up, and negative values move them down.
AddToSelection: enumeration	Add the specified object to the current selection of objects for moving. No Yes
Copy: enumeration	Copy the selected objects before moving them. No Yes


ObjectPointSelect

Syntax

ObjectPointSelect(XLocation As Integer, YLocation As Integer, AddToSelection As _ObjectPointSelect_AddToSelection_enum)

Description

Select an object at a specified location.

Parameters

XLocation: measurement	The horizontal position of the center point of an object, in WordPerfect units (1200ths of an inch) from the top left corner of the page.
YLocation: measurement	The vertical position of the center point of an object, in WordPerfect units from the top left corner of the page.
AddToSelection: enumeration	Add the specified object to the current selection. No Yes


ObjectScale

Syntax

 ObjectScale(InitialLeft As Integer, InitialBottom As Integer, InitialRight As Integer, InitialTop As Integer, FinalLeft As Integer, FinalBottom As Integer, FinalRight As Integer, FinalTop As Integer, Copy As _ObjectScale_Copy_enum)

Description

Change the selected objects from the size specified by the first four parameters to the size specified by the last four parameters.

Parameters

InitialLeft: measurement	The left edge of the rectangular selection area, in WordPerfect units (1200ths of an inch).
InitialBottom: measurement	The bottom edge of the rectangular selection area, in WordPerfect units.
InitialRight: measurement	The right edge of the rectangular selection area, in WordPerfect units
InitialTop: measurement	The top edge of the rectangular selection area, in WordPerfect units.
FinalLeft: measurement	The left edge of the new object area, in WordPerfect units.
FinalBottom: measurement	The bottom edge of the new object area, in WordPerfect units.
FinalRight: measurement	The right edge of the new object area, in WordPerfect units.
FinalTop: measurement	The top edge of the new object area, in WordPerfect units.
Copy: enumeration	Copy the selected objects before resizing. No Yes


ObjectSetFillBackground

Syntax

ObjectSetFillBackground(Red As Integer, Green As Integer, Blue As Integer, Transparent As Integer)

Description

Specify the background fill color of the selected objects, or the default background color if no object is selected.

Parameters

Red: numeric	The amount of red (0-255) in the background fill color.
Green: numeric	The amount of green (0-255) in the background fill color.
Blue: numeric	The amount of blue (0-255) in the background fill color.
Transparent: numeric	The background fill transparency. Use 1 to specify transparency and 0 to specify no transparency.
 Related topics


ObjectSetFillForeground

Syntax

 ObjectSetFillForeground(Red As Integer, Green As Integer, Blue As Integer, Transparent As Integer)

Description

Specify the foreground fill color of the selected objects, or the default foreground color if no object is selected.

Parameters

Red: numeric	The amount of red (0-255) in the foreground fill color.
Green: numeric	The amount of green (0-255) in the foreground fill color.
Blue: numeric	The amount of blue (0-255) in the foreground fill color.
Transparent: numeric	The foreground fill transparency. Use 1 to specify transparency and 0 to specify no transparency.
 Related topics


ObjectSetFillPattern

Syntax

 ObjectSetFillPattern(Pattern As _ObjectSetFillPattern_Pattern_enum)

Description

Specify a fill pattern or gradient fill for the selected objects, or a default pattern if no object is selected.

Parameters

Pattern: enumeration	Specify a fill pattern or gradient fill. Arch Balls BigChecks BigCrossHatch BigSquares ChainLink Checks Crosses CrossHatch EighthGray FishScale FourthGray GradCircBottom GradCircCenter GradCircLeftBottom GradCircLeftTop GradCircRight GradCircRightBottom GradCircRightTop GradCircTop GradHorzAll GradHorzHalf GradHorzMost GradHorzPart GradRectBottom GradRectCenter GradRectLeftBottom GradRectLeftTop GradRectRight GradRectRightBottom GradRectRightTop GradRectTop GradTilt1All GradTilt1Half GradTilt1Most GradTilt1Part GradTilt2All GradTilt2Half GradTilt2Most GradTilt2Part GradVertAll GradVertHalf GradVertMost GradVertPart HalfGray HoneyComb HorzBricks HorzLines1 HorzLines2 Mesh Patio Plaid Solid Squares TiltBricks TiltLines1 TiltLines2 TiltLines3 TiltLines4 Triangles VertLines1 VertLines2 Waves Weave
 Related topics


ObjectSetFillState

Syntax

ObjectSetFillState(FillState As _ObjectSetFillState_FillState_enum)

Description

Specify whether the selected objects are filled or not filled, or set the default fill state if no object is selected.

Parameters

FillState: enumeration	The state of object fill. Filled Hollow
 Related topics


ObjectSetFrameState

Syntax

ObjectSetFrameState(FrameState As _ObjectSetFrameState_FrameState_enum)

Description

Specify whether the object outline is on or off for selected objects, or set the default state if no object is selected.

Parameters

FrameState: enumeration	The state of the frame. FrameOff FrameOn


ObjectSetLineBackground

Syntax

 ObjectSetLineBackground(Red As Integer, Green As Integer, Blue As Integer, Transparent As Integer)

Description

Specify the background line color for the selected objects, or the default background line color if no object is selected.

Parameters

Red: numeric	The amount of red (0-255) in the line background color.
Green: numeric	The amount of green (0-255) in the line background color.
Blue: numeric	The amount of blue (0-255) in the line background color.
Transparent: numeric	The line background transparency. Use 1 to specify transparency and 0 to specify no transparency.
 Related topics


ObjectSetLineForeground

Syntax

ObjectSetLineForeground(Red As Integer, Green As Integer, Blue As Integer, Transparent As Integer)

Description

Specify the foreground line color of the selected objects, or the default foreground line color if no object is selected.

Parameters

Red: numeric	The amount of red (0-255) in the line foreground color.
Green: numeric	The amount of green (0-255) in the line foreground color.
Blue: numeric	The amount of blue (0-255) in the line foreground color.
Transparent: numeric	The line foreground transparency. Use 1 to specify transparency and 0 to specify no transparency.
 Related topics


ObjectSetLinePattern

Syntax

ObjectSetLinePattern(Pattern As _ObjectSetLinePattern_Pattern_enum)

Description

Specify a line pattern or gradient for the selected objects, or a default pattern if no object is selected.

Parameters

Pattern: enumeration	Specify a fill pattern or gradient fill. Arch Balls BigChecks BigCrossHatch BigSquares ChainLink Checks Crosses CrossHatch EighthGray FishScale FourthGray GradCircBottom GradCircCenter GradCircLeftBottom GradCircLeftTop GradCircRight GradCircRightBottom GradCircRightTop GradCircTop GradHorzAll GradHorzHalf GradHorzMost GradHorzPart GradRectBottom GradRectCenter GradRectLeftBottom GradRectLeftTop GradRectRight GradRectRightBottom GradRectRightTop GradRectTop GradTilt1All GradTilt1Half GradTilt1Most GradTilt1Part GradTilt2All GradTilt2Half GradTilt2Most GradTilt2Part GradVertAll GradVertHalf GradVertMost GradVertPart HalfGray HoneyComb HorzBricks HorzLines1 HorzLines2 Mesh Patio Plaid Solid Squares TiltBricks TiltLines1 TiltLines2 TiltLines3 TiltLines4 Triangles VertLines1 VertLines2 Waves Weave
 Related topics


ObjectSetLineStyle

Syntax

ObjectSetLineStyle(Style As _ObjectSetLineStyle_Style_enum)

Description

Specify a line style for the selected objects, or a default line style if no object is selected.

Parameters

Style: enumeration	The line style. Alternate Dash DashDashDot DashDashDotDot DashDot DashDotDot DotDotDash Dots LongDash LongLongShort LongLongShortShort LongShort LongShortShort ShortDash Solid TinyDash
 Related topics


ObjectSetLineWidth

Syntax

ObjectSetLineWidth(LineWidth As Integer)

Description

Specify a line width for the selected objects, or a default line width if no object is selected.

Parameters

LineWidth: measurement	The line width in WordPerfect units (1200ths of an inch), with 0 specifying a width of one pixel.
 Related topics


Ole20InsertObjectDlg

Syntax

Ole20InsertObjectDlg()

Description

Display the Insert Object dialog box, which is used to insert an OLE object into the current drawing.


OleBrowseLinksDlg

Syntax

OleBrowseLinksDlg()

Description

Display the Links dialog box, which is used to edit OLE links.


OleChartCloseFile

Syntax

OleChartCloseFile()

Close a data chart and return to an OLE client document when Corel Presentations is the OLE server.

 Related topics


OleChartExit

Syntax

OleChartExit()

Description

Exit Corel Presentations and return to an OLE client application when Corel Presentations is the OLE server.

 Related topics


OleChartUpdateFile

Syntax

OleChartUpdateFile()

Description

Update a data chart in an OLE client document when Corel Presentations is the OLE server.

 Related topics


OleCloseFile

Syntax

OleCloseFile()

Description

Close a drawing and return to an OLE client application when Corel Presentations is the OLE server.


OleExit

Syntax

OleExit()

Description

Exit Corel Presentations and return to an OLE client document when Corel Presentations is the OLE server.


OleInsertFromFile

Syntax

OleInsertFromFile(Filename As String, IsLink As _OleInsertFromFile_IsLink_enum, IsIconic As _OleInsertFromFile_IsIconic_enum)

Description

Create an OLE object from a specified file.

Parameters

Filename: string	The filename of the object to link.
IsLink: enumeration	Link the file rather than embed the file. No Yes
IsIconic: enumeration	Display the object as an icon. No Yes
 Related topics


OleInsertObject

Syntax

 OleInsertObject(Description As String, UseIcon As _OleInsertObject_UseIcon_enum)

Description

Insert an OLE object into the current drawing.

Parameters

Description: string	The description that appears in the list box for the OLE item type.
UseIcon: enumeration	Display the inserted object as an icon. No Yes
 Related topics


OlePlayInformation

Syntax

OlePlayInformation(Verb As Integer, IsHidden As _OlePlayInformation_IsHidden_enum, PlayOnClick As _OlePlayInformation_PlayOnClick_enum, PlayOnTransition As _OlePlayInformation_PlayOnTransition_enum, DelayTime As Integer)

Description

Set activation options and timing for OLE objects.

Parameters

Verb: numeric	Specify an action to perform on an object. See the Windows registration database for possible values.
IsHidden: enumeration	Hide an object when not playing. No Yes
PlayOnClick: enumeration	The object plays when clicked during slide show play. No Yes
PlayOnTransition: enumeration	The object plays as soon as the transition from the previous slide has finished. No Yes
DelayTime: numeric	The amount of time after the transition to delay before playing the object. In tenths of a second.
 Related topics


OlePlaySettings

Syntax

OlePlaySettings()

Description

Display the Play Settings dialog box, which is used to specify activation settings for OLE objects.

 Related topics


OleSaveAsDlg

Syntax

OleSaveAsDlg()

Description

Display the Save As dialog box for OLE objects, which is used to save a copy of an OLE drawing with a new name or file format.


OleUpdateFile

Syntax

OleUpdateFile()

Description

Update a Corel Presentations OLE object in a client application.


OrgChartAlignmentDlg

Syntax

OrgChartAlignmentDlg()

Description

Display the Branch Structure dialog box, which is used to define organization chart branch structure.

 Related topics


OrgChartBoxSize

Syntax

OrgChartBoxSize(verticalSize As Long, horizontalSize As Long, [boxSizeOption As _OrgChartBoxSize_boxSizeOption_enum])

Description

Set the size of one or more boxes in an organization chart.

Parameters

VerticalSize: numeric	The vertical size of organization chart boxes.
HorizontalSize: numeric	The horizontal size of organization chart boxes.
boxSizeOption: enumeration (optional)	FitToText LargestInBranch LargestInChart LargestInLevel
 Related topics


OrgChartFontAttrsDlg

Syntax

OrgChartFontAttrsDlg()

Description

Display the Text Attributes dialog box for organization charts, which is used to specify the appearance of text.

 Related topics


OrgChartFontDlg

Syntax

OrgChartFontDlg()

Description

Display the Font dialog box for organization charts, which is used to specify a font.

 Related topics


OrgChartImportOutline

Syntax

OrgChartImportOutline()

Description

Import an outline into an organization chart.

 Related topics


OrgChartLayoutDlg

Syntax

OrgChartLayoutDlg()

Description

Display the Layout dialog box for organization charts.


OrgChartOrientationDlg

Syntax

OrgChartOrientationDlg()

Description

Display the Orientation dialog box, which sets orientation for an organization chart.

 Related topics


OrgChartUndelete

Syntax

OrgChartUndelete()

Description

Restore the last deleted object in an organization chart.

 Related topics


OrgChartViewAllBranches

Syntax

OrgChartViewAllBranches()

Description

View all branches in an organization chart.

 Related topics


OrgChartViewSelectedBranch

Syntax

OrgChartViewSelectedBranch()

Description

View the selected branch in an organization chart.

 Related topics


OrgTextEditExit

Syntax

OrgTextEditExit()

Description

Return from the text editor to the organization chart editor.

 Related topics


OutlineNextLevel

Syntax

OutlineNextLevel()

Description

Demote the outline to the next level.


OutlineObject

Syntax

OutlineObject()

Description

Display the selected objects as line drawings.

 Related topics


OutlinePreviousLevel

Syntax

OutlinePreviousLevel()

Description

Promote outline to the previous level.


OutlineRevealCodes

Syntax

OutlineRevealCodes()

Description

Display text codes for the current text chart.


OverrideSlideDlg

Syntax

OverrideSlideDlg()

Description

Display the Override dialog box, which is used to override slide options.

 Related topics


PageColorDlg

Syntax

PageColorDlg()

Description

Display the Page Setup dialog box, which is used to specify a document page color.

 Related topics


PageFormatDlg

Syntax

PageFormatDlg()

Description

Display the Page Setup dialog box, which is used to specify page size, margins, page colors, and save options.

 Related topics


PageMode

Syntax

PageMode()

Description

Display all objects in the drawing or slide.

 Related topics


PageSizeInfo

Syntax

PageSizeInfo()

Description

Display the Page Size dialog box, which is used to set page size, margins, page color, and save options.

 Related topics


PaintBrush

Syntax

PaintBrush([X], [Y])

Description

Activate the Paint Brush tool to create a bitmap object in the Bitmap Editor.

Parameters

X: numeric (optional)	The horizontal position of pixels clicked when painting.
Y: numeric (optional)	The vertical position of pixels clicked when painting.
 Related topics


PaintDropMarquee

Syntax

PaintDropMarquee([EndMarquee As _PaintDropMarquee_EndMarquee_enum])

Description

Copy a selected portion of a bitmap area. Precede with PaintMoveMarquee().

Parameters

EndMarquee: enumeration (optional)	Turn off select mode for the copied portion. No Yes
 Related topics


PaintDropper

Syntax

 PaintDropper(X As Integer, Y As Integer, [Color As _PaintDropper_Color_enum])

Description

Activate the Pickup Color painting tool to select a background or foreground color in the Bitmap Editor.

Parameters

X: numeric	The horizontal position of pixels clicked when choosing a color.
Y: numeric	The vertical position of pixels clicked when choosing a color.
Color: enumeration (optional)	The color the paint dropper uses. Background Foreground
 Related topics


PaintEraser

Syntax

PaintEraser([X], [Y])

Description

Activate the Eraser painting tool to erase portions of a bitmap object in the Bitmap Editor.

Parameters

X: numeric (optional)	The horizontal position of pixels covered when erasing.
Y: numeric (optional)	The vertical position of pixels covered when erasing.
 Related topics


PaintEscapeUndo

Syntax

PaintEscapeUndo()

Description

Remove the effects of the most recent editing change in the Bitmap Editor. To add this function to a macro, use BitmapUndo.

 Related topics


PaintMoveMarquee

Syntax

PaintMoveMarquee([DeltaX As Integer], [DeltaY As Integer], [EraseUnder As _PaintMoveMarquee_EraseUnder_enum])

Description

Move a selected bitmap area. Follow with PaintDropMarquee.

Parameters

DeltaX: numeric (optional)	The amount of horizontal movement, in pixels.
DeltaY: numeric (optional)	The amount of vertical movement, in pixels.
EraseUnder: enumeration (optional)	Erase the area beneath the new selection location. No Yes
 Related topics


PasteMarquee

Syntax

PasteMarquee()

Description

Retrieve a bitmap object from the Clipboard and insert it into the current drawing.

 Related topics


PasteObject

Syntax

PasteObject([FormatName As String], [Format As Integer], [OleFormat As _PasteObject_OleFormat_enum], [InsertLink As _PasteObject_InsertLink_enum], [InsertIcon As _PasteObject_InsertIcon_enum])

Description

Insert an OLE object from the Clipboard into the current drawing.

Parameters

FormatName: string (optional)	The name of the Clipboard format (such as Metafile).
Format: numeric (optional)	The Clipboard format ID number. Use only if FormatName is not specified.
OleFormat: enumeration (optional)	Insert the Clipboard contents as an OLE object. No Yes
InsertLink: enumeration (optional)	Insert object as a link. Use only if the Clipboard format is an OLE type. No Yes
InsertIcon: enumeration (optional)	Display an OLE object as an icon. Use only if the Clipboard format is an OLE type. No Yes


PasteSpecialOle20Dlg

Syntax

PasteSpecialOle20Dlg()

Description

Display the Paste Special dialog box, which is used to paste OLE objects from the Clipboard into the current drawing.


PlaySlideShow

Syntax

PlaySlideShow(PlayType As _PlaySlideShow_PlayType_enum, PenSize As Integer, PenRedValue As Integer, PenGreenValue As Integer, PenBlueValue As Integer, SlideNumberStart As Integer, RepeatShow As _PlaySlideShow_RepeatShow_enum, [ShowFormat As _PlaySlideShow_ShowFormat_enum], [ColorFormat As _PlaySlideShow_ColorFormat_enum], [SizeFormat As _PlaySlideShow_SizeFormat_enum])

Description

Play a slide show and specify play options.

Parameters

PlayType: enumeration	The type of slide show to play. CreateQuickFile CreateWin31Runtime CreateWin95Runtime NormalPlay UseQuickFile
PenSize: numeric	The size of the highlighter, in WordPerfect units (1200ths of an inch).
PenRedValue: numeric	The highlighter color. Value (0-255).
PenGreenValue: numeric	The highlighter color. Value (0-255).
PenBlueValue: numeric	The highlighter color. Value (0-255).
SlideNumberStart: numeric	The first slide in a slide show.
RepeatShow: enumeration	Play the slide show again. No Yes
ShowFormat: enumeration (optional)	The format for a slide show. DeviceFormat GenericFormat
ColorFormat: enumeration (optional)	CurrentDevice DeviceIndependent
SizeFormat: enumeration (optional)	CurrentDeviceFullScreen CurrentWindowSize DeviceIndependentFullScreen
 Related topics


PlaySlideShowDlg

Syntax

PlaySlideShowDlg()

Description

Display the Play Slide Show dialog box, which is used to select play options and to play the current slide show.

 Related topics


PlaySlideShowFirst

Syntax

PlaySlideShowFirst()

Description

Play the current slide show, starting with the first slide.


PointerPosition

Syntax

PointerPosition([State As _PointerPosition_State_enum])

Description

Toggle the display of the pointer position in the status bar.

Parameters

State: enumeration (optional)	Pointer position display is on or off. Off On


PosterDlg

Syntax

PosterDlg()

Description

Create a poster by enlarging the drawing to print on multiple pages.


PRActivate

Syntax

PRActivate()

Description

Activate the Corel Presentations window.


PrefCustomDlg

Syntax

PrefCustomDlg()

Description

Display the Customize dialog box.


PrefEnvironmentDlg

Syntax

PrefEnvironmentDlg()

Description

Display the Environment dialog box.


PreferenceDateTime

Syntax

PreferenceDateTime(DateTimeString As String)

Description

Specify date and time format.

Parameters

DateTimeString: string	The date and time format.


PreferenceDateTimeDlg

Syntax

PreferenceDateTimeDlg()

Description

Display the Date/Time Format dialog box, which is used to specify date and time format preferences.

 Related topics


PreferenceEnvGenDlg

Syntax

PreferenceEnvGenDlg()

Description

Display the General Environment dialog box.


PreferenceEnvironmentDlg

Syntax

PreferenceEnvironmentDlg()

Description

Display the Environment dialog box, which is used to specify environment preferences.


PreferenceEnvLangDlg

Syntax

PreferenceEnvLangDlg()

Description

Display the Language Environment dialog box.


PreferenceFormSettings

Syntax

 PreferenceFormSettings(FormWidth As Integer, FormHeight As Integer, MarginLeft As Integer, MarginBottom As Integer, MarginRight As Integer, MarginTop As Integer, Orientation As _PreferenceFormSettings_Orientation_enum)

Description

Specify default page and margin sizes.

Parameters

FormWidth: measurement	The page width, in WordPerfect units (1200ths of an inch).
FormHeight: measurement	The page height, in WordPerfect units.
MarginLeft: measurement	The size of the left margin, in WordPerfect units.
MarginBottom: measurement	The size of the bottom margin, in WordPerfect units.
MarginRight: measurement	The size of the right margin, in WordPerfect units.
MarginTop: measurement	The size of the top margin, in WordPerfect units.
Orientation: enumeration	The page orientation. Landscape Portrait
 Related topics


PreferenceKeyboardDlg

Syntax

PreferenceKeyboardDlg()

Description

Display the Keyboard Preferences dialog box, which is used to specify a keyboard file.

 Related topics


PreferenceLOFDlg

Syntax

PreferenceLOFDlg()

Description

Display the Location of Files dialog box.


PreferenceMenuDlg

Syntax

PreferenceMenuDlg()

Description

Display the Menu Bar Preferences dialog box, which is used to create and modify menu options.

 Related topics


PreferencePrintDlg

Syntax

PreferencePrintDlg()

Description

Display the Print dialog box, which is used to specify printing preferences.

 Note

•	This command is obsolete.


PreferencePropertyBarDlg

Syntax

PreferencePropertyBarDlg()

Description

Display the Property Bar dialog box.


PreferencesDlg

Syntax

PreferencesDlg()

Description

Display the Preferences dialog box, which is used to set system default options.


PreferenceToolbarDlg

Syntax

PreferenceToolbarDlg()

Description

Display the Toolbar Preferences dialog box, which is used to select and customize toolbars.

 Related topics


PreferenceToolPaletteDlg

Syntax

PreferenceToolPaletteDlg()

Description

Display the Tool Palette dialog box.


PrefLOFDlg

Syntax

PrefLOFDlg()

Description

Display the Location of Files dialog box.


PrintBlackWhite

Syntax

 PrintBlackWhite([State As _PrintBlackWhite_State_enum]) As Integer

Description

Set the print black and white option.

Parameters

State: enumeration (optional)	False True


PrintCopies

Syntax

PrintCopies([NumberOfCopies As Integer]) As Integer

Description

Set the number of copies you want to print.

Parameters

NumberOfCopies: numeric (optional)	The number of copies to print.
 Related topics


PrintDestination

Syntax

PrintDestination([Destination])

Description

Set the destination for the current print job.

Parameters

Destination: any (optional)	The destination for print jobs. DriverPort
 Related topics


PrintDialog

Syntax

PrintDialog()

Description

Display the Print dialog.

 Related topics


PrintDocTkn

Syntax

PrintDocTkn()

Description

Print the current document.

 Related topics


PrintDocument

Syntax

PrintDocument(CurrentPage As Integer, TotalPages As Integer, NumberOfCopies As Integer, Units As _PrintDocument_Units_enum, BlackWhite As _PrintDocument_BlackWhite_enum, CopiesPrintedBy As _PrintDocument_CopiesPrintedBy_enum, PrintBinding As _PrintDocument_PrintBinding_enum, PrintSource As _PrintDocument_PrintSource_enum, SelectedObjects As Long, DocOnDisk As Long, WhichPage As Integer, PrintOffset As _PrintDocument_PrintOffset_enum, TopAdjust As Integer, SideAdjust As Integer, FileFormat As _PrintDocument_FileFormat_enum, PrinterLongName As Integer, PrinterDriverName As Integer, DeviceName As Integer, FormWidth As Integer, FormHeight As Integer, LeftMargin As Integer, BottomMargin As Integer, RightMargin As Integer, TopMargin As Integer, Mode As _PrintDocument_Mode_enum, HandoutsPerPage As Integer, NotesPerPage As Integer, FirstSlide As Integer, LastSlide As Integer, ViewPrintJob As _PrintDocument_ViewPrintJob_enum, NoBackground As _PrintDocument_NoBackground_enum, SlideTitle As _PrintDocument_SlideTitle_enum, SlideNumber As _PrintDocument_SlideNumber_enum, PrintSlideRange As _PrintDocument_PrintSlideRange_enum, BindingOffset As Integer)

Description

Print the current document.

Parameters

CurrentPage: numeric	The page to print.
TotalPages: numeric	The total number of pages to print.
NumberOfCopies: numeric	The number of copies to print.
Units: enumeration	The unit of measurement IDU_CM IDU_Inches IDU_InchesI IDU_MM IDU_Points IDU_WP42 IDU_WPU
BlackWhite: enumeration	Print in black-and-white mode. No Yes
CopiesPrintedBy: enumeration	Generate copies with the printer or the application. Application Printer
PrintBinding: enumeration	The binding offset. Left Top
PrintSource: enumeration	The print source. CurrentPage DocumentOnDisk FullDoc PageRange PrintHandouts PrintList PrintNotes PrintPreview PrintSlides SelectedObjects
SelectedObjects: numeric	The number of selected objects.
DocOnDisk: numeric	Print a file from a disk.
WhichPage: numeric	The pages to print.
PrintOffset: enumeration	The binding edge. BindLeft BindTop SideLeft SideRight TopDown TopUp
TopAdjust: numeric	The top margin offset.
SideAdjust: numeric	The side margin offset.
FileFormat: enumeration	The format of the file. WPG10 WPG20
PrinterLongName: numeric	The name of printer.
PrinterDriverName: numeric	The name of printer driver.
DeviceName: numeric	The name of the printer device.
FormWidth: numeric	The paper width in WordPerfect units (1200ths of an inch).
FormHeight: numeric	The paper height in WordPerfect units.
LeftMargin: numeric	The left margin size in WordPerfect units.
BottomMargin: numeric	The bottom margin size in WordPerfect units.
RightMargin: numeric	The right margin size in WordPerfect units.
TopMargin: numeric	The top margin size in WordPerfect units.
Mode: enumeration	The part of the document to print. Disk Drawing Handouts List Notes Slides
HandoutsPerPage: numeric	The number of slides to print per page.
NotesPerPage: numeric	The number of speaker notes to print per page.
FirstSlide: numeric	The number of the first slide to print.
LastSlide: numeric	The number of the last slide to print.
ViewPrintJob: enumeration	No Yes
NoBackground: enumeration	Print the slide background. No Yes
SlideTitle: enumeration	Print the slide title. No Yes
SlideNumber: enumeration	Print the slide number. No Yes
PrintSlideRange: enumeration	Print a range of slides. No Yes
BindingOffset: numeric	The print binding offset.
 Related topics


PrintImageBinding

Syntax

PrintImageBinding([Edge As _PrintImageBinding_Edge_enum]) As Integer

Description

Set the print binding for the current print job.

Parameters

Edge: enumeration (optional)	The binding edge. BottomEdge InsideEdge LeftEdge OutsideEdge RightEdge TopEdge
 Related topics


PrintImageOffset

Syntax

PrintImageOffset([Offset As Integer]) As Integer

Description

Set the printing offset for the current print job.

Parameters

Offset: numeric (optional)	The offset for printing.
 Related topics


PrintInColor

Syntax

PrintInColor(State As _PrintInColor_State_enum) As Integer

Description

Print the current document in color.

Parameters

State: enumeration (optional)	Color printing is on or off. False True
 Related topics


PrintInReverseOrder

Syntax

PrintInReverseOrder([State As _PrintInReverseOrder_State_enum]) As Integer

Description

Print the current document in reverse order, starting with the last page.

Parameters

State: enumeration (optional)	Reverse-order printing is on or off. False True
 Related topics


PrintMode

Syntax

PrintMode(Mode As _PrintMode_Mode_enum) As Integer

Description

Set the print mode.

Parameters

Mode: enumeration (optional)	The print mode. AudienceNotes CurrentView DocOnDisk FullDoc Handouts SelectedObjects Slides SpeakerNotes
 Related topics


PrintNoBackground

Syntax

PrintNoBackground([State As _PrintNoBackground_State_enum]) As Integer

Description

Print the contents of the slide or drawing without the background.

Parameters

State: enumeration (optional)	Printing background is on or off. False True
 Related topics


PrintRangeFrom

Syntax

 PrintRangeFrom([Page As Integer]) As Integer

Description

Set the first page of a multiple-slide print job.

Parameters

Page: numeric (optional)	The beginning page of the print job.
 Related topics


PrintRangeTo

Syntax

PrintRangeTo(Page As Integer) As Integer

Description

Specify the last page in a multiple-slide print job.

Parameters

Page: numeric (optional)	The ending page of the print job.
 Related topics


PrintResolution

Syntax

PrintResolution([Quality As _PrintResolution_Quality_enum])

Description

Set the resolution for the print job. This will depend on your printer.

Parameters

Quality: enumeration (optional)	Low Medium High
 Related topics


PrintSelectByName
any:=PrintSelectByName

Syntax

(PrinterName: enumeration)

Description

Select a printer by name.

Parameters

PrinterName: enumeration (optional)	The name of printer. Default
 Related topics


PrintSettings

Syntax

 PrintSettings(Action As _PrintSettings_Action_enum, [SettingsName])

Description

Add, delete, update, and use a named print settings macro.

Parameters

Action: enumeration	Add Delete Update Use
SettingsName: any (optional)	The name of print settings. Default DriverSettings
 Related topics


PrintSlideNumber

Syntax

 PrintSlideNumber([State As _PrintSlideNumber_State_enum]) As Integer

Description

Print the slide number on your slide.

Parameters

State: enumeration (optional)	Printing slide numbers is on or off. False True
 Related topics


PrintSlidesPerPage

Syntax

PrintSlidesPerPage([Slides As Integer]) As Integer

Description

Set the number of slides to print on a page.

Parameters

Slides: numeric (optional)	The number of slides to print per page.
 Related topics


PrintSlideTitle

Syntax

 PrintSlideTitle([State As _PrintSlideTitle_State_enum]) As Integer

Description

Print the slide title on the page.

Parameters

State: enumeration (optional)	Printing slide titles is on or off. False True
 Related topics


PrintSortOrder

Syntax

PrintSortOrder(Order As _PrintSortOrder_Order_enum) As Integer

Description

Set the printing sort order.

Parameters

Order: enumeration (optional)	The order in which to print the pages. Collate Group
 Related topics


PrintSourceFilename

Syntax

 PrintSourceFilename([Filename As String]) As String

Description

Return the filename source for printing.

Parameters

Filename: string (optional)	The filename of the source.
 Related topics


PrintTextAsGraphics

Syntax

PrintTextAsGraphics(State As _PrintTextAsGraphics_State_enum) As Integer

Description

Print text as graphics.

Parameters

State: enumeration (optional)	Printing text as graphics is on or off. False True
 Related topics


PrintTwoSided

Syntax

PrintTwoSided(Option As _PrintTwoSided_Option_enum) As Integer

Description

Set the two-sided values for printing more than one page.

Parameters

Option: enumeration (optional)	Add Delete Update Use
 Related topics


PropertyBarEdit

Syntax

PropertyBarEdit([PropertyBarName As String])

Description

Display the Property Bar editor dialog box.

Parameters

PropertyBarName: string (optional)	The name of the property bar to edit.


PublishToActiveX

Syntax

PublishToActiveX()

Description

Publish your slide show to the Internet with Show It!


PublishToPDF

Syntax

PublishToPDF()

Description

Publish a document in the .PDF file format.


PutAttributes

Syntax

PutAttributes()

Description

Apply the current default attributes to selected objects.

 Related topics


Quick3D

Syntax

Quick3D(Type As _Quick3D_Type_enum, Depth As Integer, X_Rotation As Integer, Y_Rotation As Integer, Z_Rotation As Integer, SideRelativeColorValue As Integer)

Description

Add the appearance of depth to selected objects using Quick3-D.

Parameters

Type: enumeration	The perspective. Inverse Linear Parallel
Depth: numeric	The object depth expressed as a percentage.
X_Rotation: numeric	The degree of rotation around the X axis.
Y_Rotation: numeric	The degree of rotation around the Y axis.
Z_Rotation: numeric	The degree of rotation around the Z axis.
SideRelativeColorValue: numeric	The percentage by which to lighten or darken a side relative to the front. Values range from 1 to 100 to lighten a side, and from -1 to -100 to darken a side.
 Related topics


Quick3DDlg

Syntax

Quick3DDlg()

Description

Display the Quick3-D dialog box, which is used to change the apparent depth of selected objects.

 Related topics


QuickCorrect

Syntax

QuickCorrect([State As _QuickCorrect_State_enum]))

Description

Turn QuickCorrect on or off.

Parameters

State: enumeration (optional)	QuickCorrect is on or off. Off On
 Related topics


QuickCorrectAddItem

Syntax

QuickCorrectAddItem(StringTyped As String, ReplaceString As String)

Description

Add a word/correction pair to QuickCorrect.

Parameters

StringTyped: string	The misspelled or abbreviated word to add.
ReplaceString: string	The correction or expansion to add.
 Related topics


QuickCorrectDeleteItem

Syntax

QuickCorrectDeleteItem(StringTyped As String)

Description

Delete a word/correction pair from QuickCorrect.

Parameters

StringTyped: string	The word to delete.
 Related topics


QuickCorrectDlg

Syntax

QuickCorrectDlg()

Description

Display the QuickCorrect dialog box, which displays the current list of word/correction pairs.

 Related topics


QuickCorrectOptions

Syntax

QuickCorrectOptions()

Description

Open the QuickCorrect options dialog box, which is used to specify QuickCorrect default settings.

 Related topics


QuickWarp

Syntax

QuickWarp([Envelope As Integer])

Description

Apply a QuickWarp effect to the selected objects.

Parameters

Envelope: numeric (optional)	Specify a predefined envelope to apply to selected objects. Values range from 0 to 48, with 0 indicating the top left envelope on the palette and 48 indicating the bottom right envelope.
 Related topics


QuickWarpDlg

Syntax

QuickWarpDlg()

Description

Display the QuickWarp dialog box, which is used to apply a QuickWarp effect to selected objects.

 Related topics


RealizeFontChanges

Syntax

 RealizeFontChanges([SaveTo As _RealizeFontChanges_SaveTo_enum])

Description

Implement font changes. Precede with SetFontFace().

Parameters

SaveTo: enumeration (optional)	Save changes as default values, for the selected object, or both. Both Default Selected
 Related topics


Redo

Syntax

Redo()

Description

Reverse the action of Undo.

 Related topics


RedrawChart

Syntax

RedrawChart()

Description

Update the current chart to reflect changes in the Datasheet.


RefreshScreen

Syntax

RefreshScreen()

Description

Redraw the current drawing.


ReplaceMasters

Syntax

ReplaceMasters(Filename As String)

Description

Retrieve a new slide show master file, replacing the current slide show master.

Parameters

Filename: string	The master file.


ReplaceWithClipart

Syntax

ReplaceWithClipart()

Description

Replace selected object with Clipart.


ResampleBitmapCmd

Syntax

ResampleBitmapCmd()

Description

Resample the selected bitmap object.


ResetColorTable

Syntax

ResetColorTable()

Description

Reset the color table in the Define Color Palettes dialog box to the default values.


RetrieveChartStyle

Syntax

 RetrieveChartStyle(Filename As String, Type As _RetrieveChartStyle_Type_enum)

Description

Open a specified chart style.

Parameters

Filename: string	The chart style to retrieve.
Type: enumeration	The type of chart. Data Org Text
 Related topics


RetrieveFigure

Syntax

RetrieveFigure([Left As Integer], [Top As Integer], [Right As Integer], [Bottom As Integer], [Filename As String], [FigureIndex As Integer], [RemoveGradient As _RetrieveFigure_RemoveGradient_enum])

Description

Insert a graphic from the clipart gallery into the current drawing at the location specified in the first four parameters. Without these parameters, the method retrieves a full-page figure. With no parameters, the method displays the QuickArt Gallery.

Parameters

Left: numeric (optional)	The top horizontal coordinate of the figure area, in WordPerfect units (1200ths of an inch.)
Top: numeric (optional)	The top vertical coordinate of the figure area, in WordPerfect units.
Right: numeric (optional)	The bottom horizontal coordinate of the figure area, in WordPerfect units.
Bottom: numeric (optional)	The bottom vertical coordinate of the figure area, in WordPerfect units.
Filename: string (optional)	The graphics file to retrieve. When you use this parameter, no dialog box is displayed before the specified file is retrieved.
FigureIndex: numeric (optional)	The figure to retrieve. The value of this parameter is 0 if the file specified in the Filename parameter is a single file. If the file is a Slide Show (.SHW) file, FigureIndex is required to indicate the WPG index for the figure to retrieve.
RemoveGradient: enumeration (optional)	Remove the gradients from Clipart images for faster display. No Yes
 Related topics


RetrieveFigureDlg

Syntax

RetrieveFigureDlg()

Description

Display the Insert Figure dialog box, which is used to import a figure from another file into the current document.

 Related topics


RetrieveOutline

Syntax

RetrieveOutline()

Description

Insert a text outline into the Outliner in the current slide show.


RetrieveStyleDlg

Syntax

RetrieveStyleDlg()

Description

Retrieve a specified chart style and apply it to the current chart.

 Related topics


RevealCodes

Syntax

RevealCodes()

Description

Turn on or turn off the display of text codes at the bottom of the screen in the Text Editor.


RotateObject

Syntax

 RotateObject(RotationAngle As Long, RotationPointX As Integer, RotationPointY As Integer, OffsetX As Integer, OffsetY As Integer, Pretranslate As _RotateObject_Pretranslate_enum, CopyObject As _RotateObject_CopyObject_enum)

Description

Rotate the selected objects. Precede with RotateObjects.

Parameters

RotationAngle: numeric	The angle of rotation.
RotationPointX: numeric	The horizontal position of rotation point, in WordPerfect units (1200ths of an inch).
RotationPointY: numeric	The vertical position of rotation point, in WordPerfect units.
OffsetX: numeric	The horizontal offset, in WordPerfect units.
OffsetY: numeric	The vertical offset, in WordPerfect units.
Pretranslate: enumeration	No Yes
CopyObject: enumeration	Rotate a copy of the object. No Yes
 Related topics


RotateObjects

Syntax

RotateObjects()

Description

Place rotation handles around the selected objects. The handles allow you to rotate objects around the center axis. Follow with RotateObject.

 Related topics


RotateObjectsAroundAnchor

Syntax

RotateObjectsAroundAnchor(Angle As Integer, Copy As _RotateObjectsAroundAnchor_Copy_enum)

Description

Rotate the selected objects around the center point.

Parameters

Angle: numeric	The rotation angle in degrees. Values range from -360 to 360.
Copy: enumeration	Copy the selected objects before rotating. No Yes
 Related topics


RotateObjectsDlg

Syntax

RotateObjectsDlg()

Description

Display the Rotate Objects dialog box, which is used to specify a rotation angle.

 Related topics


RulerGridOptionsDlg

Syntax

RulerGridOptionsDlg()

Description

Display the Grid/Snap Options dialog box.


SaveChartStyle

Syntax

SaveChartStyle(Filename As String, Type As _SaveChartStyle_Type_enum)

Description

Name and save a chart style.

Parameters

Filename: string	The filename of the chart style to save.
Type: enumeration	The type of chart to which the style applies. Data Org Text
 Related topics


SaveStyleDlg

Syntax

SaveStyleDlg()

Description

Display the Save Chart Style dialog box, which is used to save the current chart style.


SaveWithEvenBorders

Syntax

SaveWithEvenBorders(UseAsDefault As _SaveWithEvenBorders_UseAsDefault_enum, UseEvenBorders As _SaveWithEvenBorders_UseEvenBorders_enum, [BorderSize As Integer])

Description

Specify whether a document is saved with even borders.

Parameters

UseAsDefault: enumeration	Use the specified even border as the default setting. No Yes
UseEvenBorders: enumeration	Use even borders when the file is saved. No Yes
BorderSize: numeric (optional)	Specify the border size as a percentage of the size of the graphic.


ScreenDown

Syntax

ScreenDown()

Description

Move the insertion point to the bottom of the screen in a text area.


SelectAllObjects

Syntax

SelectAllObjects()

Description

Select all objects in the current drawing window.

 Related topics


SelectBegOfLine

Syntax

SelectBegOfLine()

Description

Select text from the insertion point to the beginning of the line.

 Related topics


SelectBox

Syntax

 SelectBox(Select As _SelectBox_Select_enum, [BoxLocation])

Description

Select a box in an organization chart.

Parameters

Select: enumeration	Select or deselect the box. Off On
BoxLocation: numeric	The numbers define a path down to the box to be selected. Each number represents a box location below its manager. For now, the first number is always 1, since there is only one box on the top level.
 Related topics


SelectCurrentLevel

Syntax

SelectCurrentLevel()

Description

Select the current organization chart level.

 Related topics


SelectDocBottom

Syntax

SelectDocBottom()

Description

Select text from the insertion point to the end of the text.

 Related topics


SelectDocTop

Syntax

SelectDocTop()

Description

Select text from the insertion point to the beginning of the text.

 Related topics


SelectDown

Syntax

SelectDown()

Description

Select text from the insertion point to the corresponding position on the next line.

 Related topics


SelectEndOfLine

Syntax

SelectEndOfLine()

Description

Select text from the insertion point to the end of the line.

 Related topics


SelectiveReplace

Syntax

 SelectiveReplace([X], [Y])

Description

Replace foreground color pixels with background color pixels in the Bitmap Editor.

Parameters

X: numeric (optional)	The horizontal coordinate of a pixel to replace. Repeat sets of X and Y parameters to indicate multiple pixels, and enclose repeated parameters in braces {}.
Y: numeric (optional)	The vertical coordinate of a pixel to replace.
 Related topics


SelectLeft

Syntax

SelectLeft()

Description

Select the character to the left of the insertion point.

 Related topics


SelectLikeObjects

Syntax

SelectLikeObjects()

Description

Select all objects of the same type as the currently selected object.


SelectOnlineServiceDlg

Syntax

SelectOnlineServiceDlg()

Description

Displays the dialog that lets you select the service Help Online will connect to.

 Related topics


SelectPrinter

Syntax

SelectPrinter(PrinterName As String)

Description

Select a specific printer.

Parameters

PrinterName: string	The name of printer to be selected.


SelectRight

Syntax

SelectRight()

Description

Select the character to the right of the insertion point.

 Related topics


SelectScreenDown

Syntax

SelectScreenDown()

Description

Select the area from the insertion point to the bottom of the current text window.

 Related topics


SelectScreenUp

Syntax

SelectScreenUp()

Description

Select the area from the insertion point to the top of the current text window.

 Related topics


SelectTextChart

Syntax

SelectTextChart(Chart As _SelectTextChart_Chart_enum)

Description

Select the title, subtitle, or bullets in a slide which uses the Bullet Chart template.

Parameters

Chart: enumeration	Select a title, a subtitle, or bullets. Bullets Subtitle Title


SelectUp

Syntax

SelectUp()

Description

Select text from the insertion point to the corresponding position on the previous line.

 Related topics


SelectWordLeft

Syntax

SelectWordLeft()

Description

Select the word to the left of the insertion point.

 Related topics


SelectWordRight

Syntax

SelectWordRight()

Description

Select the word to the right of the insertion point.

 Related topics


SendtoEnvoy

Syntax

SendtoEnvoy()

Description

Publish the document as an Envoy (.EVY) file.


SendtoGraphicsland

Syntax

SendtoGraphicsland()

Description

Send the document to Graphicsland.


SendToWP

Syntax

SendToWP()

Description

Send the document to Corel WordPerfect.


SeparateObject

Syntax

SeparateObject()

Description

Break up combined objects, grouped objects, or contoured text so the parts are treated as separate objects.

 Related topics


SetAirbrushDensity

Syntax

SetAirbrushDensity([AirbrushDensity As Integer])

Description

Specify the number of pixels the Air Brush painting tool covers. The maximum number is 100.

Parameters

AirbrushDensity: numeric (optional)	The number of pixels that change color with each stroke of the airbrush.
 Related topics


SetAxisOptions

Syntax

SetAxisOptions(AxisNum As Integer, [NumMinInc As Integer], [LabelScaleFactor As Double], [Maximum As Double], [Minimum As Double], [MajorInc As Double], [AutoMax As _SetAxisOptions_AutoMax_enum], [AutoMin As _SetAxisOptions_AutoMin_enum], [AutoGradMaj As _SetAxisOptions_AutoGradMaj_enum], [Log As _SetAxisOptions_Log_enum], [SameScale As _SetAxisOptions_SameScale_enum])

Description

Specify the scale and values of chart Y axes.

Parameters

AxisNum: numeric	The axis to modify. Axes 1, 2 and 3 correspond to the X axis, the Y1 axis, and the Y2 axis.
NumMinInc: numeric (optional)	The number of minor increments between major increments.
LabelScaleFactor: numeric (optional)	The number by which to divide axis labels.
Maximum: numeric (optional)	The maximum value to display for the specified axis.
Minimum: numeric (optional)	The minimum value to display for the specified axis.
MajorInc: numeric (optional)	The distance between major increments.
AutoMax: enumeration (optional)	Determine the maximum axis value automatically. Off On
AutoMin: enumeration (optional)	Determine the minimum axis value automatically. Off On
AutoGradMaj: enumeration (optional)	Determine the major grid increment value automatically. Off On
Log: enumeration (optional)	The axis is logarithmic rather than linear. Off On
SameScale: enumeration (optional)	Radar chart axes use the same scale. Off On
 Related topics


SetBackgroundName

Syntax

 SetBackgroundName(BackgroundName As String)

Description

Name the current background.

Parameters

BackgroundName: string	The background name.
 Related topics


SetBackgroundNameDlg

Syntax

SetBackgroundNameDlg()

Description

Display the Background Name dialog box, which is used to name a background.

 Related topics


SetBarStyle

Syntax

SetBarStyle(Style As _SetBarStyle_Style_enum)

Description

Specify a style for a bar, line, or area chart.

Parameters

Style: enumeration	The bar style. Cluster Overlap Stack100 Stacked


SetBitmapTransparency

Syntax

SetBitmapTransparency(TransparencyOn As _SetBitmapTransparency_TransparencyOn_enum, [TransColorRed As Integer], [TransColorGreen As Integer], [TransColorBlue As Integer])

Description

Turn transparency on or off for a specified color in the Bitmap Editor.

Parameters

TransparencyOn: enumeration	Transparency is on for a specified color. No Yes
TransColorRed: numeric (optional)	The amount of red (0-255) in a transparent color.
TransColorGreen: numeric (optional)	The amount of green (0-255) in a transparent color.
TransColorBlue: numeric (optional)	The amount of blue (0-255) in a transparent color.


SetBorder

Syntax

SetBorder(TitleType As _SetBorder_TitleType_enum, [BoxShape As _SetBorder_BoxShape_enum], [BoxBorder As _SetBorder_BoxBorder_enum], [Red As Integer], [Green As Integer], [Blue As Integer])

Description

Specify border options for chart titles, labels, and legends.

Parameters

TitleType: enumeration	The box border type for data chart titles or labels. BoxDataLabels BoxLegend BoxPieLabels BoxPieTitles BoxSubtitle BoxTitle OrgChart TextChart
BoxShape: enumeration (optional)	The box shape. None Octagon Rectangle RndRect
BoxBorder: enumeration (optional)	The border type. Bevel Dash Dot Double None Shadow Single Thick
Red: numeric (optional)	The amount of red (0-255) in a box border.
Green: numeric (optional)	The amount of green (0-255) in a box border.
Blue: numeric (optional)	The amount of blue (0-255) in a box border.
 Related topics


SetBrushShape

Syntax

SetBrushShape([BrushShape As _SetBrushShape_BrushShape_enum])

Description

Specify the shape of the Paint Brush painting tool.

Parameters

BrushShape: enumeration (optional)	The shape of the Paint Brush painting tool. BackwardSlash Circle Diamond ForwardSlash HorizontalLine Square VerticalLine
 Related topics


SetBrushWidth

Syntax

SetBrushWidth([BrushWidth As Integer])

Description

Specify the width of the Paint Brush painting tool. If no parameter is specified, the Paint Brush is set to the default width.

Parameters

BrushWidth: numeric (optional)	The width in pixels (0-100).
 Related topics


SetBubbleAnchors

Syntax

SetBubbleAnchors(AnchorHorizontal As _SetBubbleAnchors_AnchorHorizontal_enum, AnchorVertical As _SetBubbleAnchors_AnchorVertical_enum)

Description

Specify anchors.

Parameters

AnchorHorizontal: enumeration	Indicate whether the horizontal anchor should be set. False True
AnchorVertical: enumeration	Indicate whether the vertical anchor should be set. False True


SetBulletAttributes

Syntax

SetBulletAttributes(Level As Integer, GradType As _SetBulletAttributes_GradType_enum, Grad1Red As Integer, Grad1Green As Integer, Color1Blue As Integer, [Grad2Red As Integer], [Grad2Green As Integer], [Grad2Blue As Integer], [GradBRed As Integer], [GradBGreen As Integer], [GradBBlue As Integer], [BrushPattern As _SetBulletAttributes_BrushPattern_enum], [UseGradSteps As _SetBulletAttributes_UseGradSteps_enum], [GradAngle As Long], [GradRefX As Integer], [GradRefY As Integer], [GradSteps As Integer])

Description

Set bullet fill attributes.

Parameters

Level: numeric	The level of the bulleted list to be changed.
GradType: enumeration	The gradient type. ConcenCircles ConcenEllipse ConcenRects ConcenSquares ConverCircles ConverEllips ConverRects ConverSquares Linear None Polygonal
Grad1Red: numeric	The amount of red (0-255) in a solid fill, the top color of a linear gradient, or the center color of a circular or rectangular gradient.
Grad1Green: numeric	The amount of green (0-255) in a solid fill, the top color of a linear gradient, or the center color of a circular or rectangular gradient.
Color1Blue: numeric	The amount of blue (0-255).
Grad2Red: numeric (optional)	The amount of red (0-255) in a solid fill, the bottom color of a linear gradient, or the outer color of a circular or rectangular gradient.
Grad2Green: numeric (optional)	The amount of green (0-255) in a solid fill, the bottom color of a linear gradient, or the outer color of a circular or rectangular gradient.
Grad2Blue: numeric (optional)	The amount of blue (0-255) in a solid fill, the bottom color of a linear gradient, or the outer color of a circular or rectangular gradient.
GradBRed: numeric (optional)	The amount of red (0-255) in the background color.
GradBGreen: numeric (optional)	The amount of green (0-255) in the background color.
GradBBlue: numeric (optional)	The amount of blue (0-255) in the background color.
BrushPattern: enumeration (optional)	The fill pattern. Arches Balls BigChecks BigCrosshatch BigSquares Chainlink Checks Crosses Crosshatch FishScale Gray12 Gray25 Gray50 Honeycomb HorzBricks HorzLines1 HorzLines2 Mesh Patio Plaid Solid Squares TiltBricks TiltLines1 TiltLines2 TiltLines3 TiltLines4 Triangles VertLines1 VertLines2 Waves Weave
UseGradSteps: enumeration (optional)	Use gradient steps. No Yes
GradAngle: numeric (optional)	The rotation angle for a gradient fill. The top of the gradient is rotated counter-clockwise. For example, a 90-degree rotation places the top of the gradient parallel to the left margin of the page.
GradRefX: numeric (optional)	The horizontal center of a circular or rectangular gradient relative to the page. Flush left is 0, center is 50, flush right is 100.
GradRefY: numeric (optional)	The vertical center of a circular or rectangular gradient or the top of a linear gradient relative to the page. Top is 0, center is 50, bottom is 100.
GradSteps: numeric (optional)	The number of steps between colors in a gradient fill. A value of 0 represents the greatest possible number of steps.


SetBulletColor

Syntax

SetBulletColor([LevelNum As Integer], [Red As Integer], [Green As Integer], [Blue As Integer])

Description

Specify colors for the bullets used in bullet charts. A different color may by specified for each level. Precede with BulletChartAttrStart and follow with BulletChartAttrEnd.

Parameters

LevelNum: numeric (optional)	The bulleted list level.
Red: numeric (optional)	The amount of red (0-255) in a bullet color.
Green: numeric (optional)	The amount of green (0-255) in a bullet color.
Blue: numeric (optional)	The amount of blue (0-255) in a bullet color.
 Related topics


SetBulletDefinition

Syntax

 SetBulletDefinition(BulletLevel As Integer, Bullet As String)

Description

Specify characters to use as bullets for a bullet chart. Precede with BulletChartAttrStart() and follow with BulletChartAttrEnd().

Parameters

BulletLevel: numeric	The bullet chart level to modify.
Bullet: string	Up to twenty characters to use as bullets.
 Related topics


SetBulletEffect

Syntax

SetBulletEffect(Effect As _SetBulletEffect_Effect_enum, Direction As _SetBulletEffect_Direction_enum, Speed As _SetBulletEffect_Speed_enum, OneAtATime As _SetBulletEffect_OneAtATime_enum, Highlight As _SetBulletEffect_Highlight_enum, ReverseOrder As _SetBulletEffect_ReverseOrder_enum, ApplyToAll As _SetBulletEffect_ApplyToAll_enum)

Description

Set the transition and cascade effects for a bulleted list.

Parameters

Effect: enumeration	The transition type. AnimateBounceIn AnimateCurveIn AnimateFlyIn AnimateFlyInAndBounce AnimateFlyInFromCorner AnimateFlyInFromCornerAndBounce Blinds Blocks Circles CirclesRandom CircuitBoard Clock Close Diamonds DiamondsRandom DiamondsSmall Dissolve Explode Fade Focus FocusDissolve FourPointStars HappyFaces Hatch Lines Mosaic MosaicDissolve MosaicWave NoEffect Normal Octagons Open PhotoLens Polygons PushAway Puzzle Raindrops Rectangles RollIn RollOut SkipLines SlideAway SlideIn SlideToCorner Sparkles Spiral! SpiralAway StackBlocks Starburst Stars Stretch StretchClose StretchFromCenter StretchFromCorner StretchOpen Sweep SweepLines Triangles Wave Weave
Direction: enumeration (optional)	The transition direction. Clockwise CounterClockwise Down Horizontal Left LeftAndDown LeftAndUp NoDirection Right RightAndDown RightAndUp Up Vertical
Speed: enumeration	The transition speed. Fast Medium Slow
OneAtATime: enumeration	Animate bullets one at a time. No Yes
Highlight: enumeration	Highlight the bulleted item. No Yes
ReverseOrder: enumeration	Cause the bottom bullet item to appear first. No Yes
ApplyToAll: enumeration	Apply transition effects to all bulleted lists in the current template. No Yes


SetBulletLayout

Syntax

SetBulletLayout([JustFlag As Integer], [JustTypeTitle As _SetBulletLayout_JustTypeTitle_enum], [JustTypeTwo As _SetBulletLayout_JustTypeTwo_enum], [JustTypeThree As _SetBulletLayout_JustTypeThree_enum], [JustTypeFour As _SetBulletLayout_JustTypeFour_enum], [JustTypeFive As _SetBulletLayout_JustTypeFive_enum], [JustTypeSix As _SetBulletLayout_JustTypeSix_enum])

Description

Specify bullet chart justification options. Precede with BulletChartAttrStart() and follow with BulletChartAttrEnd().

Parameters

JustFlag: numeric (optional)	The level to modify. This parameters only accepts numbers, not text. Use one of the following numbers:
JustTypeTitle: enumeration (optional)	Specify the justification for the title level. Center Full Left
JustTypeTwo: enumeration (optional)	The justification for level two. Center Full Left
JustTypeThree: enumeration (optional)	The justification for level three. Center Full Left
JustTypeFour: enumeration (optional)	The justification for level four. Center Full Left
JustTypeFive: enumeration (optional)	The justification for level five. Center Full Left
JustTypeSix: enumeration (optional)	The justification for level six. Center Full Left
 Related topics


SetBulletLineSpacing

Syntax

SetBulletLineSpacing()

Description

Set the line spacing options for bullet charts.

 Related topics


SetBulletSize

Syntax

 SetBulletSize(Level As Integer, RelativeSize As Integer)

Description

Specify the size of the bullets.

Parameters

Level: numeric	The bulleted list level.
RelativeSize: numeric	The size of the bullets relative to the font.


SetChartAttrsBold

Syntax

SetChartAttrsBold()

Description

Turn Bold on or off for selected chart text.

 Related topics


SetChartAttrsItalic

Syntax

SetChartAttrsItalic()

Description

Turn Italics on or off for selected chart text.

 Related topics


SetChartAttrsUnderline

Syntax

SetChartAttrsUnderline()

Description

Turn Underline on or off for selected chart text.

 Related topics


SetChartFont

Syntax

SetChartFont(TitleType As _SetChartFont_TitleType_enum, [FontName As String], [PointSize As Double], [Italic As _SetChartFont_Italic_enum], [Underline As _SetChartFont_Underline_enum], [Bold As _SetChartFont_Bold_enum])

Description

Specify a font for chart text.

Parameters

TitleType: enumeration	The title or label font to define. DataLabels Legend LegendTitle MiniTable OrgChart PieLabels PieTitles Subtitle TableCells Title Xaxise Xnames Y1Axise Y1Labelse Y2Axise Y2Labelse
FontName: string (optional)	The font name and style.
PointSize: numeric (optional)	The font point size.
Italic: enumeration (optional)	Off On
Underline: enumeration (optional)	Off On
Bold: enumeration (optional)	Off On
 Related topics


SetChartTitlePos

Syntax

SetChartTitlePos([Title As _SetChartTitlePos_Title_enum], [Subtitle As _SetChartTitlePos_Subtitle_enum], [Y1Axis As _SetChartTitlePos_Y1Axis_enum], [Y2Axis As _SetChartTitlePos_Y2Axis_enum], [XAxis As _SetChartTitlePos_XAxis_enum])

Description

Specify the position of chart titles and labels.

Parameters

Title: enumeration (optional)	The title position. Center Left Right
Subtitle: enumeration (optional)	The subtitle position. Center Left Right
Y1Axis: enumeration (optional)	The position of the Primary Y-axis label. Horz Vert
Y2Axis: enumeration (optional)	The position of the secondary Y-axis label. Horz Vert
XAxis: enumeration (optional)	The position of the X-axis label. Horz Vert
 Related topics


SetColorAttributes

Syntax

SetColorAttributes(LineForeRed As Integer, LineForeGreen As Integer, LineForeBlue As Integer, LineBackRed As Integer, LineBackGreen As Integer, LineBackBlue As Integer, FillForeRed As Integer, FillForeGreen As Integer, FillForeBlue As Integer, FillBackRed As Integer, FillBackGreen As Integer, FillBackBlue As Integer, TextForeRed As Integer, TextForeGreen As Integer, TextForeBlue As Integer, TextBackRed As Integer, TextBackGreen As Integer, TextBackBlue As Integer, TextPenRed As Integer, TextPenGreen As Integer, TextPenBlue As Integer)

Description

Specify line and fill color attributes for the current drawing.

Parameters

LineForeRed: numeric	The amount of red (0-255) in the foreground line color.
LineForeGreen: numeric	The amount of green (0-255) in the foreground line color.
LineForeBlue: numeric	The amount of blue (0-255) in the foreground line color.
LineBackRed: numeric	The amount of red (0-255) in the background line color.
LineBackGreen: numeric	The amount of green (0-255) in the background line color.
LineBackBlue: numeric	The amount of blue (0-255) in the background line color.
FillForeRed: numeric	The amount of red (0-255) in the foreground fill color.
FillForeGreen: numeric	The amount of green (0-255) in the foreground fill color.
FillForeBlue: numeric	The amount of blue (0-255) in the foreground fill color.
FillBackRed: numeric	The amount of red (0-255) in the background fill color.
FillBackGreen: numeric	The amount of green (0-255) in the background fill color.
FillBackBlue: numeric	The amount of blue (0-255) in the background fill color.
TextForeRed: numeric	The amount of red (0-255) in the foreground text color.
TextForeGreen: numeric	The amount of green (0-255) in the foreground text color.
TextForeBlue: numeric	The amount of blue (0-255) in the foreground text color.
TextBackRed: numeric	The amount of red (0-255) in the background text color.
TextBackGreen: numeric	The amount of green (0-255) in the background text color.
TextBackBlue: numeric	The amount of blue (0-255) in the background text color.
TextPenRed: numeric	The amount of red (0-255) in the text outline color.
TextPenGreen: numeric	The amount of green (0-255) in the text outline color.
TextPenBlue: numeric	The amount of blue (0-255) in the text outline color.


SetConnector

Syntax

SetConnector([ConnectorStyle As _SetConnector_ConnectorStyle_enum], [StaffLineStyle As _SetConnector_StaffLineStyle_enum], [ShowStaffArrow As Integer], [ConnRed As Integer], [ConnGreen As Integer], [ConnBlue As Integer], [LineStyle As _SetConnector_LineStyle_enum], [ConnectorWidth As Integer], [ShowConnectors As _SetConnector_ShowConnectors_enum], [StaffConnectorWidth As Integer], [ShowStaffConnectors As _SetConnector_ShowStaffConnectors_enum], [StaffConnRed As Integer], [StaffConnGreen As Integer], [StaffConnBlue As Integer])

Description

Specify connector options for organization charts.

Parameters

ConnectorStyle: enumeration (optional)	The style for organization chart connectors. Direct HorzVert Indirect
StaffLineStyle: enumeration (optional)	The style for staff connector lines. Alternate Dash2Dot Dash2Dot2 DashDot2 Dashed DotDash DotDash2 Dotted Long2Short Long2Short2 LongDash LongShort LongShort2 ShortDash Solid TinyDash
ShowStaffArrow: numeric (optional)	Show or hide arrows and connectors. Use one of the following numbers:
ConnRed: numeric (optional)	The amount of red (0-255) in the connector color.
ConnGreen: numeric (optional)	The amount of green (0-255) in the connector color.
ConnBlue: numeric (optional)	The amount of blue (0-255) in the connector color.
LineStyle: enumeration (optional)	The style for staff connector lines. Alternate Dash2Dot Dash2Dot2 DashDot2 Dashed DotDash DotDash2 Dotted Long2Short Long2Short2 LongDash LongShort LongShort2 ShortDash Solid TinyDash
ConnectorWidth: numeric (optional)	The width for organization chart connectors.
ShowConnectors: enumeration (optional)	Display the connectors. No Yes
StaffConnectorWidth: numeric (optional)	The width of staff connector lines.
ShowStaffConnectors: enumeration (optional)	Display the staff connectors. No Yes
StaffConnRed: numeric (optional)	The amount of red (0-255) in staff connector lines.
StaffConnGreen: numeric (optional)	The amount of green (0-255) in staff connector lines.
StaffConnBlue: numeric (optional)	The amount of blue (0-255) in staff connector lines.
 Related topics


SetExplodeDistance

Syntax

SetExplodeDistance(PieNum As Integer, Slice As Integer, Distance As Integer)

Description

Specify the distance of a slice of a pie chart from the rest of the pie.

Parameters

PieNum: numeric	The pie number.
Slice: numeric	The slice number.
Distance: numeric	The distance between a slice and the rest of the pie chart. Values range from 0 to 200.
 Related topics


SetFontFace

Syntax

SetFontFace([FontName As String], [PointSize As Integer], [Bold As _SetFontFace_Bold_enum], [Italic As _SetFontFace_Italic_enum], [Underline As _SetFontFace_Underline_enum], [Position As _SetFontFace_Position_enum], [RelSize As _SetFontFace_RelSize_enum], [FontType As _SetFontFace_FontType_enum], [Weight As Integer], [Attributes As Integer], [PtSz3600 As Long])

Description

Specify a font. To implement specified changes, follow with RealizeFontChanges().

Parameters

FontName: string (optional)	The name of the font.
PointSize: numeric (optional)	The font point size.
Bold: enumeration (optional)	Off On
Italic: enumeration (optional)	Off On
Underline: enumeration (optional)	Off On
Position: enumeration (optional)	The font position. Normal Subscript Superscript
RelSize: enumeration (optional)	The relative size of a font. ExtraLarge Fine Large Normal Small VeryLarge
FontType: enumeration (optional)	The font type. ATM TT
Weight: numeric (optional)	The relative weight of the font (condensed, heavy, light, and so on).
Attributes: numeric (optional)	The font attributes (bold, underline, italic, and so on).
PtSz3600: numeric (optional)
 Related topics


SetFontGradient

Syntax

SetFontGradient(GradientType As _SetFontGradient_GradientType_enum, GradFlag As Integer, GradAngle As Long, GradRefX As Integer, GradRefY As Integer, GradSteps As Integer, Grad1Red As Integer, Grad1Green As Integer, Grad1Blue As Integer, Grad2Red As Integer, Grad2Green As Integer, Grad2Blue As Integer, GradBRed As Integer, GradBGreen As Integer, GradBBlue As Integer, ForeTransparency As Integer, BackTransparency As Integer)

Description

Specify a gradient fill for a font. To implement specified changes, follow with RealizeFontChanges().

Parameters

GradientType: enumeration	The linear, circular, or rectangular gradient. ConcenCircles ConcenEllipses ConcenRects ConcenSquares ConverCircles ConverEllipses ConverRects ConverSquares Linear None Polygonal
GradFlag: numeric	Specify the granularity and whether a gradient is anchored to a page.
GradAngle: numeric	The rotation angle for a gradient fill. The top of the gradient is rotated counter-clockwise. For example, a 90-degree angle places the top of the gradient parallel to the left margin of the page.
GradRefX: numeric	The horizontal center of a circular or rectangular gradient relative to the page. Flush left is 0, center is 50, and flush right is 100.
GradRefY: numeric	The vertical center of a circular or rectangular gradient or the top of a linear gradient relative to the page. Top is 0, center is 50, and bottom is 100.
GradSteps: numeric	The number of steps between colors in a gradient fill. A value of 0 represents the greatest possible number of steps.
Grad1Red: numeric	The amount of red (0-255) in a solid fill, the top color of a linear gradient, or the center color of a circular or rectangular gradient.
Grad1Green: numeric	The amount of green (0-255) in a solid fill, the top color of a linear gradient, or the center color of a circular or rectangular gradient.
Grad1Blue: numeric	The amount of blue (0-255) in a solid fill, the top color of a linear gradient, or the center color of a circular or rectangular gradient.
Grad2Red: numeric	The amount of red (0-255) in the bottom color of a linear gradient, or the outer color of a circular or rectangular gradient.
Grad2Green: numeric	The amount of green (0-255) in the bottom color of a linear gradient, or the outer color of a circular or rectangular gradient.
Grad2Blue: numeric	The amount of blue (0-255) in the bottom color of a linear gradient, or the outer color of a circular or rectangular gradient.
GradBRed: numeric	The amount of red (0-255) in the background color of a pattern.
GradBGreen: numeric	The amount of green (0-255) in the background color of a pattern.
GradBBlue: numeric	The amount of blue (0-255) in the background color of a pattern.
ForeTransparency: numeric	The foreground color transparency on (1) or off (0).
BackTransparency: numeric	Indicate whether the background color transparency is on (1) or off (0).
 Related topics


SetFontOutline

Syntax

SetFontOutline(TitleType As _SetFontOutline_TitleType_enum, [Width As Double], [Red As Integer], [Green As Integer], [Blue As Integer], [Outline As _SetFontOutline_Outline_enum])

Description

Specify font outline attributes for data chart text. To implement specified changes, follow with RealizeFontChanges().

Parameters

TitleType: enumeration	The data chart title type to modify. DataLabels Legend LegendTitle MiniTable OrgChart PieLabels PieTitles Subtitle TableCells Title Xaxis Xnames Y1Axis Y1Labels Y2Axis Y2Labels
Width: numeric (optional)	The outline width, in inches.
Red: numeric (optional)	The amount of red (0-255) in an outline color.
Green: numeric (optional)	The amount of green (0-255) in an outline color.
Blue: numeric (optional)	The amount of blue (0-255) in an outline color.
Outline: enumeration (optional)	The state of font outline. Off On
 Related topics


SetFontPattern

Syntax

SetFontPattern(BrushPattern As _SetFontPattern_BrushPattern_enum, Grad1Red As Integer, Grad1Green As Integer, Grad1Blue As Integer, Grad2Red As Integer, Grad2Green As Integer, Grad2Blue As Integer, PenBRed As Integer, PenBGreen As Integer, PenBBlue As Integer, PenFRed As Integer, PenFGreen As Integer, PenFBlue As Integer, PenHorzWidth As Integer, PenVertWidth As Integer, [eFlags As _SetFontPattern_eFlags_enum], [PenStyle As Integer], [PenPattern As Integer])

Description

Specify a fill pattern for a font. To implement specified changes, follow with RealizeFontChanges().

Parameters

BrushPattern: enumeration	The fill pattern. Arch Balls BigChecks BigCrosshatch BigSquares ChainLink Checks Crosses FishScale Gray12 Gray25 Gray50 HoneyComb HorzBricks HorzLines1 HorzLines2 Mesh Patio Plaid Solid Squares TiltBricks TiltLines1 TiltLines2 TiltLines3 TiltLines4 Triangles VertLines1 VertLines2 Waves Weave
Grad1Red: numeric	The amount of red (0-255) in the foreground pattern color.
Grad1Green: numeric	The amount of green (0-255) in the foreground pattern color.
Grad1Blue: numeric	The amount of blue (0-255) in a solid fill, the top color of a linear gradient, or the center color of a circular or rectangular gradient.
Grad2Red: numeric	The amount of red (0-255) in the background pattern color.
Grad2Green: numeric	The amount of green (0-255) in the background pattern color
Grad2Blue: numeric	The amount of blue (0-255) in a solid fill, the bottom color of a linear gradient, or the outer color of a circular or rectangular gradient.
PenBRed: numeric	The amount of red (0-255) in the background pen color.
PenBGreen: numeric	The amount of green (0-255) in the pen background color.
PenBBlue: numeric	The amount of blue (0-255) in the pen background color.
PenFRed: numeric	The amount of red (0-255) in the foreground outline color.
PenFGreen: numeric	The amount of green (0-255) in the foreground outline color.
PenFBlue: numeric	The amount of blue (0-255) in the pen foreground color.
PenHorzWidth: numeric	The horizontal outline width.
PenVertWidth: numeric	The vertical line width, in WordPerfect units (1200ths of an inch).
eFlags: enumeration (optional)	The state of fill and frame. Closed ClosedFilled Filled Framed FramedClosed FramedClosedFilled FramedFilled None
PenStyle: numeric (optional)	The pen style for lines.
PenPattern: numeric (optional)	The pen pattern for lines.
 Related topics


SetFrameOptions

Syntax

SetFrameOptions([Height As Integer], [Front As _SetFrameOptions_Front_enum], [Back As _SetFrameOptions_Back_enum], [Left As _SetFrameOptions_Left_enum], [Right As _SetFrameOptions_Right_enum], [Top As _SetFrameOptions_Top_enum], [Bottom As _SetFrameOptions_Bottom_enum]

Description

Specify chart base and frame options.

Parameters

Height: numeric (optional)	The base height of a chart. Values range from 0 to 100.
Front: enumeration (optional)	Display the front chart frame. Off On
Back: enumeration (optional)	Display the back chart frame. Off On
Left: enumeration (optional)	Display the left chart frame. Off On
Right: enumeration (optional)	Display the right chart frame. Off On
Top: enumeration (optional)	Display the top chart frame. Off On
Bottom: enumeration (optional)	Display the bottom chart frame. Off On
 Related topics


SetGradient

Syntax

 SetGradient(TitleType As _SetGradient_TitleType_enum, [GradType As _SetGradient_GradType_enum], [Grad1Red As Integer], [Grad1Green As Integer], [Grad1Blue As Integer], [Grad2Red As Integer], [Grad2Green As Integer], [Grad2Blue As Integer], [Steps As Integer], [Angle As Integer], [RefX As Integer], [RefY As Integer], [Flag As _SetGradient_Flag_enum], [FillOn As _SetGradient_FillOn_enum])

Description

Define a gradient fill for chart boxes or titles.

Parameters

TitleType: enumeration	The type of chart box or title. BoxDataLabels BoxLegend BoxOrgChart BoxPieLabels BoxPieTitles BoxSubtitle BoxTitle FontDataLabels FontLegend FontLegendTitle FontMiniTable FontOrgChart FontPieLabels FontPieTitles FontSubtitle FontTableCells FontTitle FontXAxis FontXNames FontY1Axis FontY1Labels FontY2Axis FontY2Labels Frame Series1 Series10 Series11 Series12 Series13 Series14 Series15 Series16 Series17 Series18 Series19 Series2 Series20 Series21 Series22 Series23 Series24 Series3 Series4 Series5 Series6 Series7 Series8 Series9 TextChart
GradType: enumeration (optional)	The gradient type. Circular Linear Rectangular
Grad1Red: numeric (optional)	The amount of red (0-255) in the top color of a linear gradient or the center color of a circular or rectangular gradient.
Grad1Green: numeric (optional)	The amount of green (0-255) in the top color of a linear gradient or the center color of a circular or rectangular gradient.
Grad1Blue: numeric (optional)	The amount of blue (0-255) in the top color of a linear gradient or the center color of a circular or rectangular gradient.
Grad2Red: numeric (optional)	The amount of red (0-255) in the bottom color of a linear gradient or the outer color of a circular or rectangular gradient.
Grad2Green: numeric (optional)	The amount of green (0-255) in the bottom color of a linear gradient, or the outer color of a circular or rectangular gradient.
Grad2Blue: numeric (optional)	The amount of blue (0-255) in the bottom color of a linear gradient, or the outer color of a circular or rectangular gradient.
Steps: numeric (optional)	The number of steps between colors in a gradient. A value of 0 represents the greatest possible number of steps.
Angle: numeric (optional)	Specify a rotation angle for a gradient. The top of the gradient is rotated counter-clockwise. For example, a 90-degree angle places the top of the gradient along the left margin of the page.
RefX: numeric (optional)	The horizontal center of a circular or rectangular gradient relative to the page. Flush left is 0, center is 50, and flush right is 100.
RefY: numeric (optional)	Specify the vertical center of a circular or rectangular gradient or the top of a linear gradient relative to the page. Top is 0, center is 50, and bottom is 100.
Flag: enumeration (optional)	Blend steps automatically. AutoBlendOff AutoBlendOn
FillOn: enumeration (optional)	The state of gradient fill. Off On
 Related topics


SetGridSnapOptions

Syntax

 SetGridSnapOptions([GridDisplay As _SetGridSnapOptions_GridDisplay_enum], [GridSnap As _SetGridSnapOptions_GridSnap_enum], [HorizSpacing As Integer], [VertSpacing As Integer], [Interval As Integer], [SnapZone As Integer])

Description

Set Grid/Snap options.

Parameters

GridDisplay: enumeration (optional)	Display the grid. No Yes
GridSnap: enumeration (optional)	Snap to grid. No Yes
HorizSpacing: measurement (optional)	The horizontal grid spacing, in WordPerfect units (1200ths of an inch).
VertSpacing: measurement (optional)	The vertical grid spacing, in WordPerfect units.
Interval: numeric (optional)	The point display interval.
SnapZone: measurement (optional)	The alignment guide snap zone, in WordPerfect units.
 Related topics


SetGridTickOptions

Syntax

SetGridTickOptions(Axis As _SetGridTickOptions_Axis_enum, [MajRed As Integer], [MajGreen As Integer], [MajBlue As Integer], [MinRed As Integer], [MinGreen As Integer], [MinBlue As Integer], [MajGrid As _SetGridTickOptions_MajGrid_enum], [MinGrid As _SetGridTickOptions_MinGrid_enum], [MajTick As _SetGridTickOptions_MajTick_enum], [MinTick As _SetGridTickOptions_MinTick_enum], [SeparateGrid As _SetGridTickOptions_SeparateGrid_enum])

Description

Specify grid and tick options for a data chart.

Parameters

Axis: enumeration	The axis to modify. X Y1 Y2
MajRed: numeric (optional)	The amount of red (0-255) in the major grid color.
MajGreen: numeric (optional)	The amount of green (0-255) in the major grid color.
MajBlue: numeric (optional)	The amount of blue (0-255) in the major grid color.
MinRed: numeric (optional)	The amount of red (0-255) in the minor grid color.
MinGreen: numeric (optional)	The amount of green (0-255) in the minor grid color.
MinBlue: numeric (optional)	The amount of blue (0-255) in the minor grid color.
MajGrid: enumeration (optional)	The appearance of the major grid. Dashed Dotted None Solid
MinGrid: enumeration (optional)	The appearance of the minor grid. Dashed Dotted None Solid
MajTick: enumeration (optional)	The appearance of the major ticks. Both In None Out
MinTick: enumeration (optional)	The appearance of the minor ticks. Both In None Out
SeparateGrid: enumeration (optional)	Use if a separate grid scale is used for each axis. Off On
 Related topics


SetHLOStyle

Syntax

SetHLOStyle(Style As _SetHLOStyle_Style_enum)

Description

Specify the style of a high/low chart.

Parameters

Style: enumeration	The high/low chart style. Area Bar Error Line


SetLabelOptions

Syntax

SetLabelOptions(LabelType As _SetLabelOptions_LabelType_enum, [Hide As _SetLabelOptions_Hide_enum], [Position As _SetLabelOptions_Position_enum], [Stagger As _SetLabelOptions_Stagger_enum], [DispTicks As _SetLabelOptions_DispTicks_enum], [Interval As Integer], [FirstAxis As _SetLabelOptions_FirstAxis_enum])

Description

Specify options for chart labels.

Parameters

LabelType: enumeration	The type of label. DataLabels TableCells Xnames Y1Labels Y2Labels
Hide: enumeration (optional)	Hide the labels. Off On
Position: enumeration (optional)	The position of data labels. Above Below
Stagger: enumeration (optional)	Stagger the X labels. Off On
DispTicks: enumeration (optional)	Display label ticks. Off On
Interval: numeric (optional)	The interval between X labels.
FirstAxis: enumeration (optional)	Display Y-axis labels on the first axis or on all axes on a radar chart. The Hide parameter overrides this parameter. AllAxes FirstAxis
 Related topics


SetLayoutSizes

Syntax

SetLayoutSizes([Width As Integer], [Depth As Integer], [Height As Integer], [Overlap As Integer])

Description

Specify layout sizes for charts.

Parameters

Width: numeric (optional)	The bar width. Value (0-100).
Depth: numeric (optional)	The bar thickness. Value (0-100).
Height: numeric (optional)	The line height. Value (0-100).
Overlap: numeric (optional)	The amount of overlap. Value (0-100).


SetLayoutTitle

Syntax

SetLayoutTitle(Title As String)

Description

Specify a title for the current layout.

Parameters

Title: string	The layout title.
 Related topics


SetLegendOptions

Syntax

 SetLegendOptions([Display As _SetLegendOptions_Display_enum], [Vertical As _SetLegendOptions_Vertical_enum], [Inside As _SetLegendOptions_Inside_enum], [Position As _SetLegendOptions_Position_enum])

Description

Specify legend options for a data chart.

Parameters

Display: enumeration (optional)	Display a legend. Off On
Vertical: enumeration (optional)	The vertical legend display. Off On
Inside: enumeration (optional)	Display a legend inside a chart. Off On
Position: enumeration (optional)	The legend position. BottomCenter BottomLeft BottomRight MiddleLeft MiddleRight TopCenter TopLeft TopRight
 Related topics


SetLevelFont

Syntax

SetLevelFont(ChartLevel As Integer, [FontName As String], [PointSize As Integer], [Bold As _SetLevelFont_Bold_enum], [Italic As _SetLevelFont_Italic_enum], [Underline As _SetLevelFont_Underline_enum], [FontType As _SetLevelFont_FontType_enum], [Weight As Integer], [Attributes As Integer], [PtSz3600 As Long])

Description

Specify a font for a bullet chart level.

Parameters

ChartLevel: numeric	The bulleted list level to modify.
FontName: string (optional)	The font name and style.
PointSize: numeric (optional)	The font point size.
Bold: enumeration (optional)	Off On
Italic: enumeration (optional)	Off On
Underline: enumeration (optional)	Off On
FontType: enumeration (optional)	The font type. ATM TT
Weight: numeric (optional)	The relative weight of the font (heavy, condensed, light, and so on).
Attributes: numeric (optional)	The font attributes for the currently selected level (bold, italic, underline, and so on).
PtSz3600: numeric (optional)


SetLevelGradient

Syntax

SetLevelGradient(ChartLevel As Integer, GradientType As _SetLevelGradient_GradientType_enum, GradFlag As Integer, GradAngle As Long, GradRefX As Integer, GradRefY As Integer, GradSteps As Integer, Grad1Red As Integer, Grad1Green As Integer, Grad1Blue As Integer, Grad2Red As Integer, Grad2Green As Integer, Grad2Blue As Integer, GradBRed As Integer, GradBGreen As Integer, GradBBlue As Integer, ForeTransparency As Integer, BackTransparency As Integer)

Description

Specify a gradient text fill for a bullet chart level.

Parameters

ChartLevel: numeric	The bulleted list level to modify.
GradientType: enumeration	The linear, circular, or rectangular gradient. ConcenCircles ConcenEllipses ConcenRects ConcenSquares ConverCircles ConverEllipses ConverRects ConverSquares Linear None Polygonal
GradFlag: numeric	Specify the granularity and anchor to page.
GradAngle: numeric	The rotation angle for a gradient fill. The top of the gradient is rotated counter-clockwise. For example, a 90-degree angle places the top of the gradient parallel to the left margin of the page.
GradRefX: numeric	The horizontal center of a circular or rectangular gradient relative to the page. Flush left is 0, center is 50, and flush right is 100.
GradRefY: numeric	The vertical center of a circular or rectangular gradient or the top of a linear gradient relative to the page. Top is 0, center is 50, and bottom is 100.
GradSteps: numeric	The number of steps between colors in a gradient fill. A value of 0 represents the greatest possible number of steps.
Grad1Red: numeric	The amount of red (0-255) in the top color of a linear gradient or the center color of a circular or rectangular gradient.
Grad1Green: numeric	The amount of green (0-255) in the top color of a linear gradient or the center color of a circular or rectangular gradient.
Grad1Blue: numeric	The amount of blue (0-255) in the top color of a linear gradient, or the center color of a circular or rectangular gradient.
Grad2Red: numeric	The amount of red (0-255) in the bottom color of a linear gradient or the outer color of a circular or rectangular gradient.
Grad2Green: numeric	The amount of green (0-255) in the bottom color of a linear gradient or the outer color of a circular or rectangular gradient.
Grad2Blue: numeric	The amount of blue (0-255) in the bottom color of a linear gradient or the outer color of a circular or rectangular gradient.
GradBRed: numeric	The amount of red (0-255) in the background gradient color.
GradBGreen: numeric	The amount of green (0-255) in the background gradient color.
GradBBlue: numeric	The amount of blue (0-255) in the background gradient color.
ForeTransparency: numeric	The foreground color transparency, with 0 specifying opaque and 255 specifying transparent.
BackTransparency: numeric	The background color transparency, with 0 specifying opaque and 255 specifying transparent.


SetLevelPattern

Syntax

 SetLevelPattern(ChartLevel As Integer, BrushPattern As _SetLevelPattern_BrushPattern_enum, Grad1Red As Integer, Grad1Green As Integer, Grad1Blue As Integer, Grad2Red As Integer, Grad2Green As Integer, Grad2Blue As Integer, PenBRed As Integer, PenBGreen As Integer, PenBBlue As Integer, PenFRed As Integer, PenFGreen As Integer, PenFBlue As Integer, PenHorzWidth As Integer, PenVertWidth As Integer, [eFlags As _SetLevelPattern_eFlags_enum], [PenStyle As Integer])

Description

Specify a text fill pattern for a bullet chart level.

Parameters

ChartLevel: numeric	The bulleted list level to modify.
BrushPattern: enumeration	The fill pattern. Arch Balls BigChecks BigCrosshatch BigSquares ChainLink Checks Crosses FishScale Gray12 Gray25 Gray50 HoneyComb HorzBricks HorzLines1 HorzLines2 Mesh Patio Plaid Solid Squares TiltBricks TiltLines1 TiltLines2 TiltLines3 TiltLines4 Triangles VertLines1 VertLines2 Waves Weave
Grad1Red: numeric	The amount of red (0-255) in a solid fill, the top color of a linear gradient, or the center color of a circular or rectangular gradient.
Grad1Green: numeric	The amount of green (0-255) in a solid fill, the top color of a linear gradient, or the center color of a circular or rectangular gradient.
Grad1Blue: numeric	The amount of blue (0-255) in a solid fill, the top color of a linear gradient, or the center color of a circular or rectangular gradient.
Grad2Red: numeric	The amount of red (0-255) in the bottom color of a linear gradient, or the outer color of a circular or rectangular gradient.
Grad2Green: numeric	The amount of green (0-255) in the bottom color of a linear gradient, or the outer color of a circular or rectangular gradient.
Grad2Blue: numeric	The amount of blue (0-255) in the bottom color of a linear gradient, or the outer color of a circular or rectangular gradient.
PenBRed: numeric	The amount of red (0-255) in the background pen color.
PenBGreen: numeric	The amount of green (0-255) in the pen background color.
PenBBlue: numeric	The amount of blue (0-255) in the pen background color.
PenFRed: numeric	The amount of red (0-255) in the foreground pen color.
PenFGreen: numeric	The amount of green (0-255) in the pen foreground color.
PenFBlue: numeric	The amount of blue (0-255) in the pen foreground color.
PenHorzWidth: numeric	The horizontal outline width.
PenVertWidth: numeric	The vertical line width, in WordPerfect units.
eFlags: enumeration (optional)	The state of fill and frame. Closed ClosedFilled Filled Framed FramedClosed FramedClosedFilled FramedFilled None
PenStyle: numeric (optional)	The pen style for lines.


SetLineAttributes

Syntax

SetLineAttributes(AttrType As _SetLineAttributes_AttrType_enum, [LineOn As _SetLineAttributes_LineOn_enum], [Width As Double], [LineJoin As _SetLineAttributes_LineJoin_enum], [LineEnd1 As _SetLineAttributes_LineEnd1_enum], [LineEnd2 As _SetLineAttributes_LineEnd2_enum], [PenPattern As _SetLineAttributes_PenPattern_enum], [PenStyle As _SetLineAttributes_PenStyle_enum], [ForeRed As Integer], [ForeGreen As Integer], [ForeBlue As Integer], [BackRed As Integer], [BackGreen As Integer], [BackBlue As Integer]

Description

Specify line attributes in charts.

Parameters

AttrType: enumeration	The line type to modify. Frame Series1 Series10 Series11 Series12 Series13 Series14 Series15 Series16 Series17 Series18 Series19 Series2 Series20 Series21 Series22 Series23 Series24 Series3 Series4 Series5 Series6 Series7 Series8 Series9
LineOn: enumeration (optional)	The chart frame display. Off! On!
Width: numeric (optional)	The line width, in inches.
LineJoin: enumeration (optional)	The line joints. Bevel Miter None Round
LineEnd1: enumeration (optional)	The end type for the beginning of a line. Arrow Flat Round Square
LineEnd2: enumeration (optional)	The end type for the end of a line. Arrow Flat Round Square
PenPattern: enumeration (optional)	The penpattern used when drawing lines. Arch Balls BigChecks BigCrosshatch BigSquares ChainLink Checks Crosses Crosshatch Fishscale Gray12 Gray25 Gray50 Honeycomb HorzBricks HorzLines1 HorzLines2 Mesh Patio Plaid Solid Squares TiltBricks TiltLines1 TiltLines2 TiltLines3 TiltLines4 Triangles VertLines1 VertLines2 Waves Weave
PenStyle: enumeration (optional)	The pen style used when drawing lines. Alternate Dash DashDot DashTwoDot Dots LongDash LongShort LongTwoShort ShortDash Solid TinyDash TwoDashDot TwoDashTwoDot TwoDotsDash TwoLongShort TwoLongTwoShort
ForeRed: numeric (optional)	The amount of red (0-255) in the line foreground color.
ForeGreen: numeric (optional)	The amount of green (0-255) in the line foreground color.
ForeBlue: numeric (optional)	The amount of blue (0-255) in the line foreground color.
BackRed: numeric (optional)	The amount of red (0-255) in the line background color.
BackGreen: numeric (optional)	The amount of green (0-255) in the line background color.
BackBlue: numeric (optional)	The amount of blue (0-255) in the line background color.
 Related topics


SetLineSpacing

Syntax

SetLineSpacing(Spacing As Double)

Description

Set the amount of space between lines of text.

Parameters

Spacing: numeric	The spacing between lines of text.
 Related topics


SetObjectTransition

Syntax

SetObjectTransition(Effect As _SetObjectTransition_Effect_enum, Direction As _SetObjectTransition_Direction_enum, Speed As _SetObjectTransition_Speed_enum, [DisplaySequence As Long])

Description

Set object transition and animation options.

Parameters

Effect: enumeration	The transition or animation type. AnimateBounceIn AnimateCurveIn AnimateFlyIn AnimateFlyInAndBounce AnimateFlyInFromCorner AnimateFlyInFromCornerAndBounce Blinds Blocks Circles CirclesRandom CircuitBoard Clock Close Diamonds DiamondsRandom DiamondsSmall Dissolve Explode Fade Focus FocusDissolve FourPointStars HappyFaces Hatch Lines Mosaic MosaicDissolve MosaicWave NoEffect Normal Octagon Open PhotoLens Polygons PushAway Puzzle Raindrops Rectangles RollIn RollOut SkipLines SlideAway SlideIn SlideToCorner Sparkles Spiral SpiralAway StackBlocks Starburst Stars Stretch StretchClose StretchFromCenter StretchFromCorner StretchOpen Sweep SweepLines Triangles Wave Weave
Direction: enumeration	The transition or animation direction. Clockwise CounterClockwise Down Horizontal Left LeftAndDown LeftAndUp NoDirection Right RightAndUp Up Vertical
Speed: enumeration	The transition or animation speed. Fast Medium Slow
DisplaySequence: numeric (optional)	The order in which objects transition.


SetOrgAlignment

Syntax

 SetOrgAlignment([Alignment As Integer], [NumberOfColumns As Integer])

Description

Specify how boxes in an organization chart are aligned.

Parameters

Alignment: numeric (optional)	The branch structure for the organization chart.
NumberOfColumns: numeric (optional)	The number of columns in a multiple-column organization chart.
 Related topics


SetOrgChartBox

Syntax

 SetOrgChartBox([WidthSize As _SetOrgChartBox_WidthSize_enum], [HeightSize As _SetOrgChartBox_HeightSize_enum], [TextJust As _SetOrgChartBox_TextJust_enum], [BoxDisplay As _SetOrgChartBox_BoxDisplay_enum])

Description

Specify box options for organization charts.

Parameters

WidthSize: enumeration (optional)	The box width. FitToText Large2Small SameSize
HeightSize: enumeration (optional)	The box height. FitToText Large2Small SameSize
TextJust: enumeration (optional)	The text justification within boxes. Center Left Right
BoxDisplay: enumeration (optional)	The level of boxes to display. AllBox NoBox TMBox TopBox
 Related topics


SetOrgChartLayout

Syntax

SetOrgChartLayout([FirstPlacement As _SetOrgChartLayout_FirstPlacement_enum], [MiddlePlacement As _SetOrgChartLayout_MiddlePlacement_enum], [LastPlacement As _SetOrgChartLayout_LastPlacement_enum], [NumberOfLevels As Integer], [Orientation As _SetOrgChartLayout_Orientation_enum])

Description

Specify layout options for organization charts.

Parameters

FirstPlacement: enumeration (optional)	The placement of first-level items. DoubleColumn DoubleRow LeftColumn RightColumn SingleRow
MiddlePlacement: enumeration (optional)	The placement of middle items. DoubleColumn DoubleRow LeftColumn RightColumn SingleRow
LastPlacement: enumeration (optional)	The placement of last-level items. DoubleColumn DoubleRow LeftColumn RightColumn SingleRow
NumberOfLevels: numeric (optional)	The number of levels to display.
Orientation: enumeration (optional)	The orientation of the organization chart. Bottom2Top Left2Right Right2Left Top2Bottom
 Related topics


SetOrgChartTop

Syntax

SetOrgChartTop()

Description

Move the organization chart entry containing the insertion point to the top of the chart.

 Related topics


SetOrgOrientation

Syntax

SetOrgOrientation([Orientation As _SetOrgOrientation_Orientation_enum])

Description

Specify the orientation of an organization chart.

Parameters

Orientation: enumeration (optional)	The orientation for the selected branch. Bottom2Top Left2Right Right2Left Top2Bottom
 Related topics


SetPaintMarquee

Syntax

SetPaintMarquee([X1 As Integer], [Y1 As Integer], [X2 As Integer], [Y2 As Integer])

Description

Select a portion of a bitmap area. If no parameters are specified, the whole bitmap area is selected.

Parameters

X1: numeric (optional)	The horizontal coordinate of the pixel in the upper left corner of the selected area. Coordinates are numbered from the upper left pixel of the bitmap area, pixel 0,0.
Y1: numeric (optional)	The lower-left vertical coordinate of the selected area.
X2: numeric (optional)	The upper-right horizontal coordinate of the selected area.
Y2: numeric (optional)	The upper-right vertical coordinate of the selected area.


SetPaletteColor

Syntax

SetPaletteColor(Index As Integer, Red As Integer, Green As Integer, Blue As Integer)

Description

Create a color on a color palette.

Parameters

Index: numeric	The index number of the color on the palette.
Red: numeric	The amount of red (0-255) in a color.
Green: numeric	The amount of green (0-255) in a color.
Blue: numeric	The blue value (0-255).
 Related topics


SetPattern

Syntax

SetPattern(TitleType As _SetPattern_TitleType_enum, [BrushPattern As _SetPattern_BrushPattern_enum], [ForeRed As Integer], [ForeGreen As Integer], [ForeBlue As Integer], [BackRed As Integer], [BackGreen As Integer], [BackBlue As Integer], [Transparency As _SetPattern_Transparency_enum], [FillOn As _SetPattern_FillOn_enum])

Description

Specify fill colors and patterns for parts of a chart.

Parameters

TitleType: enumeration	The type of title. BoxDataLabels BoxLegend BoxOrgChart BoxPieLabels BoxPieTitles BoxSubtitle BoxTitle FontDataLabels FontLegend FontLegendTitle FontMiniTable FontOrgChart FontPieLabels FontPieTitles FontSubtitle FontTableCells FontTitle FontXAxis FontXNames FontY1Axis FontY1Labels FontY2Axis FontY2Labels Frame Series1 Series10 Series11 Series12 Series13 Series14 Series15 Series16 Series17 Series18 Series19 Series2 Series20 Series21 Series22 Series23 Series24 Series3 Series4 Series5 Series6 Series7 Series8 Series9 TextChart
BrushPattern: enumeration (optional)	The fill pattern. Arch Balls BigChecks BigCrosshatch BigSquares Chainlink Checks Crosses Crosshatch Fishscale Gray12 Gray25 Gray50 Honeycomb HorzBricks HorzLines1 HorzLines2 Mesh Patio Plaid Solid Squares TiltBricks TiltLines1 TiltLines2 TiltLines3 TiltLines4 Triangles VertLines1 VertLines2 Waves Weave
ForeRed: numeric (optional)	The amount of red (0-255) in the foreground fill color.
ForeGreen: numeric (optional)	The amount of green (0-255) in the foreground fill color.
ForeBlue: numeric (optional)	The amount of blue (0-255) in the foreground fill color.
BackRed: numeric (optional)	The amount of red (0-255) in the background fill color.
BackGreen: numeric (optional)	The amount of green (0-255) in the background fill color.
BackBlue: numeric (optional)	The amount of blue (0-255) in the background fill color.
Transparency: enumeration (optional)	The transparency of a foreground or background color. Background Foreground None
FillOn: enumeration (optional)	The state of pattern fill. Off On
 Related topics


SetPerspectiveOptions

Syntax

 SetPerspectiveOptions([RightAngle As _SetPerspectiveOptions_RightAngle_enum], [Horizontal As Integer], [Vertical As Integer])

Description

Specify perspective options for chart display.

Parameters

RightAngle: enumeration (optional)	Constrain chart axes to right angles. Off On
Horizontal: numeric (optional)	The angle from which the X axis is viewed. Values range from 0 to 100 for right angle axes, and from 0 to 90 for other axes.
Vertical: numeric (optional)	The angle from which the Y axis is viewed. Values range from 0 to 100 for right angle axes, and from 0 to 90 for other axes.


SetPieLabelOptions

Syntax

SetPieLabelOptions([Value As _SetPieLabelOptions_Value_enum], [Percentage As _SetPieLabelOptions_Percentage_enum], [Label As _SetPieLabelOptions_Label_enum], [Pointer As _SetPieLabelOptions_Pointer_enum], [Stacked As _SetPieLabelOptions_Stacked_enum], [Digits As Integer])

Description

Specify label options for pie charts.

Parameters

Value: enumeration (optional)	The value label display in relation to the chart. In None Out
Percentage: enumeration (optional)	The percentage label display in relation to the chart. In None Out
Label: enumeration (optional)	The data label display in relation to the chart. In None Out
Pointer: enumeration (optional)	The pointer length. Long Medium None Short
Stacked: enumeration (optional)	Stack labels. Off On
Digits: numeric (optional)	The number of digits when values are displayed as percentages.
 Related topics


SetPieStyle

Syntax

SetPieStyle(PieNum As Integer, [Angle As Integer], [Tilt As Integer], [Depth As Integer], [Size As Integer], [LinkSlice As Integer], [Column As _SetPieStyle_Column_enum], [Linked As _SetPieStyle_Linked_enum], [Sort As _SetPieStyle_Sort_enum])

Description

Specify pie chart layout options.

Parameters

PieNum: numeric	The pie number.
Angle: numeric (optional)	The rotation angle of a pie. Values range from 0 to 359.
Tilt: numeric (optional)	The tilt angle of a pie.
Depth: numeric (optional)	The thickness of a 3-D pie. Values range from 0 to 100.
Size: numeric (optional)	The size of a pie. Values range from 0 to 100.
LinkSlice: numeric (optional)	In a two-pie chart, specify a slice of one pie to link to the entire second pie.
Column: enumeration (optional)	Display a pie as a stacked bar. Off On
Linked: enumeration (optional)	Link a pie. Off On
Sort: enumeration (optional)	Arrange the pie slices by size. Off On
 Related topics


SetProportionalPies

Syntax

 SetProportionalPies(Flag As _SetProportionalPies_flag_enum)

Description

Turn the proportional pies option on or off when editing a pie chart.

Parameters

Flag: enumeration	Toggle proportional pies. Off On
 Related topics


SetRadarView

Syntax

 SetRadarView([RadialGrid As _SetRadarView_RadialGrid_enum], [RadarLine As _SetRadarView_RadarLine_enum])

Description

Specify layout options for radar charts.

Parameters

RadialGrid: enumeration (optional)	The radar grid is radial, rather than linear. Off On
RadarLine: enumeration (optional)	The radar chart is displayed as lines, rather than areas. Off On


SetRangeHighlight

Syntax

 SetRangeHighlight(HighlightOn As _SetRangeHighlight_HighlightOn_enum, ColorToSet As _SetRangeHighlight_ColorToSet_enum, Red As Integer, Green As Integer, Blue As Integer)

Description

Specify the spreadsheet range highlight colors.

Parameters

HighlightOn: enumeration	Indicate whether highlight is on or off. False True
ColorToSet: enumeration	Determine which highlight color to set. Close Data High Labels Legend Low Open PieData PieLabels PieTitles ScatterData
Red: numeric	The amount of red (0-255) in a color.
Green: numeric	The amount of green (0-255) in a color.
Blue: numeric	The amount of blue in a color (0-255).


SetSeriesOptions

Syntax

SetSeriesOptions(SeriesNum As Integer, [ItemType As _SetSeriesOptions_ItemType_enum], [BarStyle As _SetSeriesOptions_BarStyle_enum], [MarkerType As _SetSeriesOptions_MarkerType_enum], [MarkerSize As Integer], [LineWidth As Integer], [LineStyle As _SetSeriesOptions_LineStyle_enum], [LineRed As Integer], [LineGreen As Integer], [LineBlue As Integer], [AxisType As _SetSeriesOptions_AxisType_enum], [Radar As _SetSeriesOptions_Radar_enum], [ScatterLine As _SetSeriesOptions_ScatterLine_enum], [ScatterMarker As _SetSeriesOptions_ScatterMarker_enum], [LinLines As _SetSeriesOptions_LinLines_enum], [LinMarkers As _SetSeriesOptions_LinMarkers_enum])

Description

Specify options for a chart series.

Parameters

SeriesNum: numeric	The series to modify. Values range from 1 to 24.
ItemType: enumeration (optional)	The series type. Valid only for bar, area, line, or mixed charts. Area Bar Line
BarStyle: enumeration (optional)	The shape of a bar series. Conical Cylinder Diamond Hexagon Octagon Pentagon Pyramid Pyramid3 Rectangle
MarkerType: enumeration (optional)	The shape of a marker. Asterisk Box Circle Cross Diamond Star5 Star6 Sun Triangle Wedge X
MarkerSize: numeric (optional)	Used when the ScatterMarker, LinMarker, or Radar parameter value On!. Values range from 1 to 10.
LineWidth: numeric (optional)	The line width in the current unit of measure.
LineStyle: enumeration (optional)	The style for series lines. Alternate Dash DashDot DashTwoDot Dots LongDash LongShort LongTwoShort ShortDash Solid TinyDash TwoDashDot TwoDashTwoDot TwoDotsDash TwoLongShort TwoLongTwoShort
LineRed: numeric (optional)	The amount of red (0-255) in a line color.
LineGreen: numeric (optional)	The amount of green (0-255) in a line color.
LineBlue: numeric (optional)	The amount of blue (0-255) in a line color.
AxisType: enumeration (optional)	Specify which axis a series is on. Valid only for charts with a Y1 axis (left) and a Y2 axis (right). Left Right
Radar: enumeration (optional)	Display the radar markers. Off On
ScatterLine: enumeration (optional)	Display a series as a line. Valid only for scatter charts. Off On
ScatterMarker: enumeration (optional)	Display a series as markers. Off On
LinLines: enumeration (optional)	Display a series as a line. Valid only for line, bar, area, or mixed charts. Off On
LinMarkers: enumeration (optional)	Display a series as markers. Valid only for line, bar, area, or mixed charts. Off On
 Related topics


SetSlideLinkFile

Syntax

SetSlideLinkFile(GalleryName As String, SlideNumber As Integer, Filename As String)

Description

Link a slide show file to a gallery or .MST file.

Parameters

GalleryName: string	The gallery or .MST to edit.
SlideNumber: numeric	The number of the slide.
Filename: string	The slide show file to link.


SetSlideNotes

Syntax

SetSlideNotes(Notes As String)

Description

Create speaker notes for the current slide.

Parameters

Notes: string	The speaker notes for the current slide.


SetSlideOptions

Syntax

SetSlideOptions(TransitionType As _SetSlideOptions_TransitionType_enum, Direction As _SetSlideOptions_Direction_enum, Size As _SetSlideOptions_Size_enum, Overlay As _SetSlideOptions_Overlay_enum, CascadeBullets As _SetSlideOptions_CascadeBullets_enum, TransitionBullets As _SetSlideOptions_TransitionBullets_enum, ManualDelay As _SetSlideOptions_ManualDelay_enum, DelayTime As Integer, SkipCurrent As _SetSlideOptions_SkipCurrent_enum)

Description

Specify transition options for the current slide. Use SlideGetNext or SlideGetLast to specify a slide other than the current slide.

Parameters

TransitionType: enumeration	The type of transition between slides. Blinds Box Close Diagonal Jigsaw Normal Open Overwrite Snake Spot Wipe
Direction: enumeration	The direction for the transition action. Down Horizontal In Left LeftDown LeftUp None Out Right RightDown RightUp Up Vertical
Size: enumeration	The pattern size for the Spots or Jigsaw transitions. For other transition types, the value of this parameter is 255. Fine Large Medium None Small Xlarge
Overlay: enumeration	Indicate whether the Overlay option is active. No Yes
CascadeBullets: enumeration	Cascade bullets option is active. No Yes
TransitionBullets: enumeration	Transition Bullets Only option is active. No Yes
ManualDelay: enumeration	Advance slides manually. No Yes
DelayTime: numeric	The number of seconds before the next slide appears when the timed advance option is active.
SkipCurrent: enumeration	Skip the current slide when the show plays. No Yes
 Related topics


SetSlideOverride

Syntax

SetSlideOverride(OverrideTransition As _SetSlideOverride_OverrideTransition_enum, TransitionType As _SetSlideOverride_TransitionType_enum, Direction As _SetSlideOverride_Direction_enum, Size As _SetSlideOverride_Size_enum, CascadeBullets As _SetSlideOverride_CascadeBullets_enum, TransitionBullets As _SetSlideOverride_TransitionBullets_enum, OverrideAdvance As _SetSlideOverride_OverrideAdvance_enum, ManualDelay As _SetSlideOverride_ManualDelay_enum, DelayTime As Integer)

Description

Specify slide show override options.

Parameters

OverrideTransition: enumeration	Override slide transitions. No Yes
TransitionType: enumeration	The transition type. Blinds Box Close Diagonal Jigsaw Normal Open Overwrite Snake Spot Wipe
Direction: enumeration	The transition direction. Down Horizontal In Left LeftDown LeftUp None Out Right RightDown RightUp Up Vertical
Size: enumeration	The pattern size for the Spots or Jigsaw transitions. Fine Large Medium None Small Xlarge
CascadeBullets: enumeration	Cascade bullets option is active. No Yes
TransitionBullets: enumeration	Transition bullets option is active. No Yes
OverrideAdvance: enumeration	No Yes
ManualDelay: enumeration	Advance slides manually. No Yes
DelayTime: numeric	The number of seconds before the next slide appears when the timed advance option is active.
 Related topics


SetSlideSound

Syntax

SetSlideSound(MidiFilename As String, MidiOnDisk As _SetSlideSound_MidiOnDisk_enum, MidiLoop As _SetSlideSound_MidiLoop_enum, MidiMT32 As _SetSlideSound_MidiMT32_enum, MIDIVolume As Integer, DigiFilename As String, DigiOnDisk As _SetSlideSound_DigiOnDisk_enum, DiigiLoop As _SetSlideSound_DigiLoop_enum, DigiVolume As Integer, CDTrackName As String, CDLoop As _SetSlideSound_CDLoop_enum, CDVolume As Integer, CDBeginTrack As Long, CDBeginMinute As Long, CDBeginSecond As Long, CDBeginFrame As Long, CDEndTrack As Long, CDEndMinute As Long, CDEndSecond As Long, CDEndFrame As Long, [ApplyToAll As _SetSlideSound_ApplyToAll_enum])

Description

Specify sound options for each slide.

Parameters

MidiFilename: string	The MIDI filename.
MidiOnDisk: enumeration	Store the current MIDI file on disk, rather than in the slide show file. No Yes
MidiLoop: enumeration	Play the current MIDI file continuously during a slide show until another file begins. No Yes
MidiMT32: enumeration	Ensure consistency among MIDI files written according to the MT32 standard. No Yes
MidiVolume: numeric	The MIDI volume.
DigiFilename: string	The WAV filename.
DigiOnDisk: enumeration	Indicate whether the WAV file is on disk. No Yes
DigiLoop: enumeration	Loop the WAV. No Yes
DigiVolume: numeric	The WAV volume.
CDTrackName: string	The CD track name.
CDLoop: enumeration	The loop CD track. No Yes
CDVolume: numeric	The CD volume.
CDBeginTrack: numeric	Where to begin the CD track.
CDBeginMinute: numeric	Where to begin the CD track.
CDBeginSecond: numeric	Where to begin the CD track.
CDBeginFrame: numeric	Where to begin the CD track.
CDEndTrack: numeric	Where to end the CD track.
CDEndMinute: numeric	Where to end the CD track.
CDEndSecond: numeric	Where to end the CD track.
CDEndFrame: numeric	Where to end the CD track.
ApplyToAll: enumeration (optional)	No Yes
 Related topics


SetSlideTransition

Syntax

SetSlideTransition([SkipSlide As _SetSlideTransition_SkipSlide_enum], [Effect As _SetSlideTransition_Effect_enum], [Direction As _SetSlideTransition_Direction_enum], [Speed As _SetSlideTransition_Speed_enum], [ApplyEffectToAll As _SetSlideTransition_ApplyEffectToAll_enum], [IsManualDelay As _SetSlideTransition_IsManualDelay_enum], [Delay As Integer], [ApplyAdvanceToAll As _SetSlideTransition_ApplyAdvanceToAll_enum], [AnimateWaitForAdvance As _SetSlideTransition_AnimateWaitForAdvance_enum], [AnimateOneAtATime As _SetSlideTransition_AnimateOneAtATime_enum], [AnimateAfterBullets As _SetSlideTransition_AnimateAfterBullets_enum])

Description

Specify transition options for the current slide.

Parameters

SkipSlide: enumeration	Skip playing the current slide. DontChange No Yes
Effect: enumeration	The transition effect. Blinds Blocks Circles CirclesRandom CircuitBoard Clock Close Diamonds DiamondsRandom DiamondsSmall Dissolve Explode Fade Focus FocusDissolve FourPointStars HappyFaces Hatch Lines Mosaic MosaicDissolve MosaicWave Normal NotSpecified Octagons Open PhotoLens Polygons PushAway Puzzle Raindrops Rectangles RollIn RollOut SkipLines SlideAway SlideIn SlideToCorner Sparkles Spiral SpiralAway StackBlocks Starburst Stars Stretch StretchClose StretchFromCenter StretchOpen Sweep SweepLines Triangles Wave Weave
Direction: enumeration	The transition direction. Clockwise CounterClockwise Down Horizontal Left LeftAndDown LeftAndUp NoDirection NotSpecified Right RightAndDown RightAndUp Up Vertical
Speed: enumeration	The transition speed. Fast Medium NotSpecified Slow
ApplyEffectToAll: enumeration	Apply the specified effect to all slides in the current slide show. No Yes
IsManualDelay: enumeration	Slide advance is manual. No Yes
Delay: numeric	The number of seconds of delay before the slide advances.
ApplyAdvanceToAll: enumeration	Apply the specified advance options to all slides in the current slide show. No Yes
AnimateWaitForAdvance: enumeration	Animate at advance, not before. No Yes
AnimateOneAtATime: enumeration	Animate bullets one at a time. No Yes
AnimateAfterBullets: enumeration	Animate an object after a bulleted list display. No Yes


SetSlideTransitionDirectionOnly

Syntax

SetSlideTransitionDirectionOnly(Direction As _SetSlideTransitionDirectionOnly_Direction_enum)

Description

Set the direction of the slide transition.

Parameters

Direction: enumeration	The direction in which the transition moves. Clockwise CounterClockwise Down Horizontal Left LeftAndDown LeftAndUp NoDirection Right RightAndDown RightAndUp Up Vertical


SetSlideTransitionOnly

Syntax

 SetSlideTransitionOnly(Effect As _SetSlideTransitionOnly_Effect_enum)

Description

Set the slide transition type.

Parameters

Effect: enumeration	The transition to use for a slide. Blinds Blocks Circles CirclesRandom CircuitBoard Clock Close Diamonds DiamondsRandom DiamondsSmall Dissolve Explode Fade Focus FocusDissolve FourPointStars HappyFaces Hatch Lines Mosaic MosaicDissolve MosaicWave Normal NotSpecified Octagons Open PhotoLens Polygons PushAway Puzzle Raindrops Rectangles RollIn RollOut SkipLines SlideAway SlideIn SlideToCorner Sparkles Spiral SpiralAway StackBlocks Starburst Stars Stretch StretchClose StretchFromCenter StretchFromCorner StretchOpen Sweep SweepLines Triangles Wave Weave


SetSlideTransitionSpeedOnly

Syntax

 SetSlideTransitionSpeedOnly(Speed As _SetSlideTransitionSpeedOnly_Speed_enum)

Description

Set the speed of the transition between slides.

Parameters

Speed: enumeration	The speed of the transition. Fast Normal NotSpecified Slow


SetTableBlend

Syntax

SetTableBlend()

Description

Blend a range of colors in the current table.


SetTableSurfaceColor

Syntax

 SetTableSurfaceColor(ColorType As _SetTableSurfaceColor_ColorType_enum, Red As Integer, Green As Integer, Blue As Integer)

Description

Specify table and surface colors.

Parameters

ColorType: enumeration	The table or surface color to change. ColorTable1 ColorTable10 ColorTable2 ColorTable3 ColorTable4 ColorTable5 ColorTable6 ColorTable7 ColorTable8 ColorTable9 GridFillColor GridLineColor SurfaceOutlineColor
Red: numeric	The amount of red (0-255) in a color.
Green: numeric	The amount of green (0-255) in a color.
Blue: numeric	The amount of blue (0-255) in a color.


SetTableSurfaceOptions

Syntax

SetTableSurfaceOptions([SingleGrid As _SetTableSurfaceOptions_SingleGrid_enum], [FullGrid As _SetTableSurfaceOptions_FullGrid_enum], [TableColor As _SetTableSurfaceOptions_TableColor_enum], [OutlinePatch As _SetTableSurfaceOptions_OutlinePatch_enum])

Description

Specify table layout options.

Parameters

SingleGrid: enumeration (optional)	Display a single grid. Off On
FullGrid: enumeration (optional)	Display a full grid. Off On
TableColor: enumeration (optional)	Display the table colors. Off On
OutlinePatch: enumeration (optional)	Display the surface outlines. Off On


SetTemplateAll

Syntax

SetTemplateAll(Template As String, [Background As String])

Description

Specify a template for all slides in a slide show.

Parameters

Template: string	The template name.
Background: string (optional)	The background name. Overrides the default background.
 Related topics


SetTemplateCurrent

Syntax

SetTemplateCurrent([Layout As String], [Background As String])

Description

Specify a template for the current slide.

Parameters

Template: string	The template name.
Background: string (optional)	The background name. Overrides the default background.
 Related topics


SetTextChartBox

Syntax

SetTextChartBox([ShowBox As _SetTextChartBox_ShowBox_enum], [BoxPosition As _SetTextChartBox_BoxPosition_enum])

Description

Specify box options for bullet charts.

Parameters

ShowBox: enumeration (optional)	The box types to display. All Body None Title
BoxPosition: enumeration (optional)	The box position in relation to chart text. Above AboveBelow Behind Below


SetTextFillAttributes

Syntax

SetTextFillAttributes(Style As _SetTextFillAttributes_Style_enum, [FColorRed As Integer], [FColorGreen As Integer], [FColorBlue As Integer], [BColorRed As Integer], [BColorGreen As Integer], [BColorBlue As Integer], [BrushPattern As _SetTextFillAttributes_BrushPattern_enum], [GradType As _SetTextFillAttributes_GradType_enum], [GradRefX As Integer], [GradRefY As Integer], [GradAngle As Long], [GradSteps As Integer])

Description

Specify fill attributes for text.

Parameters

Style: enumeration	The fill style. Gradient None Pattern
FColorRed: numeric (optional)	The amount of red (0-255) in the foreground fill color.
FColorGreen: numeric (optional)	The amount of green (0-255) in the foreground fill color.
FColorBlue: numeric (optional)	The amount of blue (0-255) in the foreground fill color.
BColorRed: numeric (optional)	The amount of red (0-255) in the background fill color.
BColorGreen: numeric (optional)	The amount of green (0-255) in the background fill color.
BColorBlue: numeric (optional)	The amount of green (0-255) in the background fill color.
BrushPattern: enumeration (optional)	The fill pattern. Arch Balls BigChecks BigCrosshatch BigSquares ChainLink Checks Crosses Crosshatch FishScale Gray12 Gray25 Gray50 HoneyComb HorzBricks HorzLines1 HorzLines2 Mesh Patio Plaid Solid Squares TiltBricks TiltLines1 TiltLines2 TiltLines3 TiltLines4 Triangles VertLines1 VertLines2 Waves Weave
GradType: enumeration (optional)	The gradient type. ConcenCircles ConcenEllipses ConcenRects ConcenSquares ConverCircles ConverEllipses ConverRects ConverSquares Linear None Polygonal
GradRefX: numeric (optional)	The horizontal center of a circular or rectangular gradient fill. Flush left is 0, center is 50, and flush right is 100.
GradRefY: numeric (optional)	The vertical center of a circular or rectangular gradient fill or the top of a linear gradient. Top is 0, center is 50, and bottom is 100.
GradAngle: numeric (optional)	The rotation angle for a gradient fill. The top of the gradient is rotated counter-clockwise. For example, a 90-degree angle places the top of the gradient parallel to the left margin of the page.
GradSteps: numeric (optional)	The number of steps between colors in a gradient fill. A value of 0 represents the greatest possible number of steps.
 Related topics


SetTextLineAttributes

Syntax

SetTextLineAttributes(State As _SetTextLineAttributes_State_enum, [Red As Integer], [Green As Integer], [Blue As Integer], [Width As Integer])

Description

Specify line attributes for text.

Parameters

State: enumeration	Text outline is on or off. Off On
Red: numeric (optional)	The amount of red (0-255) in the text outline.
Green: numeric (optional)	The amount of green (0-255) in the text outline.
Blue: numeric (optional)	The amount of blue (0-255) in the text outline.
Width: measurement (optional)	The line width in WordPerfect units (1200ths of an inch).
 Related topics


SetTexture2

Syntax

SetTexture2(ObjectType As _SetTexture2_ObjectType_enum, PictureOrTexture As _SetTexture2_PictureOrTexture_enum, Filename As String, Anchor As _SetTexture2_Anchor_enum, Fit As _SetTexture2_Fit_enum, StackCount As Long, EntityFlags As Integer, [Color As Long])

Description

Add texture to a chart object.

Parameters

ObjectType: enumeration	BoxDataLabels BoxLegend BoxOrgChart BoxPieLabels BoxPieTitles BoxSubtitle BoxTitle FontDataLabels FontLegend FontLegendTitle FontMiniTable FontOrgChart FontPieLabels FontPieTitles FontSubtitle FontTableCells FontTitle FontXAxis FontXNames FontY1Axis FontY1Labels FontY2Axis FontY2Labels Frame Series1 Series10 Series11 Series12 Series13 Series14 Series15 Series16 Series17 Series18 Series19 Series2 Series20 Series21 Series22 Series23 Series24 Series3 Series4 Series5 Series6 Series7 Series8 Series9 TextChart
PictureOrTexture: enumeration	Picture Texture
Filename: string	The texture file path and filename.
Anchor: enumeration	The texture anchor point. BottomCenter BottomLeft BottomRight CenterCenter CenterLeft CenterRight Page TopCenter TopLeft TopRight
Fit: enumeration	The fill type. Hbrick Hscale Hstretch Scale Stretch TfmScale TfmStretch Tile Vbrick Vscale Vstretch
StackCount: numeric	The number of images to stack, with 0 indicating no stacking. Valid only with some fill types.
EntityFlags: numeric
Color: numeric (optional)


SetTitleString

Syntax

SetTitleString(TitleType As _SetTitleString_TitleType_enum, [TitleString As String])

Description

Specify a data chart title, subtitle, or axis title.

Parameters

TitleType: enumeration	The title string. LegendTitle Subtitle Title Xaxis Y1Axis Y2Axis
TitleString: string (optional)	The data chart title.
 Related topics


SetViewOptions

Syntax

 SetViewOptions([View3D As _SetViewOptions_View3D_enum], [Horizontal As _SetViewOptions_Horizontal_enum], [ShowData As _SetViewOptions_ShowData_enum])

Description

Specify view options for data charts.

Parameters

View3D: enumeration (optional)	Display the chart in three dimensions. Off On
Horizontal: enumeration (optional)	Display a chart horizontally. Off On
ShowData: enumeration (optional)	Display a table of data with a chart. Off On


ShadowAttributes

Syntax

ShadowAttributes(XOffset As Integer, YOffset As Integer, ShadowColorR As Integer, ShadowColorG As Integer, ShadowColorB As Integer, Transparency As _ShadowAttributes_Transparency_enum, [ChangedAttrs As _ShadowAttributes_ChangedAttrs_enum])

Description

Specify the color, offset, and transparency of shadows.

Parameters

XOffSet: numeric	The shadow's horizontal offset, in WordPerfect units (1200ths of an inch). Values range from -600 to 600 (0.5 left to 0.5 right).
YOffSet: numeric	The shadow's vertical offset in WordPerfect units. Values range from -600 to 600 (0.5 down to 0.5 up).
ShadowColorR: numeric	The amount of red (0-255) in a shadow.
ShadowColorG: numeric	The amount of green (0-255) in a shadow.
ShadowColorB: numeric	The amount of blue (0-255) in a shadow.
Transparency: enumeration	The shadow transparency. No Yes
ChangedAttrs: enumeration (optional)	Color Transparency Xoffset Yoffset


ShadowAttributesDlg

Syntax

ShadowAttributesDlg()

Description

Display the Shadow Attributes dialog box, which is used to modify the color, offset, and transparency of shadows.

 Related topics


ShellFileOpen

Syntax

 ShellFileOpen(Filename As String, [OpenAsCopy As _ShellFileOpen_OpenAsCopy_enum])

Description

Open a shell file.

Parameters

Filename: string	The path and name of the file to open.
OpenAsCopy: enumeration (optional)	No Yes


ShellPlayShow

Syntax

ShellPlayShow(Filename As String)

Description

Open a slide show file, play it, then close it.

Parameters

Filename: string	The filename of the slide show file.
 Related topics


ShowBackground

Syntax

 ShowBackground([BackgroundIndex As Integer])

Description

Display a specified background in the Background Editor.

Parameters

BackgroundIndex: numeric (optional)	The background number.


ShowGrid

Syntax

ShowGrid([State As _ShowGrid_State_enum])

Description

Display or hide the grid. If no parameter is used, this command toggles the grid display.

Parameters

State: enumeration (optional)	Grid display is on or off. Off On
 Related topics


ShowGuides

Syntax

 ShowGuides([State As _ShowGuides_State_enum])

Description

Turn the alignment guides on and off.

Parameters

State: enumeration (optional)	Specify On to view the guides. Specify Off to remove the guides. If no parameter is specified, the guide display will toggle. Off On


ShowHideSubordinates

Syntax

 ShowHideSubordinates([ShowHide As _ShowHideSubordinates_ShowHide_enum])

Description

Collapse or expand the subordinates of the selection.

Parameters

ShowHide: enumeration (optional)	Off On


ShowLayout

Syntax

 ShowLayout([TemplateIndex As Integer])

Description

Display a specified layout. This method is available only in the Layout Editor.

Parameters

TemplateIndex: numeric (optional)	Specify a layout to display. Layouts are numbered according to their order in the Layout drop-down list in the Slide Editor.


ShowPropertyBar

Syntax

ShowPropertyBar([State As _ShowPropertyBar_State_enum])

Description

Select the property bars to display or hide.

Parameters

State: enumeration (optional)	Off On


ShowRuler

Syntax

ShowRuler([State As _ShowRuler_State_enum])

Description

Display or hide the Ruler. If no parameter is used, this command toggles the ruler display.

Parameters

State: enumeration (optional)	Ruler display is on or off. Off On
 Related topics


ShowSlide

Syntax

ShowSlide([Slide As Integer])

Description

Display a specified slide in the Slide Editor.

Parameters

Slide: numeric (optional)	The slide to display.


ShowToolbar

Syntax

 ShowToolbar([State As _ShowToolbar_State_enum])

Description

Display or hide the toolbar.

Parameters

State: enumeration (optional)	Toolbar display is on or off. Off On
 Related topics


ShowToolPalette

Syntax

ShowToolPalette([State As _ShowToolPalette_State_enum])

Description

Select the bars to display or hide.

Parameters

State: enumeration (optional)	Off On


SilhouetteObject

Syntax

SilhouetteObject()

Description

Change the selected objects to silhouettes.

 Related topics


SingleSmartQuote

Syntax

 SingleSmartQuote([State As _SingleSmartQuote_State_enum], [OpenQuote As String], [CloseQuote As String])

Description

Turn single smart quotes on or off and specify quote characters in QuickCorrect.

Parameters

State: enumeration (optional)	Single smart quotes are on or off. Off On
OpenQuote: string (optional)	The character to use for single open quote.
CloseQuote: string (optional)	The character to use for single close quote.
 Related topics


SingleSpaceInSentence

Syntax

SingleSpaceInSentence([State As _SingleSpaceInSentence_State_enum])

Description

Change two spaces to one space between words on or off in QuickCorrect.

Parameters

State: enumeration (optional)	Sentence spacing correction is on or off. Off On
 Related topics


SizeObjectsAroundAnchor

Syntax

SizeObjectsAroundAnchor(Multiplier As Integer, AnchorPoint As _SizeObjectsAroundAnchor_AnchorPoint_enum, Copy As _SizeObjectsAroundAnchor_Copy_enum)

Description

Size the selected objects around a point.

Parameters

Multiplier: numeric	The percentage by which to increase or decrease the size of objects.
AnchorPoint: enumeration	The center point for sizing. Center LeftBottom LeftTop RightBottom RightTop
Copy: enumeration	Copy the selected objects before sizing. No Yes
 Related topics


SizeObjectsByLeftBottomDlg

Syntax

 SizeObjectsByLeftBottomDlg()

Description

Display the Size dialog box, which is used to specify how far to move the left bottom edge when sizing an object.

 Related topics


SizeObjectsByLeftTopDlg

Syntax

SizeObjectsByLeftTopDlg()

Description

Display the Size dialog box, which is used to specify how far to move the left top edge when sizing an object.

 Related topics


SizeObjectsByRightBottomDlg

Syntax

SizeObjectsByRightBottomDlg()

Description

Display the Size dialog box, which is used to specify how far to move the right bottom edge when sizing an object.

 Related topics


SizeObjectsByRightTopDlg

Syntax

SizeObjectsByRightTopDlg()

Description

Display the Size dialog box, which is used to specify how far to move the right top edge when sizing an object.

 Related topics


SkewObject

Syntax

SkewObject(DeltaX As Integer, DeltaY As Integer, XOffset As Integer, YOffset As Integer, SkewPtX As Integer, SkewPtY As Integer, SkewX As _SkewObject_SkewX_enum, NoSkew As _SkewObject_NoSkew_enum, CopyObject As _SkewObject_CopyObject_enum)

Description

Skew the selected object(s).

Parameters

DeltaX: numeric	The horizontal movement, in WordPerfect units (1200ths of an inch).
DeltaY: numeric	The vertical movement, in WordPerfect units.
XOffset: numeric	The horizontal offset, in WordPerfect units.
YOffset: numeric	The vertical offset, in WordPerfect units.
SkewPtX: numeric
SkewPtY: numeric
SkewX: enumeration	No Yes
NoSkew: enumeration	No skew. No Yes
CopyObject: enumeration	Skew a copy of the object. No Yes
 Related topics


SkewObjectsAroundAnchor

Syntax

SkewObjectsAroundAnchor(Percent As Integer, AnchorPoint As _SkewObjectsAroundAnchor_AnchorPoint_enum, Copy As _SkewObjectsAroundAnchor_Copy_enum)

Description

Skew the selected object(s) around a point.

Parameters

Percent: numeric	The percentage of the size of the selected objects by which to skew objects. Values range from -100 to 100.
AnchorPoint: enumeration	The anchor point around which to skew the selected objects. Bottom HorizontalCenter Left Right Top VerticalCenter
Copy: enumeration	Copy the selected objects before skewing. No Yes
 Related topics


SkewObjectsAtBottomDlg

Syntax

SkewObjectsAtBottomDlg()

Description

Display the Skew dialog box, which is used to skew the bottom edge of the selected objects by a specified amount.

 Related topics


SkewObjectsAtLeftDlg

Syntax

SkewObjectsAtLeftDlg()

Description

Display the Skew dialog box, which is used to skew the left edge of the selected objects by a specified amount.

 Related topics


SkewObjectsAtRightDlg

Syntax

SkewObjectsAtRightDlg()

Description

Display the Skew dialog box, which is used to skew the right edge of the selected objects by a specified amount.

 Related topics


SkewObjectsAtTopDlg

Syntax

SkewObjectsAtTopDlg()

Description

Display the Skew dialog box, which is used to skew the top edge of the selected objects by a specified amount.

 Related topics


SkipSelectedSlide

Syntax

SkipSelectedSlide(SkipState As _SkipSelectedSlide_SkipState_enum)

Description

Skip or include the selected slide(s).

Parameters

SkipState: enumeration	The value to set the skip state to. Include Skip


SlideAppearanceBackground

Syntax

SlideAppearanceBackground()

Description

Display or retrieve pre-designed slide show layouts and backgrounds.


SlideAppearanceLayout

Syntax

 SlideAppearanceLayout()

Description

Display or retrieve pre-designed slide show layouts and backgrounds.


SlideAudienceManager

Syntax

SlideAudienceManager()

Description

Create and manage custom audiences.


SlideDisplaySequence

Syntax

SlideDisplaySequence()

Description

Define delays and methods for slides to transition and methods for objects to display on the screen.


SlideFirst

Syntax

SlideFirst()

Description

Display the first slide in the current slide show.

 Related topics


SlideGetLast

Syntax

SlideGetLast()

Description

Specify the previous slide in a dialog box used to set slide options, such as the Sound dialog box.

 Related topics


SlideGetNext

Syntax

SlideGetNext()

Description

Specify the next slide in a dialog box used to set slide options, such as the Slide Transition dialog box.

 Related topics


SlideLast

Syntax

SlideLast()

Description

Display the last slide in the current slide show.

 Related topics


SlideLayoutReApply

Syntax

SlideLayoutReApply([OverrideChartStyle As _SlideLayoutReApply_OverrideChartStyle_enum], [OverrideChartPosition As _SlideLayoutReApply_OverrideChartPosition_enum])

Description

Re-apply a layout to selected slides.

Parameters

OverrideChartStyle: enumeration (optional)	Override the current chart style with the chart style defined in the layout. No Yes
OverrideChartPosition: enumeration (optional)	Override the current chart position with the chart position defined in the layout. No Yes


SlideNext

Syntax

SlideNext()

Description

Display the next slide in the current slide show.

 Related topics


SlidePageDown

Syntax

SlidePageDown()

Description

Page down in the slide.

 Related topics


SlidePageUp

Syntax

SlidePageUp()

Description

Page up in the slide.

 Related topics


SlidePrevious

Syntax

SlidePrevious()

Description

Display the previous slide in the current slide show.

 Related topics


SlidePropertiesDlg
SlidePrevious

Syntax

SlidePrevious()

Description

Define the slide layout, background, and other properties.


SlideQuickPlay

Syntax

SlideQuickPlay()

Description

Play the slide show, starting with the current slide.


SlideSelect

Syntax

SlideSelect(Additive As _SlideSelect_Additive_enum, Select As _SlideSelect_Select_enum, SlideIndex As Integer)

Description

Select or deselect one or more slides.

Parameters

Additive: enumeration	Select specified slides in addition to the current slide selection. No Yes
Select: enumeration	Use No! to deselect slides, Yes! to select slides. No Yes
SlideIndex: numeric	The index number for a slide.


SlideSetCurrent

Syntax

 SlideSetCurrent(Additive As _SlideSetCurrent_Additive_enum, Select As _SlideSetCurrent_Select_enum, SlideIndex As Integer)

Description

Select slides and specify which slide is the current slide.

Parameters

Additive: enumeration	Select specified slides in addition to the current slide selection. No Yes
Select: enumeration	Use No! to deselect slides, Yes! to select slides. No Yes
SlideIndex: numeric	The index number for a slide.


SlideShowOutline

Syntax

SlideShowOutline()

Description

Display the Outliner view of the current slide show.

 Related topics


SlideShowSlide

Syntax

SlideShowSlide()

Description

Display the Slide Editor view of the current slide.

 Related topics


SlideShowSort

Syntax

SlideShowSort()

Description

Display the Slide Sorter view of the current slide show.

 Related topics


SlideTransitionDirection

Syntax

SlideTransitionDirection()

Description

Select the direction for the slide transition.

 Note

•	This command is obsolete.


SlideTransitionDlg

Syntax

SlideTransitionDlg()

Description

Display the Slide Transition and Sound Properties dialog box, which is used to set transition, sound, and advance properties for a slide show.

 Related topics


SlideTransitionsDlg

Syntax

SlideTransitionsDlg()

Description

Display the Slide Transition dialog box, which is used to specify transition and advance options.

 Related topics


SlideTransitionSpeed

Syntax

SlideTransitionSpeed()

Description

Select the speed for the slide transition.

 Note

•	This command is obsolete.


SnapToAlignment

Syntax

SnapToAlignment([State As _SnapToAlignment_State_enum])

Description

Snap objects to the alignment guides.

Parameters

State: enumeration (optional)	Off On


SnapToGrid

Syntax

SnapToGrid([State As _SnapToGrid_State_enum])

Description

Toggle Snap to Grid, which aligns objects with the grid.

Parameters

State: enumeration (optional)	Snap to grid is on or off. Off On
 Related topics


SortSpreadsheetData

Syntax

SortSpreadsheetData(SortBy As _SortSpreadsheetData_SortBy_enum, SortDirection As _SortSpreadsheetData_SortDirection_enum, SortKey As Integer)

Description

Sort data in a chart's Datasheet.

Parameters

SortBy: enumeration	Sort by rows or columns. Cols Rows
SortDirection: enumeration	Sort in ascending or descending order. Ascending Descending
SortKey: numeric	Specify a column or row to sort by.


SoundControlDlg

Syntax

SoundControlDlg()

Description

Display the Sound dialog box, which is used to add sound to a slide.


SpaceObjectsHorizontally

Syntax

SpaceObjectsHorizontally()

Description

Evenly space three or more selected objects horizontally.

 Related topics


SpaceObjectsVertically

Syntax

SpaceObjectsVertically()

Description

Evenly space three or more selected objects vertically.

 Related topics


SpeakerNotesDlg

Syntax

SpeakerNotesDlg()

Description

Display the Speaker Notes dialog box, which is used to select and edit notes.

 Related topics


SpeedKeyDelete

Syntax

 SpeedKeyDelete(Key As Integer, Default As _SpeedKeyDelete_Default_enum)

Description

Delete a SpeedKey.

Parameters

Key: numeric	A key on the keyboard. The ASCII numeric equivalent is required.
Default: enumeration	Specify whether the key is a default key. No Yes
 Related topics


SpeedKeyDlg

Syntax

SpeedKeyDlg()

Description

Display the Slide Properties dialog box with the SpeedKeys tab displayed, which is used to create and edit SpeedKeys.

 Related topics


SpeedKeyProperties

Syntax

(Key: numeric; Default: enumeration; Type: enumeration; Data: any; MidiOnDisk: enumeration; MidiLoop: enumeration; MidiMT32: enumeration; MIDIVolume: numeric; DigiFilename: string; DigiOnDisk: enumeration; DigiLoop: enumeration; DigiVolume: numeric; CDTrackName: string; CDLoop: enumeration; CDVolume: numeric; CDBeginTrack: numeric; CDBeginMinute: numeric; CDBeginSecond: numeric; CDBeginFrame: numeric; CDEndTrack: numeric; CDEndMinute: numeric; CDEndSecond: numeric; CDEndFrame: numeric)

Description

Specify the action a SpeedKey performs.

Parameters

Key: numeric	A key on the keyboard.
Default: enumeration	Add the SpeedKey to the default list. No Yes
Type: enumeration	The type of action the key performs. FirstSlide LastSlide LaunchFile NextSlide PreviousSlide! QuitShow! SpecificSlide! StopSound!
Data: any (optional)	The data associated with the action. Can be a slide number, filename, or file location.
MidiOnDisk: enumeration (optional)	Store the current MIDI file on disk, rather than in the slide show file. No Yes
MidiLoop: enumeration (optional)	Play the current MIDI file continuously during a slide show until another file begins. No Yes
MidiMT32: enumeration (optional)	Ensure consistency among MIDI files written according to the MT32 standard. No Yes
MIDIVolume: numeric (optional)	The MIDI volume.
DigiFilename: string (optional)	The WAV filename.
DigiOnDisk: enumeration (optional)	Indicate whether the WAV file is on disk. No Yes
DigiLoop: enumeration (optional)	The Loop WAV. No Yes
DigiVolume: numeric (optional)	The WAV volume.
CDTrackName: string (optional)	The CD track name.
CDLoop: enumeration (optional)	The loop CD track. No Yes
CDVolume: numeric (optional)	The CD volume.
CDBeginTrack: numeric (optional)	Where to begin the CD track.
CDBeginMinute: numeric (optional)	Where to begin the CD track.
CDBeginSecond: numeric (optional)	Where to begin the CD track.
CDBeginFrame: numeric (optional)	Where to begin the CD track.
CDEndTrack: numeric (optional)	Where to end the CD track.
CDEndMinute: numeric (optional)	Where to end the CD track.
CDEndSecond: numeric (optional)	Where to end the CD track.
CDEndFrame: numeric (optional)	Where to end the CD track.
  Related topics


SpeedLinkAttributeDlg

Syntax

SpeedLinkAttributeDlg()

Description

Display the SpeedLink attribute dialog box.


SpeedLinkDelete

Syntax

SpeedLinkDelete([ObjectNumber As Long])

Description

Delete a SpeedLink.

Parameters

ObjectNumber: numeric (optional)	Specify a SpeedLink to delete.
 Related topics


SpeedLinkListDlg
SpeedLinkListDlg()

Syntax

SpeedLinkListDlg()

Description

Display the SpeedLink List dialog box, which is used to view and edit SpeedLinks.

 Related topics


SpeedLinkProperties

Syntax

 (objectNumber: numeric; ButtonName: string; Key: numeric; Hidden: enumeration; Type: enumeration; Data: any; MidiOnDisk: enumeration; MidiLoop: enumeration; MidiMT32: enumeration; MidiVolume: numeric; DigiFilename: string; DigiOnDisk: enumeration; DigiLoop: enumeration; DigiVolume: numeric; CDTrackName: string; CDLoop: enumeration; CDVolume: numeric; CDBeginTrack: numeric; CDBeginMinute: numeric; CDBeginSecond: numeric; CDBeginFrame: numeric; CDEndTrack: numeric; CDEndMinute: numeric; CDEndSecond: numeric; CDEndFrame: numeric)

Description

Set SpeedLink properties.

Parameters

ObjectNumber: numeric	The SpeedLink number.
ButtonName: string	The name of the SpeedLink.
Key: numeric	The keystroke associated with the SpeedLink. The ASCII numeric equivalent is required.
Hidden: enumeration	Specify whether the SpeedLink is hidden. The default is No!. No Yes
Type: enumeration	The type of action. FirstSlide LaunchFile LastSlide NextSlide PreviousSlide SpecificSlide StopSound QuitShow
Data: any (optional)	The slide number (numeric), or filename or location (string).
MidiOnDisk: enumeration (optional)	Store the current MIDI file on disk, rather than in the slide show file. No Yes
MidiLoop: enumeration (optional)	Play the current MIDI file continuously during a slide show until another file begins. No Yes
MidiMT32: enumeration (optional)	Ensure consistency among MIDI files written according to the MT32 standard.
MidiVolume: numeric (optional)	The MIDI volume.
DigiFilename: string (optional)	The WAV filename. No Yes
DigiOnDisk: enumeration (optional)	Indicate whether the WAV file is on disk. No Yes
DigiLoop: enumeration (optional)	The Loop WAV. No Yes
DigiVolume: numeric (optional)	The WAV volume.
CDTrackName: string (optional)	The CD track name.
CDLoop: enumeration (optional)	The loop CD track. No Yes
CDVolume: numeric (optional)	The CD volume.
CDBeginTrack: numeric (optional)	Where to begin the CD track.
CDBeginMinute: numeric (optional)	Where to begin the CD track.
CDBeginSecond: numeric (optional)	Where to begin the CD track.
CDBeginFrame: numeric (optional)	Where to begin the CD track.
CDEndTrack: numeric (optional)	Where to end the CD track.
CDEndMinute: numeric (optional)	Where to end the CD track.
CDEndSecond: numeric (optional)	Where to end the CD track.
CDEndFrame: numeric (optional)	Where to end the CD track.
 Related topics


Speller

Syntax

Speller()

Description

Open Spell Check, which checks text for misspelled words, double words and letters, and irregular capitalization.

 Related topics


StretchObjectsAroundAnchor

Syntax

StretchObjectsAroundAnchor(Multiplier As Integer, AnchorPoint As _StretchObjectsAroundAnchor_AnchorPoint_enum, Copy As _StretchObjectsAroundAnchor_Copy_enum)

Description

Stretch the selected objects horizontally or vertically from an anchor point.

Parameters

Multiplier: numeric	The percentage of the selected objects' size by which to stretch selected objects.
AnchorPoint: enumeration	The point around which to center stretching. Bottom CenterHorizontally CenterVertically Left Right Top
Copy: enumeration	Copy the selected objects before stretching. No Yes
 Related topics


StretchObjectsByBottomDlg

Syntax

StretchObjectsByBottomDlg()

Description

Display the Stretch dialog box, which is used to stretch the bottom edge of selected objects.

 Related topics


StretchObjectsByLeftDlg

Syntax

StretchObjectsByLeftDlg()

Description

Display the Stretch dialog box, which is used to stretch the left edge of selected objects.

 Related topics


StretchObjectsByRightDlg

Syntax

StretchObjectsByRightDlg()

Description

Display the Stretch dialog box, which is used to stretch the right edge of selected objects.

 Related topics


StretchObjectsByTopDlg

Syntax

StretchObjectsByTopDlg()

Description

Display the Stretch dialog box, which is used to stretch the top edge of selected objects.

 Related topics


SummaryInfoDlg

Syntax

SummaryInfoDlg()

Description

Display the Document Summary dialog box, which shows document creation and revision information.


SwapFillColors

Syntax

SwapFillColors()

Description

Reverse the fill foreground and background colors of the selected object(s).


SwitchDocument

Syntax

SwitchDocument(DocumentNumber As Integer)

Description

Switch to another document. This command exists for OS/2 integration and is only recordable from the OS/2 WorkPlace Shell.

Parameters

DocumentNumber: numeric	The document to switch to.


TableLayoutDlg

Syntax

TableLayoutDlg()

Description

Display the Table Layout dialog.

 Related topics


TemplateChartCreateDlg

Syntax

TemplateChartCreateDlg()

Description

Display the Create Chart Template dialog box.


TextAttributesDlg

Syntax

TextAttributesDlg()

Description

Display the Text Attributes dialog box, which is used to specify colors, pattern, and outline width for text.

 Related topics


TextBlock

Syntax

TextBlock()

Description

Toggle the text tool between select and insert mode. Not recordable.

 Related topics


TextBold

Syntax

 TextBold([Set As _TextBold_Set_enum])

Description

Turn Bold on or off in the Text Editor.

Parameters

Set: enumeration (optional)	Off On Toggle
 Related topics


TextBoxCreate

Syntax

 TextBoxCreate()

Description

Create a new text area.

 Related topics


TextChartNext

Syntax

TextChartNext()

Description

Move the insertion point down one level in a bulleted list.

 Related topics


TextChartPrevious

Syntax

TextChartPrevious()

Description

Move the insertion point up one level in a bulleted list.

 Related topics


TextDown

Syntax

TextDown()

Description

Move the insertion point down one line in a text area.

 Related topics


TextEditExit

Syntax

TextEditExit()

Description

Close the Text Editor.

 Related topics


TextFontDlg

Syntax

TextFontDlg()

Description

Display the Font dialog box, which is used to change the current font.

 Related topics


TextInsertMode

Syntax

TextInsertMode()

Description

Toggle the text tool between typeover mode and insert mode.

 Related topics


TextItalic

Syntax

TextItalic([Set As _TextItalic_Set_enum])

Description

Turn italics on or off.

Parameters

Set: enumeration (optional)	Off On Toggle
 Related topics


TextKerning

Syntax

 TextKerning(Distance As Integer)

Description

Specify how far to advance text to the right or left.

Parameters

Distance: measurement	The distance to advance text, in WordPerfect units (1200ths of an inch). Use positive values for right advance, negative values for left advance.
 Related topics


TextLayoutBackTab

Syntax

TextLayoutBackTab()

Description

Move the selected text or the current line of text one tab stop to the left.


TextLayoutCenter

Syntax

TextLayoutCenter()

Description

Center the selected text or the current line of text.

 Related topics


TextLayoutDoubleIndent

Syntax

TextLayoutDoubleIndent()

Description

Move the left and right margins of the current paragraph inward one tab stop.

 Related topics


TextLayoutFlushRight

Syntax

TextLayoutFlushRight()

Description

Align the selected text or the current line of text at the right margin.

 Related topics


TextLayoutHangingIndent

Syntax

TextLayoutHangingIndent()

Description

Move all but the first line of the current paragraph one tab stop to the right.

 Related topics


TextLayoutIndent

Syntax

TextLayoutIndent()

Description

Move the left margin of the current paragraph one tab stop to the right.

 Related topics


TextLeft

Syntax

TextLeft()

Description

Move the insertion point one character to the left.

 Related topics


TextLineCreate

Syntax

TextLineCreate()

Description

Create a new text line.

 Related topics


TextReplace

Syntax

TextReplace([SearchString As String], [SearchDirection As _TextReplace_SearchDirection_enum], [SearchBeep As _TextReplace_SearchBeep_enum], [ReplaceString As String], [ReplaceType As _TextReplace_ReplaceType_enum])

Description

Search for and replace specified text.

Parameters

SearchString: string (optional)	The text to search for.
SearchDirection: enumeration (optional)	Search forward or backward. Backward Forward
SearchBeep: enumeration (optional)	Beep when a word is not found. When recording this parameter, the Search Failure setting in the Environment dialog box determines the value. Off On
ReplaceString: string (optional)	The text to replace the text in the SearchString parameter.
ReplaceType: enumeration (optional)	Replace all occurrences or one occurrence of the character string specified in the SearchString parameter. Global ReplaceOne
 Related topics


TextRight

Syntax

TextRight()

Description

Move the insertion point one character to the right.

 Related topics


TextScreenTop

Syntax

TextScreenTop()

Description

Move the insertion point to the top of the current text window.

 Related topics


TextSearch

Syntax

TextSearch([SearchString As String], [SearchDirection As _TextSearch_SearchDirection_enum], [SearchBeep As _TextSearch_SearchBeep_enum])

Description

Locate the specified text in the current text area.

Parameters

SearchString: string (optional)	The text string to search for.
SearchDirection: enumeration (optional)	Search forward or backward through the text. Backward Forward
SearchBeep: enumeration (optional)	Beep when a word is not found. When recording this parameter, the Search Failure setting in the Environment dialog box determines the value. Off On
 Related topics


TextTab

Syntax

TextTab()

Description

Insert a tab at the insertion point in a text area.

 Related topics


TextToCurvesCmd

Syntax

TextToCurvesCmd()

Description

Explode the selected text into lines and curves, so the text becomes a graphic object.


TextUnderline

Syntax

TextUnderline([Set As _TextUnderline_Set_enum])

Description

Turn underlining on or off.

Parameters

Set: enumeration (optional)	Off On Toggle
 Related topics


TextUp

Syntax

TextUp()

Description

Move the insertion point up one line in a text area.

 Related topics


Thesaurus

Syntax

Thesaurus()

Description

Open the Thesaurus, which displays synonyms and antonyms for a specified word. You must call this method when you have focus on text you want to edit. If there is no text in focus, then a run time error will result.

Note - When you are working in Corel Presentation's interface, the Thesaurus menu option is disabled, until you select 'Edit Text'. You should only call this method when the 'Thesaurus' menu option is enabled.

 Related topics


ToolbarCopy

Syntax

ToolbarCopy([ToolbarName As String], [DestName As String])

Description

Copy a selected toolbar.

Parameters

ToolbarName: string (optional)	The name of the toolbar to copy.
DestName: string (optional)	The new name for the copy.
 Related topics


ToolbarCreate

Syntax

ToolbarCreate([ToolbarName As String])

Description

Create a new toolbar.

Parameters

ToolbarName: string (optional)	The name for the new toolbar.
 Related topics


ToolbarDelete

Syntax

ToolbarDelete([ToolbarName As String])

Description

Delete a specified toolbar.

Parameters

ToolbarName: string (optional)	The name of the toolbar to delete.
 Related topics


ToolbarEdit

Syntax

ToolbarEdit([ToolbarName As String])

Description

Display the Toolbar Editor dialog box, which is used to add, move, or delete buttons on the current toolbar.

Parameters

ToolbarName: string (optional)	The name of the toolbar to edit.
 Related topics


ToolbarRename

Syntax

ToolbarRename([ToolbarName As String], [NewName As String])

Description

Rename a specified toolbar.

Parameters

ToolbarName: string (optional)	The original name of the toolbar.
NewName: string (optional)	The new name for the toolbar.
 Related topics


ToolbarSelect

Syntax

ToolbarSelect([ToolbarName As String])

Description

Specify a toolbar to display. If no parameter is specified, the default toolbar is displayed.

Parameters

ToolbarName: string (optional)	The name of the toolbar to display.
 Related topics


ToolPaletteEdit

Syntax

ToolPaletteEdit([ToolPaletteName As String])

Description

Display the Tool Palette editor dialog box.

Parameters

ToolPaletteName: string (optional)	The name of the tool palette to edit.


TransparentColorDlg

Syntax

TransparentColorDlg()

Description

Specify a transparent color for bitmaps.

 Related topics


UndeleteDlg

Syntax

()

Description

Display the Undelete dialog box, which is used to restore deleted text.

 Related topics


Undo

Syntax

()

Description

Reverse the most recent editing change.

 Related topics


UnselectAllObjects

Syntax

()

Description

Deselect all selected objects.

 Related topics


UseMasterPageColor

Syntax

(UseMaster: enumeration)

Description

Use the current master's page color in the slide.

Parameters

UseMaster: enumeration	Use the page color associated with the master. No! Yes!
 Related topics


UseRegQuotesWithNumbers

Syntax

(State: enumeration)

Description

Turn Use Regular Quotes with Numbers on or off in QuickCorrect.

Parameters

State: enumeration(optional)	Regular quotes with numbers are on or off. Off! On!
 Related topics


VersionControlDocument

Syntax

()

Description

Specify the version of a document to retrieve.


VersionControlRetrieve

Syntax

()

Description

Retrieve the current version of a document.


VersionControlSave

Syntax

()

Description

Save the current version of a document.


ViewAutoSelect

Syntax

(State: enumeration)

Description

Turn Auto Select on and off.

Parameters

State: enumeration (optional)	Automatic selection is on or off. Off! On!
 Related topics


ViewPrevious

Syntax

()

Description

Switch to the previous view of the drawing area.


ViewSelectedItems

Syntax

(State: enumeration)

Description

Toggle the Selected Objects Viewer on and off.

Parameters

State: enumeration (optional)	Selected object viewer is on or off. Off! On!
 Related topics


ViewToolBarsDlg

Syntax

()

Description

Display the Tool Bars dialog box.


WebBrowse

Syntax

WebBrowse(URLAddress As String)

Description

Launch your web browser. It will open at the URL you specify.

Parameters

URLAddress: string	The web address that your browser will open to.
 Related topics


WebBrowserLaunch

Syntax

WebBrowserLaunch()

Description

Launch a web browser, if one exists.


WindowsCascade

Syntax

WindowsCascade()

Description

Arrange the drawing windows so they overlap and all the title bars are displayed.

 Related topics


WindowsTile

Syntax

WindowsTile()

Description

Arrange the drawing windows so all open windows are visible at once.

 Related topics


WindowsTileHorizontal

Syntax

WindowsTileHorizontal()

Description

Tile windows in a horizontal row.

 Related topics


WordLeft

Syntax

WordLeft()

Description

Move the insertion point one word to the left in the Text Editor.

 Related topics


WordPerfectCharactersDlg

Syntax

WordPerfectCharactersDlg()

Description

Display the WordPerfect Characters dialog box, which is used to insert WordPerfect characters into a text area.

 Related topics


WordRight

Syntax

WordRight()

Description

Move the insertion point one word to the right in the Text Editor.

 Related topics


WorkInProgressDlg

Syntax

WorkInProgressDlg()

Description

Display the documents that are currently marked as "In Progress."


ZoomArea

Syntax

ZoomArea()

Description

Enlarge the view of an area in the drawing window. Follow with ZoomToBox to specify the area to enlarge.

 Related topics


ZoomDlg

Syntax

ZoomDlg()

Description

Change the view magnification of the drawing.


ZoomIn

Syntax

ZoomIn()

Description

Enlarge the view of the current drawing by 20%.

 Related topics


ZoomOther

Syntax

ZoomOther()

Description

Display the current document at a user-defined percentage of the printed size.


ZoomOut

Syntax

ZoomOut()

Description

Reduce the view of the current drawing by 20%.

 Related topics


ZoomPercent100

Syntax

ZoomPercent100()

Description

Display the current document at printed size.

 Related topics


ZoomPercent150

Syntax

ZoomPercent150()

Description

Display the current document at 150% printed size.

 Related topics


ZoomPercent200

Syntax

ZoomPercent200()

Description

Display the current document at 200% printed size.

 Related topics


ZoomPercent50

Syntax

ZoomPercent50()

Description

Display the current document at 50% printed size.

 Related topics


ZoomPercent75

Syntax

ZoomPercent75()

Description

Display the current document at 75% printed size.

 Related topics


ZoomToBox

Syntax

ZoomToBox(Left As Integer, Bottom As Integer, Right As Integer, Top As Integer)

Description

Size the view of the current drawing to a specified area. Precede with ZoomArea.

Parameters

Left: numeric	The left coordinate of an area, in WordPerfect units (1200ths of an inch).
Bottom: numeric	The bottom coordinate of an area, in WordPerfect units.
Right: numeric	The right coordinate of an area, in WordPerfect units.
Top: numeric	The top coordinate of an area, in WordPerfect units.
 Related topics


ZoomToDrawingArea

Syntax

ZoomToDrawingArea()

Description

Return to the default view of the current drawing.

 Related topics


ZoomToObjects

Syntax

ZoomToObjects()

Description

Enlarge the view of the selected object(s).

 Related topics


ZoomToPage

Syntax

ZoomToPage()

Description

Display a full-page view of the current drawing.

 Related topics


ZoomToSlideShowSize

Syntax

ZoomToSlideShowSize()

Description

Size the current view to match the display size in a slide show.

 Related topics


WordPerfectGlobalMacros
Global Macros

Global macros can be executed in all Corel Presentations documents. Global macros are stored in a special file called Presentations10.GMS. All objects that are used by a Global macro are also stored in the Presentations10.GMS. For example, if a macro uses a form, then the form is stored in the Presentations10.GMS.

To create a VBA global macro

1.	Click Tools, Visual Basic, Visual Basic Editor.

2.	Double-click on Global Macros in the Project view.

3.	Click Insert, User Form.

4.	Change the form so that it resembles the following diagram:

5.	Change the name of the TextBox control to NameBox as illustrated in the following list:

Command Button - CommandButton1

TextBox - NameBox

You can change all of the control's attributes, including the name of the control, in the Property dialog box located in the Visual Basic Editor.

6.	Double-click the CommandButton1 control to create a new method for the UserForm1 class, then type the following lines of code in the CommandButton1_Click method:

Private Sub CommandButton1_Click()

  Dim myname, Msg As String

    myname = NameBox

    Msg = "Hello " & myname

    MsgBox Msg

  End

End Sub

This code responds to the event that occurs when the command button is clicked.

7.	Double-click the Presentations Objects folder that appears under the Global Macros project in the Project view.

8.	Double-click ThisSlideShow that appears under the Global Macros project, then type the following lines of code in the Editor window:

Public Sub ShowForm()

End Sub

This code will add a new method to the ThisSlideShow class. If you declare ShowForm as a Private method, you will not be able to run it from Corel Presentations.

9.	Type the following line of code in the ShowForm method:

Public Sub ShowForm()

  UserForm1.Show

End Sub

 Note

•	The name of this macro is ShowForm. The name of the form is UserForm1, which is the default name. UserForm1, along with this macro would be stored in Presentations10.GMS.


PresentationsVBAEvents
Corel Presentations VBA Events

Visual Basic for Applications (VBA) is an event-driven programming language. Most of the code you create is written to respond to an event. An event is an action that is recognized by VBA; for example, clicking a button or choosing an option from a list box. Unlike traditional procedural programming, in which the program starts at line 1 and executes line by line, event-driven programming executes code in response to events.

Corel Presentations slideshow events can be broken down into two categories: Global and Project events. A Global event is an event which is recognized by all Corel Presentations 10 slide shows. Suppose you create a VBA macro in the AfterOpen Event. This macro would be valid for any Corel Presentations 10 slideshow. In contrast to Global events there are Project events. A Project event is recognized only by the local slideshow.

All events in Corel Presentations 10 are code placeholders. It is up to you to code the response. All events are called in response to a specific action. When an action occurs, the appropriate event will be called and the code located within the event is executed. You can create simple or complex events. You can code a single line that displays a Message Box or write an entire procedure that interacts with a database.

All Global events are members of the GlobalMacros class. The name of the object is the same as the class. All Project events are members of the Document class. The name of the object is the same as the class.

Global Events

BeforeSwitchDocument()

AfterSwitchDocument()

BeforeNew()

AfterNew()

BeforeOpen()

AfterOpen()

BeforePrint()

AfterPrint()

BeforeClose()

BeforeSave()

AfterSave()

AfterStartup()

Document Events

BeforeOpen()

AfterOpen()

BeforePrint()

AfterPrint()

BeforeSave()

AfterSave()


GlobalMacros.BeforeClose
GlobalMacros.BeforeClose()

Syntax

Private Sub GlobalMacros_BeforeClose()

Description

This event is called before you close the slideshow.

Example

In the following code fragment, a MessageBox informs the user that the slideshow will be closed.

Private Sub GlobalMacros_BeforeClose()

'******* Declare all variables

Dim Msg as String

Msg = "You are about to close Presentations?" ' Define message.

'****** Display the MessageBox

MsgBox Msg

End Sub


BeforeSwitchDocument
GlobalMacros.BeforeSwitchDocument()

Syntax

Private Sub GlobalMacros_BeforeSwitchDocument()

Description

This event is called when you switch slideshows. The code is executed before the new slideshow appears.

Example

In the following code fragment, a Message Box appears with the time and date. This data can be stored to a database which keeps track of file activities.

Private Sub GlobalMacros_BeforeSwitchDocument()

'*** Declare all variables

Dim myTime

Dim myDate As Date

Dim myStrTime, myStrDate, Msg As String

'**** Populate the variables

myTime = Time

myDate = Date

myStrDate = Str(myDate)

myStrTime = Str(myTime)

'*** Display the MessageBox

Msg = "The date is " & myStrDate & " and the time is " & myStrTime

MsgBox Msg

End Sub


GlobalMacrosAfterSwitchDocument
GlobalMacros.AfterSwitchDocument()

Syntax

Private Sub GlobalMacros_AfterSwitchDocument()

Description

This event is called after you have switched to a new slideshow. In contrast to BeforeSwitchDocument(), this event is executed after the new slideshow appears.

Example

In the following code fragment, a Message Box appears with the time and date. This data can be stored to a database which keeps track of file activities.

Private Sub GlobalMacros_AfterSwitchDocument()

'*** Declare all variables

Dim myTime

Dim myDate As Date

Dim myStrTime, myStrDate, Msg As String

'**** Populate the variables

myTime = Time

myDate = Date

myStrDate = Str(myDate)

myStrTime = Str(myTime)

'*** Display the MessageBox

Msg = "The date is " & myStrDate & " and the time is " & myStrTime

MsgBox Msg

End Sub


GlobalMacrosBeforeNew
GlobalMacros.BeforeNew()

Description

This event is called when you select a new slideshow; however, this code is executed before the new slideshow appears.

Example

In the following example, a form which displays an image appears. The important concept to note is that the form will be appear before the new slideshow appears.

Private Sub GlobalMacros_BeforeNew()

  FallsForm.Show

End Sub


GlobalMacrosAfterNew
GlobalMacros.AfterNew()

Syntax

Private Sub GlobalMacros_AfterNew()

Description

This event is called when you select a new slideshow; however, this code is executed after the new slideshow appears.

Example

In the following example, a textbox is inserted into the first slide.

Private Sub Document_AfterOpen()

  With PerfectScript

    .AddTextBox 3000,3000,10000,4000

    .KeyType "Added by AfterOpen event"

    .TextEditExit

  End With

End Sub


GlobalMacrosBeforeOpen
GlobalMacros.BeforeOpen()

Syntax

Private Sub GlobalMacros_BeforeOpen()

Description

This event is called when you open an existing slideshow; however, this code is executed before the slideshow appears.

Example

In the following code fragment, a form is called which displays the time at which the slideshow is opened.

Private Sub GlobalMacros_BeforeOpen()

  TimeForm.Show

End Sub


GlobalMacrosAfterOpen
GlobalMacros.AfterOpen()

Syntax

Private Sub GlobalMacros_AfterOpen()

Description

This event is called when you open an existing slideshow. This code is executed after the slideshow has been loaded internally.

Example

In the following example, a textbox is inserted into the first slide.

Private Sub GlobalMacros_AfterOpen()

  With PerfectScript

    .AddTextBox 3000,3000,10000,4000

    .KeyType "Added by AfterOpen event"

    .TextEditExit

  End With

End Sub


GlobalMacrosBeforePrint
GlobalMacros.BeforePrint()

Syntax

Private Sub GlobalMacros_BeforePrint()

Description

This event is called when you print the slideshow. The code is executed after the "Print to" dialog box is closed, but before the slideshow is sent to the printer.


GlobalMacrosAfterPrint
GlobalMacros.AfterPrint()

Syntax

Private Sub GlobalMacros_AfterPrint()

Description

This event is called when you print the slideshow. The code is executed after the slideshow is sent to the printer.


GlobalMacrosBeforeSave
GlobalMacros.BeforeSave()

Syntax

Private Sub GlobalMacros_BeforeSave()

Description

This event is called when you save the slideshow. This code is executed just before the slideshow is saved allowing you to customize your slideshow.


GlobalMacrosAfterSave
GlobalMacros.AfterSave()

Syntax

Private Sub GlobalMacros_AfterSave()

Description

This event is called after you have saved your slideshow.

Example

In the following code fragment, a Message Box appears with the time and date. This data can be stored to a database which keeps track of file activities.

Private Sub GlobalMacros_AfterSave()

'*** Declare all variables

Dim myTime

Dim myDate As Date

Dim myStrTime, myStrDate, Msg As String

'**** Populate the variables

myTime = Time

myDate = Date

myStrDate = Str(myDate)

myStrTime = Str(myTime)

'*** Display the MessageBox

Msg = "The date is " & myStrDate & " and the time is " & myStrTime

MsgBox Msg

End Sub


GlobalMacrosAfterStartup
GlobalMacros.AfterStartup()

Syntax

Private Sub GlobalMacros_AfterStartup()

Description

This event is called when Corel Presentations 10 starts. The code in this event is executed while the splash screen is active.

Example

In the following code fragment, a MessageBox appears asking the user if they want a textbox inserted into the new slide. If the user selects Yes, then the textbox will be inserted into the slide.

Private Sub GlobalMacros_AfterStartup()()

'******* Declare all variables

Dim Msg, Style, Title, Response

Msg = "Do you want to insert a text box?" ' Define message.

Style = vbYesNo + vbQuestion ' Define buttons.

Title = "Presentations 10.0" ' Define title.

'****** Get the Users Input

Response = MsgBox(Msg, Style, Title)

If Response = vbYes Then ' User chose Yes.

'****** Insert a chart

With PerfectScript

.AddTextBox 3000,3000,10000,4000

.KeyType "Added by AfterStartup event"

.TextEditExit

End With

Else

 MsgBox ("No text box was inserted!")

End If

End Sub


DocumentBeforeOpen
Document.BeforeOpen()

Syntax

Private Sub Document_BeforeOpen()

Description

This event is called when you open a slideshow. The code in the event is executed before the slideshow appears.

Example

In the following code fragment, a Message Box appears which displays the time and date. This data can be written to a database that keeps track of file activities.

Private Sub Document_BeforeOpen()

'*** Declare all variables

Dim myTime

Dim myDate As Date

Dim myStrTime, myStrDate, Msg As String

'**** Populate the variables

myTime = Time

myDate = Date

myStrDate = Str(myDate)

myStrTime = Str(myTime)

'*** Display the Message Box

Msg = "The date is " & myStrDate & " and the time is " & myStrTime

MsgBox Msg

End Sub

 Note

•	The Message Box will appear before the slideshow is opened. After the Message Box is closed, the slideshow will open.


DocumentAfterOpen
Document.AfterOpen()

Syntax

Private Sub Document_AfterOpen()

Description

This code is executed after the slideshow has been loaded internally. You can customize your slideshow by writing code in this event.

Example

In the following example, a textbox is inserted into the first slide.

Private Sub Document_AfterOpen()

  With PerfectScript

    .AddTextBox 3000,3000,10000,4000

    .KeyType "Added by AfterOpen event"

    .TextEditExit

  End With

End Sub


Document.AfterPrint()

Syntax

Private Sub Document_AfterPrint()

Description

This event is called after you have printed your slideshow.

Example

You can create a simple macro that informs the user that the slideshow is printed by coding a Message Box.

Private Sub Document_AfterPrint()

  MsgBox ("You have just printed this slideshow")

End Sub


Document.BeforePrint()

Syntax

Private Sub Document_BeforePrint()

Description

This event is called just before the slideshow is sent to the printer. This enables you to customize your slideshow before it is printed.

Example

In the following example, a form is called which simply displays an image.

Private Sub Document_BeforePrint()

'******* Call the Form

  FallsForm.Show

End Sub

 Note

•	The FallsForm is a VB Form which contains an image control.


Document.AfterSave()

Syntax

Private Sub Document_AfterSave()

Description

This event is called after you have saved your slideshow.

Example

In the following code fragment, a Message Box appears with the time and date. This data can be stored to a database which keeps track of file activities.

Private Sub Document_AfterSave()

'*** Declare all variables

Dim myTime

Dim myDate As Date

Dim myStrTime, myStrDate, Msg As String

'**** Populate the variables

myTime = Time

myDate = Date

myStrDate = Str(myDate)

myStrTime = Str(myTime)

'*** Display the Message Box

Msg = "The date is " & myStrDate & " and the time is " & myStrTime

MsgBox Msg

End Sub


Document.BeforeSave()

Syntax

Private Sub Document_BeforeSave()

Description

This event is called just before the slideshow is saved. This gives you a chance to customize your slideshow before it is saved.

Example

In the following example, the zoom setting is changed so that all objects in the slide are playback size. This setting will last until it is changed.

Private Sub Document_BeforeSave()

  PerfectScript.ZoomToSlideShowSize

End Sub


Document.BeforeClose()

Syntax

Private Sub Document_BeforeClose()

Description

This event is called when the slideshow is closed; however, this code is executed before the slideshow is actually closed.

Example

In the following code example, a Message Box will inform the user that the slideshow will close. This Message Box will appear before the slideshow is closed.

Private Sub Document_BeforeClose()

  MsgBox "You are about to close this slideshow"

End Sub


43211
Working with product commands that use a variable

You must declare a variable that you pass to a product command as a Variant.

Refer to the following code fragment:

'**** Declare the variable

Dim myAnswer As Variant

'*** Pass the variable to DirectoryExists()

PerfectScript.DirectoryExists myAnswer, "D:\Client"

MsgBox myAnswer

Code Explanation

A Boolean value is returned to myAnswer. If the directory exists, then myAnswer will be assigned the value True. If the directory does not exist, then myAnswer will be assigned False.


VBA_UNIT
Corel Presentation product commands that use WordPerfect unit values

There are many product commands which require an argument to be expressed in WordPerfect units. Here is a formula to help convert from inches to WordPerfect units:

WordPerfect unit = (n*1200), where n is inches.

Product commands that use unit values:

AddArc

AddPolyCurve

AddPolyLine

AddPolyLineWithEndCaps

AddRoundedRect

AddTextBox

ChartSetCreateSize

DocumentFormSettings

DrawingSizeSettings

ObjectAreaSelect

ObjectMove

ObjectPointSelect

ObjectScale

ObjectSetLineWidth

PreferenceFormSettings

PrintDocument

SetGridSnapOptions

SetTextLineAttributes

TextKerning


43211
Working with repeating parameters

You must create and pass an array to each product command that has repeating parameters. Refer to the following code example, which illustrates two different code techniques:

Example 1

Sub TestPolyLine()

  Dim x As Variant

  Dim y As Variant

  x = Array (3000,8000,8000,3000)

  y = Array (3500,3200,7500,7000)

  With PerfectScript

    .AddPolyLine OpenFrame_AddPolyLine_FillAndFrame, 4, x, y

  End With

End Sub

Example 2

Sub TestSelectBox()

  Dim box As Variant

  box = Array (1,2,2,0)

  With PerfectScript

    .ChartCreateOrg Button1_ChartCreateOrg_GalleryStyle

    .SelectBox On_SelectBox_Select, box

  End With

End Sub

 Note

•	You must use the integer values when populating an array used for repeating parameters.


VBA_REPEAT
Product commands with repeating parameters

To use product commands in VBA with repeating parameters, you must declare an array. Values for each repetitive parameter must be loaded into the array. After the array is populated, you have to pass the array The following list is all the product commands with repeating parameters:

Product commands with repeating parameters:

AddPolyCurve

AddPolyLine

AddPolyLineWithEndCaps

AirBrush

ChartBoxFields

PaintBrush

PaintEraser

SelectBox

SelectiveReplace

Code Example%43211>commands


VBA Programming
VBA programming issues relating to product commands

There are several issues that must be discussed with respect to programming with product commands in the VBA environment. You can click on any of the following gray boxes for a detailed explanation:

Product commands with repeating parameters

Calling product commands outside of the intended scope

Product commands that require a unit


Event

Each object within an object model is defined by a property, method, event, or a combination of each. An event is a noun, and acts as something that takes place in an object. You write code for an object to respond to the act. Events are triggered by an action, such as a click, key press, or system timer.


Event-driven programming

Visual Basic for Applications is an event-driven programming language. Most of the code you create is written to respond to an event. Each object within an object model is defined by a property, method, event, or a combination of each. An event is a noun, and acts as something that takes place in an object. You write code for an object to respond to the act. Events are triggered by an action, such as a click, key press, or system timer. Unlike traditional procedural programming, in which the program starts at line 1 and executes line by line, event-driven programming executes code in response to events.


Variant

The Variant data type is the data type for all variables that are not declared as another type such as Dim, Private, Public, or Static. The Variant data type has no type-declaration character.


Object-oriented programming

A style of programming that places emphasis on creating and using objects.


Object model

An object model represents the hierarchy of objects within an application and their relationship to each other within the paradigm.

For example, the Document object represents the beginning of the object hierarchy in WordPerfect. Starting with the Document object, you drill down and navigate through the object model until you find the desired object. To reference an object with Visual Basic code, you separate each level of the object hierarchy with the dot operator (.).


Visual Basic for Applications and WordPerfect Office

Visual Basic for Applications (VBA) is an object-oriented programming language that lets you create VBA macros to automate tasks. You can, for example, create a macro in WordPerfect that changes the color of the headings. WordPerfect Office includes version six of the Microsoft Visual Basic for Applications (VBA) programming language.

VBA is an event-driven programming language. Most of the code you create is written to respond to an event. An event is an action that is recognized by VBA; for example, clicking a button or choosing an option from a list box. Unlike traditional procedural programming, in which the program starts at line 1 and executes line by line, event-driven programming executes code in response to events.

All events in the application are code placeholders. It is up to you to code the response. All events are called in response to a specific action. When an action occurs, the appropriate event will be called and the code located within the event is executed. You can create simple or complex events. You can code a single line that displays a message box or write an entire procedure that interacts with a database.

Getting Started with VBA

What is Visual Basic for Applications?

What is Event driven programming?

Visual Basic, Visual Basic for Applications and VBScript

VBA and PerfectScript

Working in the VBA Editor

Using VBA Macros

Accessing an Application from another Application's macro


What is Visual Basic for Applications
What is Visual Basic for Applications?

Visual Basic for Applications (VBA) is a subset of the Microsoft Visual Basic (VB) object-oriented programming environment. VBA uses the Visual Basic Editor interactive development environment and the VB programming language to enhance applications by manipulating the application's objects, exposed by its object model. VBA can access other applications by referencing that application's object model components.

WordPerfect Office includes version six of the Microsoft Visual Basic for Applications (VBA) programming language. VBA is a subset of the Microsoft Visual Basic (VB) object-oriented programming environment. VBA uses the Visual Basic Editor interactive development environment and the VB programming language to enhance applications by manipulating the application's objects, exposed by its object model. VBA is a standard programming language that allows you to customize the application for your needs and integrate Corel products with other VBA-enabled applications by referencing that application's object model components.

VBA provides you with a set of tools that you can use to customize the graphical user interface of Corel applications. These tools allow you to process information and present data in an efficient and effective forum. Developers using VBA to extend Corel applications will benefit from the familiar Visual Basic language, Rapid Application Development (RAD) integrated development environment, and fast runtime performance in the resulting integrated solutions. Developers will also benefit from an extensible forms package that supports ActiveX controls for creating user interfaces, access to the full Windows API and the underlying file system, connectivity to corporate data, and integration with other COM-based software.

Even though VBA uses the Visual Basic programming language, it is considered "for applications" because it is most often integrated into another application in order to customize the functionality of that application.

 Related topics


What is Event driven programming
What is Event driven programming?

Visual Basic for Applications is an event-driven programming language. Most of the code you create is written to respond to an event. Each object within an object model is defined by a property, method, event, or a combination of each. An event is a noun, and acts as something that takes place in an object. You write code for an object to respond to the act. Events are triggered by an action, such as a click, key press, or system timer. Unlike traditional procedural programming, in which the program starts at line 1 and executes line by line, event-driven programming executes code in response to events.

 Related topics


What is the difference between Visual Basic Visual Basic for Applications and VBScript
What is the difference between Visual Basic, Visual Basic for Applications and VBScript?

The Microsoft Visual Basic programming system is an advanced set of programming tools that provides advanced functionality and components for the Microsoft Windows operating system and other windows-based programs. For example, with Visual Basic you can create application extensions (dll's) and stand-alone executable programs (exe's). You cannot create either of these components with VBA or VBScript.

VBA is also referred to as Visual Basic, Applications Edition. VBA is a subset of the Visual Basic programming language. It uses the programming structure of Visual Basic to manipulate objects of an object model, left exposed by an application. The manipulation of these objects results in small packets of code procedures within the application. These code procedures and resulting projects are called add ins.

VBScript is also referred to as Microsoft Visual Basic, Scripting Edition. VBScript is also a subset of the Visual Basic programming language. It is a web-based HTML document scripting language.

 Related topics


What is the difference between VBA and PerfectScript
What is the difference between VBA and PerfectScript?

Previously, you could only use the PerfectScript language to automate specific tasks. Both product commands and programming commands are used in conjunction with the PerfectScript language. The PerfectScript language is useful for developing simple macros. VBA offers more flexibility and power. When you use VBA to create macros, you are assisted by the Visual Basic compiler. The compiler helps you by providing context-sensitive help when you are coding a VBA macro. You can combine the power of VBA with the PerfectScript product commands to create powerful macros. You have to use the Visual Basic Editor to create VBA macros; however, PerfectScript macros are developed from the WordPerfect Editor. You can access the Visual Basic Editor only when you are working in an active document.

 Related topics


Working in the VBA Editor

When you work in the VBA Editor, you can create a new object, such as a dialog box, which is known as a form. You can add controls, such as a check box or a text box. You can set the object's properties in the Property dialog box. You can also set the object's properties at run time by programming a method.

Each document that you create with VBA has a corresponding Visual Basic for Applications project. In order to customize your document with VBA coding procedures, you must open the project file in the Visual Basic Editor. To display the Editor, go to Tools|Visual Basic|Visual Basic Editor on the main menu in the application.

For more detailed information on constructing code procedures and setting properties, see the Microsoft Visual Basic Help in the Visual Basic Editor.

 Related topics


Using VBA macros

VBA allows you to edit and play macros that automate a series of tasks within an application.

You can store a VBA macro in the document by saving the document. Once you have saved the document, you can close and reopen the document and access the macro. After you have developed the macro, you should debug it. You can step through each macro line by line. This is a useful exercise to ensure that the macro will have the desired outcome. A project macro is not available if the document is closed. After you have debugged the macro, you can play the macro.

For more detailed instruction relating to VBA and its programming environment, please consult the "Microsoft Visual Basic for Applications Help" from the Help menu in the Visual Basic Editor.

 Related topics


Accessing an Application from another Applications macro
Accessing an Application from another Application's macro

You can access and change an application from another application's macro. VBA uses the Visual Basic Editor interactive development environment and the VB programming language to enhance applications by manipulating the application's objects, exposed by its object model. VBA allows you to customize your needs and integrate Corel products with other VBA-enabled applications by referencing that application's object model components.

For example, you could create and use a Quattro Pro object from a WordPerfect VBA macro. This allows you to change and save a Quattro Pro document from a WordPerfect VBA macro.

 Related topics


Contents Page
Corel Presentations VBA Macros Help

Click the Help Topics button to return to the list of topics.


PERFECTSCRIPTOBJECT
Using ActiveX Components

An ActiveX component (*.OCX) enables you to add a great amount of power and flexibility to your VBA macro. Basically an ActiveX component is a special type of DLL (dynamic link library). Originally ActiveX components where created to replace Visual Basic controls, however they have exceeded this purpose. Visual Basic for Applications is an ActiveX container, meaning that you can include ActiveX components in your VBA macro. The components which are located on the toolbar are part of the Microsoft 2.0 Object library. These components are meant for VBA programming. You can add additional components to your VBA project. However, some components may work and others may not. Not all ActiveX components are meant for the VBA environment. It is recommended that you became familiar with a individual component before you add it to your VBA macro.

If you are trying to add a new Active X control to your VBA Toolbox and are receiving errors stating that the control is not licensed or that the control just does not work properly, this is not a bug.

Active X controls cover a wide range of applications and uses such as those listed below:

•	Many Windows applications write Active X controls for their own use and therefore are not supported or even expected to be used by others. Many of the controls that are included with Corel WordPerfect Office are of this nature and cannot be used with Visual Basic for Applications.

•	Some Active X controls installed to your system may have been included with other development applications such as Visual C++, Visual Basic, Delphi etc, and they may have license requirements that only allow them to run in their own development environment. Therefore they will not work with Visual Basic for Applications.

In conclusion, only those Active X controls available with Microsoft Forms 2.0 that are shipped as part of Microsoft Visual Basic for Applications 6.0 are supported. Any others you have on your system may be used with Visual Basic for Applications, but may not be actually intended to be used with Visual Basic for Applications, and therefore will not work. Also even if they do work you may not have rights to distribute them to your VBA Macro users. So in general, if you are using custom controls be very careful that the control you are using is meant to be using in VBA and that you have the proper licensing rights to use it.

To add an ActiveX component to your VBA Form

1. From the VBA Editor, select Insert, User Form.

2. Select Tools, Additional Controls

3. Select the desired component.


Images
Using a Windows Metafile

If you are creating a Windows Metafile (*.wmf) in CorelDRAW, then you must include the header that appears when you save the file. If you neglect to include the header file, you will not be able to view the image in Visual Basic for Applications. It is strongly recommended that you include the header.


Corel Presentations Product Command List
Corel Presentations PerfectScript Class Members

PerfectScript Macro Commands List

A

AboutDlg

AcquireImage

AcquireImageDlg

AcquireImageSelect

ActivateBoxField

AddArc

AddBackground

AddBackgroundDlg

AddLayout

AddLayoutDlg

AddPolyCurve

AddPolyLine

AddPolyLineWithEndCaps

AddRoundedRect

AddShape

AddSlide

AddSlideDlg

AddTextBox

AirBrush

AlignCenterLeftRight

AlignObjectsBottom

AlignObjectsCenter

AlignObjectsLeft

AlignObjectsRight

AlignObjectsTop

AlignObjectsTopBottom

AlignTextBottom

AlignTextMiddle

AlignTextTop

ApplicationMaximize

ApplicationMinimize

ApplicationMove

ApplicationRestore

ApplicationSize

AssignBackgroundDlg

AssignLayoutBackground

B

BackgroundGallery

BackgroundGetNext

BackgroundGetPrevious

BackgroundInsert

BackgroundNext

BackgroundPrevious

Backspace

BeginAcquireImageArea

BeginAcquireImageFixedSize

BeginAirBrush

BeginBitmap

BeginBulletChart

BeginCircle

BeginClosedCurve

BeginCurve

BeginDataChart

BeginEllipse

BeginEllipticalArc

BeginFloodFill

BeginFreehand

BeginLine

BeginLine2

BeginOrgChart

BeginPaintBrush

BeginPaintDropper

BeginPaintEraser

BeginPolygon

BeginRectangle

BeginRetrieveFigure

BeginRoundedRectangle

BeginSelect

BeginSelectArea

BeginSelectiveReplace

BegOfLine

BitmapBlur

BitmapBrightness

BitmapCancel

BitmapContrast

BitmapCreate

BitmapEmboss

BitmapEqualize

BitmapMosaic

BitmapRain

BitmapReturn

BitmapSaturation

BitmapSharpen

BitmapSmooth

BitmapSpecialEffectsDlg

BitmapSpikeRemoval

BitmapStereogram

BitmapTrace

BitmapTraceContours

BitmapUndo

BitmapWind

BitmapZoom

BlendDlg

BlendObjects

BoxAttributesDlg

BranchZoomInOut

BrushAttributesDlg

BulletChartAttrEnd

BulletChartAttrStart

C

CallCorelWebPage

CapBeginSentence

ChartArea

ChartAttributesDlg

ChartAutoRedraw

ChartBar

ChartBoxAttributesDlg

ChartBoxFields

ChartBoxFieldsDlg

ChartBubbleChart

ChartCancelDrop

ChartClearAll

ChartClearDlg

ChartClearText

ChartClose

ChartCollapseSubordinates

ChartCopy

ChartCopyContents

ChartCreate

ChartCreateBullet

ChartCreateDlg

ChartCreateOrg

ChartCreateOrgDlg

ChartCut

ChartDataAxisDlg

ChartDataColWidthDlg

ChartDataExcludeDlg

ChartDataFillDlg

ChartDataFormatDlg

ChartDataFormulasDlg

ChartDataFrameDlg

ChartDataGridTickDlg

ChartDataIncludeDlg

ChartDataLabelsDlg

ChartDataLayoutDlg

ChartDataLegendDlg

ChartDataPerspectiveDlg

ChartDataRecalc

ChartDataSeriesDlg

ChartDataSortDlg

ChartDataStatisticsDlg

ChartDataSubtitleDlg

ChartDataTitlesDlg

ChartDataY1AxisDlg

ChartDataY2AxisDlg

ChartDeleteDlg

ChartDrop

ChartDropCopy

ChartDropTarget

ChartEdit

ChartEditBox

ChartEditCellDlg

ChartExpandSubordinates

ChartFillAttributesDlg

ChartFontAttributesDlg

ChartFontDlg

ChartGallery

ChartGalleryDlg

ChartGetAttrs

ChartGotoCell2

ChartGotoCellDlg

ChartHiLo

ChartInsertCoworker

ChartInsertDataDlg

ChartInsertManager

ChartInsertNode

ChartInsertStaff

ChartInsertSubordinate

ChartLine

ChartLineAttributesDlg

ChartMoveContents

ChartOpenFileDlg

ChartOrDataWindowNext

ChartPaste

ChartPasteBranch

ChartPasteTranspose

ChartPie

ChartPromoteBox

ChartPutAttrs

ChartRadar

ChartRenameBoxField

ChartResetTextLocation

ChartSaveAsDlg

ChartScatter

ChartSelectAll

ChartSelectBox

ChartSelectBranch

ChartSelectFrameBase

ChartSelectGTA

ChartSelectLevels

ChartSelectLevelsDlg

ChartSelectLines

ChartSelectNext

ChartSelectPieText

ChartSelectPieWedge

ChartSelectPrev

ChartSelectSeries

ChartSelectText

ChartSetAbove

ChartSetAxisTitleHorz

ChartSetAxisTitleVert

ChartSetBack

ChartSetBelow

ChartSetBottom

ChartSetCenter

ChartSetCreateSize

ChartSetFront

ChartSetHide

ChartSetHorz

ChartSetInside

ChartSetLabels

ChartSetLeft

ChartSetLegend

ChartSetLinear

ChartSetLog

ChartSetOutside

ChartSetRight

ChartSetSpacing

ChartSetSpacingDlg

ChartSetStagger

ChartSetTitleLeft

ChartSetTitleRight

ChartSetTop

ChartSetUnStagger

ChartSetVert

ChartSetY1

ChartSetY2

ChartSubtitleToggle

ChartSurface

ChartTextUserPos

ChartTitlesDisplay

ChartTitleToggle

ChartToggle3D

ChartToggleHorzVert

ChartToggleTable

ChartUnselectAll

ChartViewDatasheet

ChartViewOrgOutline

ChartZeroBaseline

ClearBackground

ClearBitmap

ClearDrawing

ClearLayout

ClearMasterDlg

ClearPresentation

ClearPresentationDlg

ClearSlide

ClipArtBrowser

ClipboardCopy

ClipboardCut

ClipboardPaste

CombineObjects

ConnectorsDlg

ContourText

ContourTextAttributesDlg

ConvertToBitmap

ConvertToPolygon

CopyMarquee

CopySelectedSlides

CrosshairCursor

CutMarquee

D

DatasheetBlockMode

DatasheetColWidth

DatasheetDateFmt

DatasheetDelete

DatasheetDown

DatasheetExclude

DatasheetExport

DatasheetFillDates

DatasheetFillNumbers

DatasheetFormula

DatasheetGoto

DatasheetHome

DatasheetImport

DatasheetImportOptions

DatasheetImportText

DatasheetInclude

DatasheetInput

DatasheetInsert

DatasheetLeft

DatasheetNumericFmt

DatasheetOneColWidth

DatasheetPgDn

DatasheetPgLeft

DatasheetPgRight

DatasheetPgUp

DatasheetRight

DatasheetUp

DateCode

DateFormat

DateFormatDlg

DateText

DefineBulletsDlg

DefineSubTitleDlg

DefineTitleDlg

Delete

DeleteAlignBars

DeleteAlignmentBar

DeleteBackground

DeleteKeyboard

DeleteLayout

DeleteMenu

DeleteObjects

DeleteSelectedSlides

DeleteToBegOfWord

DeleteToEndOfWord

DeleteWord

DelToDocBottom

DelToEndOfLine

DisplaySettingsDlg

DocPrevious

DocumentBottom

DocumentFormSettings

DocumentMaximize

DocumentMinimize

DocumentMove

DocumentNext

DocumentPageColor

DocumentRestore

DocumentSize

DocumentTop

DoubleSmartQuote

DraftMode

DrawingSizeDlg

DrawingSizeSettings

E

EditBackground

EditLayouts

EditOleObject

EditSelectedBitmap

EditSlides

EndOfLine

EndOfSentenceSpacing

EnvBackgroundTitle

EnvCapBeginSentence

EnvChartDataWin

EnvChartDisplay

EnvChartType

EnvColorPalette

EnvCurrentBackgroundNumber

EnvCurrentFilename

EnvCurrentLayoutNumber

EnvCurrentMode

EnvCurrentSlideNumber

EnvCurrentTool

EnvDoubleSmartQuoteClose

EnvDoubleSmartQuoteOpen

EnvDoubleSmartQuoteState

EnvEndOfSentenceSpacing

EnvFormInfo

EnvGetCurrentPrinter

EnvGetMarqueeHeight

EnvGetMarqueeWidth

EnvGetMarqueeXPos

EnvGetMarqueeYPos

EnvGetObjectHeight

EnvGetObjectWidth

EnvGetObjectXPos

EnvGetObjectYPos

EnvGetPointerPositionY

EnvGetPointerPositionX

EnvIrregularCap

EnvIsCommandValid

EnvIsSlideSkipped

EnvLayoutTitle

EnvLeftChar

EnvNextFontFace

EnvNumberOfBackgrounds

EnvNumberOfDocuments

EnvNumberOfLayouts

EnvNumberOfSlides

EnvOpenDocuments

EnvPaths

EnvQuickCorrect

EnvRightChar

EnvSelectedText

EnvSingleSmartQuoteClose

EnvSingleSmartQuoteOpen

EnvSingleSmartQuoteState

EnvSingleSpaceInSentence

EnvSlideStringData

EnvSlideTitle

EnvSpeakerNotes

EnvSpeedLinkNumericData

EnvSpeedLinkSelect

EnvSpeedLinkStringData

EnvTemplate

EnvTextChartType

EnvUseRegQuotesWithNumbers

EraseMarquee

ExportBMP

ExportCAL

ExportCGM

ExportCPT

ExportCPT7

ExportEMF

ExportEPS

ExportGIF

ExportIMG

ExportJPG

ExportMAC

ExportPCX

ExportPNG

ExportSCT

ExportTGA

ExportTIFF

ExportWMF

ExportWVL

F

FigureReturn

FigureReturnAll

File1Open

File2Open

File3Open

File4Open

File5Open

File6Open

File7Open

File8Open

File9Open

FileClose

FileExit

FileNewDlg

FileOpen

FileOpenDlg

FileRetrieve

FileSave

FileSaveAs

FileSaveAsDlg

FillAttributes

FillAttributesDlg

FindReplaceTextDlg

FloodFill

FontSizeDec

FontSizeInc

G

GetAttrDlg

GetAttributes

GlyphEdit

GoToKeysDlg

GotoPositionDlg

Grammatik

GrayScale

GroupObjects

H

HardReturn

HelpAssistant

HelpHowDoI

HelpIndex

HelpKeyboard

HelpMacros

HelpPerfectExpertDlg

HelpTransition

HelpWhatIs

I

ImportOrgOutline

InhibitInput

InsertClipartDlg

InsertEquation

InsertFileDlg

InsertMemoObject

InsertMovie

InsertMovieObject

InsertQuattroTable

InsertTextart

InternetPublisher

InvertColors

IrregularCap

J

JustifyAuto

JustifyCenter

JustifyLeft

JustifyRight

K

KerningDlg

KeyboardCopy

KeyboardCreate

KeyboardEdit

KeyboardRename

KeyboardSelect

KeyType

L

LayoutGallery

LayoutGetNext

LayoutGetPrevious

LayoutNext

LayoutPrevious

LineAttributes

LineAttributesDlg

LineSpacingDlg

M

MacroFilePlay

MacroPause

MacroPlayDlg

MacroStop

Mail

MailSystem1

MailSystem2

MailSystem3

MailSystem4

MailSystem5

MailSystem6

MailSystem7

MailSystem8

MailSystem9

MakeRuntime

MakeRuntimeDlg

MarkAsStaff

MasterGalleryDlg

MaximizeSpacing

MenuCopy

MenuCreate

MenuEdit

MenuRename

MenuSelect

MirrorObjectsHorizontally

MirrorObjectsVertically

ModifyFigure

ModifyObjects

MoveBackward

MoveForward

MoveSelectedSlides

MoveToBack

MoveToFront

MovieSettings

N

NameLayoutDlg

NewDocument

NewDrawingCreate

NewPresentationCreate

NewPresentationDlg

NormalText

O

ObjectAnimationDlg

ObjectAreaSelect

ObjectMove

ObjectPointSelect

ObjectScale

ObjectSetFillBackground

ObjectSetFillForeground

ObjectSetFillPattern

ObjectSetFillState

ObjectSetFrameState

ObjectSetLineBackground

ObjectSetLineForeground

ObjectSetLinePattern

ObjectSetLineStyle

ObjectSetLineWidth

Ole20InsertObjectDlg

OleBrowseLinksDlg

OleChartCloseFile

OleChartExit

OleChartUpdateFile

OleCloseFile

OleExit

OleInsertFromFile

OleInsertObject

OlePlayInformation

OlePlaySettings

OleSaveAsDlg

OleUpdateFile

OrgChartAlignmentDlg

OrgChartBoxSize

OrgChartFontAttrsDlg

OrgChartFontDlg

OrgChartImportOutline

OrgChartLayoutDlg

OrgChartOrientationDlg

OrgChartUndelete

OrgChartViewAllBranches

OrgChartViewSelectedBranch

OrgTextEditExit

OutlineNextLevel

OutlineObject

OutlinePreviousLevel

OutlineRevealCodes

OverrideSlideDlg

P

PageColorDlg

PageFormatDlg

PageMode

PageSizeInfo

PaintBrush

PaintDropMarquee

PaintDropper

PaintEraser

PaintEscapeUndo

PaintMoveMarquee

PasteMarquee

PasteObject

PasteSpecialOle20Dlg

PlaySlideShow

PlaySlideShowDlg

PlaySlideShowFirst

PointerPosition

PosterDlg

PRActivate

PrefCustomDlg

PrefEnvironmentDlg

PreferenceDateTime

PreferenceDateTimeDlg

PreferenceEnvGenDlg

PreferenceEnvironmentDlg

PreferenceEnvLangDlg

PreferenceFormSettings

PreferenceKeyboardDlg

PreferenceLOFDlg

PreferenceMenuDlg

PreferencePropertyBarDlg

PreferencesDlg

PreferenceToolbarDlg

PreferenceToolPaletteDlg

PrefLOFDlg

PrintBlackWhite

PrintCopies

PrintDestination

PrintDialog

PrintDocTkn

PrintDocument

PrintImageBinding

PrintImageOffset

PrintInColor

PrintInReverseOrder

PrintMode

PrintNoBackground

PrintRangeFrom

PrintRangeTo

PrintResolution

PrintSelectByName

PrintSettings

PrintSlideNumber

PrintSlidesPerPage

PrintSlideTitle

PrintSortOrder

PrintSourceFilename

PrintTextAsGraphics

PrintTwoSided

PropertyBarEdit

PublishToPDF

PutAttributes

Q

Quick3D

Quick3DDlg

QuickCorrect

QuickCorrectAddItem

QuickCorrectDeleteItem

QuickCorrectDlg

QuickCorrectOptions

QuickWarp

QuickWarpDlg

R

RealizeFontChanges

Redo

RedrawChart

RefreshScreen

ReplaceMasters

ReplaceWithClipart

ResampleBitmapCmd

ResetColorTable

RetrieveChartStyle

RetrieveFigure

RetrieveFigureDlg

RetrieveOutline

RetrieveStyleDlg

RevealCodes

RotateObject

RotateObjects

RotateObjectsAroundAnchor

RotateObjectsDlg

RulerGridOptionsDlg

S

SaveChartStyle

SaveStyleDlg

SaveWithEvenBorders

ScreenDown

SelectAllObjects

SelectBegOfLine

SelectBox

SelectCurrentLevel

SelectDocBottom

SelectDocTop

SelectDown

SelectEndOfLine

SelectiveReplace

SelectLeft

SelectLikeObjects

SelectOnlineServiceDlg

SelectPrinter

SelectRight

SelectScreenDown

SelectScreenUp

SelectTextChart

SelectUp

SelectWordLeft

SelectWordRight

SendtoGraphicsland

SendToWP

SeparateObject

SetAirbrushDensity

SetAxisOptions

SetBackgroundName

SetBackgroundNameDlg

SetBarStyle

SetBitmapTransparency

SetBorder

SetBrushShape

SetBrushWidth

SetBubbleAnchors

SetBulletAttributes

SetBulletColor

SetBulletDefinition

SetBulletEffect

SetBulletLayout

SetBulletLineSpacing

SetBulletSize

SetChartAttrsBold

SetChartAttrsItalic

SetChartAttrsUnderline

SetChartFont

SetChartTitlePos

SetColorAttributes

SetConnector

SetExplodeDistance

SetFontFace

SetFontGradient

SetFontOutline

SetFontPattern

SetFrameOptions

SetGradient

SetGridSnapOptions

SetGridTickOptions

SetHLOStyle

SetLabelOptions

SetLayoutSizes

SetLayoutTitle

SetLegendOptions

SetLevelFont

SetLevelGradient

SetLevelPattern

SetLineAttributes

SetLineSpacing

SetObjectTransition

SetOrgAlignment

SetOrgChartBox

SetOrgChartLayout

SetOrgChartTop

SetOrgOrientation

SetPaintMarquee

SetPaletteColor

SetPattern

SetPerspectiveOptions

SetPieLabelOptions

SetPieStyle

SetProportionalPies

SetRadarView

SetRangeHighlight

SetSeriesOptions

SetSlideLinkFile

SetSlideNotes

SetSlideOptions

SetSlideOverride

SetSlideSound

SetSlideTransition

SetSlideTransitionDirectionOnly

SetSlideTransitionOnly

SetSlideTransitionSpeedOnly

SetTableBlend

SetTableSurfaceColor

SetTableSurfaceOptions

SetTemplateAll

SetTemplateCurrent

SetTextChartBox

SetTextFillAttributes

SetTextLineAttributes

SetTexture2

SetTitleString

SetViewOptions

ShadowAttributes

ShadowAttributesDlg

ShellFileOpen

ShellPlayShow

ShowBackground

ShowGrid

ShowGuides

ShowHideSubordinates

ShowLayout

ShowPropertyBar

ShowRuler

ShowSlide

ShowToolbar

ShowToolPalette

SilhouetteObject

SingleSmartQuote

SingleSpaceInSentence

SizeObjectsAroundAnchor

SizeObjectsByLeftBottomDlg

SizeObjectsByLeftTopDlg

SizeObjectsByRightBottomDlg

SizeObjectsByRightTopDlg

SkewObject

SkewObjectsAroundAnchor

SkewObjectsAtBottomDlg

SkewObjectsAtLeftDlg

SkewObjectsAtRightDlg

SkewObjectsAtTopDlg

SkipSelectedSlide

SlideAppearanceBackground

SlideAppearanceLayout

SlideAudienceManager

SlideDisplaySequence

SlideFirst

SlideGetLast

SlideGetNext

SlideLast

SlideLayoutReApply

SlideNext

SlidePageDown

SlidePageUp

SlidePrevious

SlidePropertiesDlg

SlideQuickPlay

SlideSelect

SlideSetCurrent

SlideShowOutline

SlideShowSlide

SlideShowSort

SlideTransitionDlg

SlideTransitionsDlg

SnapToAlignment

SnapToGrid

SortSpreadsheetData

SoundControlDlg

SpaceObjectsHorizontally

SpaceObjectsVertically

SpeakerNotesDlg

SpeedKeyDelete

SpeedKeyDlg

SpeedKeyProperties

SpeedLinkAttributeDlg

SpeedLinkDelete

SpeedLinkListDlg

SpeedLinkProperties

Speller

StretchObjectsAroundAnchor

StretchObjectsByBottomDlg

StretchObjectsByLeftDlg

StretchObjectsByRightDlg

StretchObjectsByTopDlg

SummaryInfoDlg

SwapFillColors

SwitchDocument

T

TableLayoutDlg

TemplateChartCreateDlg

TextAttributesDlg

TextBlock

TextBold

TextBoxCreate

TextChartNext

TextChartPrevious

TextDown

TextEditExit

TextFontDlg

TextInsertMode

TextItalic

TextKerning

TextLayoutBackTab

TextLayoutCenter

TextLayoutDoubleIndent

TextLayoutFlushRight

TextLayoutHangingIndent

TextLayoutIndent

TextLeft

TextLineCreate

TextReplace

TextRight

TextScreenTop

TextSearch

TextTab

TextToCurvesCmd

TextUnderline

TextUp

Thesaurus

ToolbarCopy

ToolbarCreate

ToolbarDelete

ToolbarEdit

ToolbarRename

ToolbarSelect

ToolPaletteEdit

TransparentColorDlg

Type

U

UndeleteDlg

Undo

UnselectAllObjects

UseMasterPageColor

UseRegQuotesWithNumbers

V

VersionControlDocument

VersionControlRetrieve

VersionControlSave

ViewAutoSelect

ViewPrevious

ViewSelectedItems

ViewToolBarsDlg

W

WebBrowse

WebBrowserLaunch

WindowsCascade

WindowsTile

WindowsTileHorizontal

WordLeft

WordPerfectCharactersDlg

WordRight

WorkInProgressDlg

X

No commands

Y

No commands

Z

ZoomArea

ZoomDlg

ZoomIn

ZoomOther

ZoomOut

ZoomPercent100

ZoomPercent150

ZoomPercent200

ZoomPercent50

ZoomPercent75

ZoomToBox

ZoomToDrawingArea

ZoomToObjects

ZoomToPage

ZoomToSlideShowSize


Issues
Calling product commands outside of the intended scope

It is not recommended to call a PerfectScript member until you are familiar with what its function. You will produce a run time error if you call a method outside of the context it was meant to be used. For example, you must have text in focus before you can select the ‘Thesaurus’ menu option. If you call the ‘Thesaurus’ method when the menu option is disabled, you will be using the product command outside of the intended scope and a run time error will occur. It is recommended that you become familiar with the a specific task before you automate it.